Welcome

 Top Next

Welcome

Top Next

The Intelligent Surveillance Solution

NVR / DVR / Hybrid NDVR

User Manual

Version 6.1.1


Mainconsole

 Top Previous Next

Mainconsole


1. Introduction and Information Link

Introduction and Information Link

Mainconsole is the best choice when you have existing analog camera systems but wants to upgrade to IP camera system.

It provides seamless integration between the two types of cameras.

Install IP+ to build up a pure IP camera system or install IP+ and analog capture card to become a hybrid system are both achievable.

Mainconsole provide various function and customization to meet your project requests.

Mainconsole Structure

Information Link

NUUO Website: www.nuuo.com

NUUO Camera device pack download: http://www.nuuo.com/EmptyNode.php?node_id=2

NUUO Camera support List: http://www.nuuo.com/SupportCamera.php?node_id=4#4

NUUO Design Tool: http://www.nuuo.com/calculator/


2. Installation

Installation

Installation

The Installation CD contains the software you need to run the complete system. After inserting the CD, you should be able to see this window:

Click Product Overview to visit website for latest product information or visit Online Tech Support Site for FAQs.

Click Install to start system installation immediately, or click Documents for extra user manual or other guides.

If you are installing the system on multiple PCs, install the appropriate software for each PC:

Install Server Application: All functions of NVR/DVR/Hybrid NDVR systems including Mainconsole, Playback, Remote Live Viewer, Backup, and Verification Tool.

Client Application: Remote functions of NVR/DVR/Hybrid NDVR systems including Playback, Remote Live Viewer, Backup, and Verification Tool.

Failover Agent: Failover is to guard Mainconsole when its fail, acting as a redundant system.

Remote Desktop Tool: The tool to access Mainconsole and setup General Setting remotely.

DVR Driver: The tool to detect the type of capture cards and install the proper driver automatically.

Smart Phone Client: Client application for smart phone devices.

Documents

Click for more information including Installation guide, User Manual, IVS Manual, Quick Start Tips, Burn-in Test and Metadata Manual.

The following section describes the installation of each element of the Intelligent Surveillance System.

Server Application Installation

Step 1: Insert the Installation CD. Run autorun.exe from the CD-ROM directly to start the installation.

Step 2: Select Server Application Installation.

Step 3: There are 4 system types listed in the System Setup Tool window. Choose one and select Next.

IP Surveillance System/Trial System

MPEG-4 Hybrid System

H.264 Hybrid System

Full D1H.264 Hybrid System

Note: The Setup Tool will detect the type of capture cards installed on PC and enable the system options automatically.

Step 4: Select Next to continue.

Step 5: Check the option I accept the terms of the license agreement, select Next to continue.

Step 6: Enter the appropriate information, select Next to continue.

Step 7: Choose Complete or Custom setup type.

COMPLETE Setup Type

Installs all program features into the default directory.

Check Complete, and then select Next. All program features will be installed. [COMPLETE SETUP requires the most disk space.]

Custom Setup Type

Allows you to install the system to a preferred directory and select whichever program feature(s) to install. [Recommended for advanced users]

Check Custom, and then select Next.

Select Change if you wish to modify the installation directory.

Select the feature(s) for setup to install, select Next.

Step 8: Select Install to start the installation.

Step 9: Check Enable Update Notification Function to allow us to notify you automatically when there are software updates (Recommended).

This will keep your system up to date. The updater will also collect info from your system that will be used for future system improvements.

Step 10: Select Finish, installation complete.


2.1 Client Application Installation

Client Application Installation

Step 1: Insert Installation CD, run autorun.exe.

Step 2: Select Client Application Installation.

Step 3: Select Next to continue.

Step 4: Check I accept the terms of the license agreement; select Next to continue.

Step 5: Enter your information and select Next to continue.

Step 6: Select Complete or Custom setup type and select Next to continue.

COMPLETE Setup Type

Installs all program features into the default directory.

Check Complete, and then select Next. All program features will be installed. [COMPLETE SETUP requires the most disk space.]

Custom Setup Type

Installs the system to a preferred directory and allows you to select whichever program feature(s) to install. [Recommended for advanced users]

Check Custom option and then click Next.

Select Change to modify the installation directory where setup will install, select Next.

Select the features setup will install, select Next after confirmation.

Step 7: Select Install to begin the installation.

Step 8: Select Finish when install is complete.


2.2 Failover Agent Installation

Failover Agent Installation

Step 1: Insert the Installation CD. Run autorun.exe.

Step 2: Select “Failover Agent Installation” then Click it.

Step 3: In the Install Shield Wizard dialog box, select language and click Next to continuous.

Step 4: There are 2 Installation Mode of options in “Initiation Mode” window, select one and click Next to start installation.

Step 5: Click Next to continuous.

Step 6: Check “I accept the terms of the license agreement” if you agree, and click Next to continue.

Step 7: Input your and the company name and click Next to continue.

Step 8: Select “Complete Setup Type” or “Custom Setup Type” to install the System.

COMPLETE Setup Type

Install all program features into the default directory.

-

Check the option “Complete”, and then click “Next”. All program features will be installed. [Require the most disk space.]

Custom Setup Type

Install the system to a preferred directory. Or select whichever program feature(s) to install. This is recommended for advanced users.

-

Check the option “Custom”, and then click “Next”.

-

Select appointed folder where setup will install files to. Click “Change” to modify the installation directory.

-

Select the features setup will install. Click “Next” after confirmation.

Step 9: Click install to start the installation.

Step 10: Click Finish after installing the system completely.

Step 11: Execute the Failover Agent

Step 12: Enter the password you like into the edit box and enter again at the edit of Password Confirm. And then press “OK”. Now enjoy our Failover Agent service.

Note: When use 8, please disable Metro function first before start Mainconsole. For further s, please refer to: http://www.youtube.com/watch?v=xERxpbwBt0U

Note: When use Server 2012, please enable desktop experience first before start Mainconsole. For further s, please refer to: http://social.technet.microsoft.com/wiki/contents/articles/10531.windows-server-8-beta-how-to-enable-desktop-experience-feature-en-us.aspx

The Desktop Experience feature in Windows Server 8 Beta belongs to User Interfaces and Infrastructure

feature. In order to install Desktop Experience feature, do the following s:

Run Server Manager > Manage > Add Roles and Features.

Before you begin to install a feature, you can read information in the Before you begin page. This page is very useful for anyone who has started learning Windows Server 8. Select Skip this page by default in order to remove this page for the next times you add roles or features.

In the Select installation type page, you have two options:

1.

Role-based or feature-based installation: this option that similar to the one available in the Windows Server 2008 is used when you want to add roles, features in single server.

2.

Remote Desktop Services scenario-based installation this option allows you to install, General Setting and manage RS session Host servers from a central location.

In the Select destination server page, select the server pool under SERVER POOL. With flexible server platform, now you can select a virtual hard disk as a destination server when deployed roles or features.

Skip the Select server roles page. In the Select features page, you can select User Interfaces and infrastructure feature. You will be prompted to install the required components or services “Ink and Handwriting Services” and “Media Foundation”. Click Add Features.

In the Confirm installation selections page, select Restart the destination server automatically if required. You must restart computer after installing completely.

You have another way to add feature by using Powershell: Add-WindowsFeature Desktop-Experience.

Remote Desktop Tool

Remote Desktop Tool allow user remote to access Mainconsole System and setup General Setting.

Step 1: Insert the Installation CD. Run autorun.exe from the CD-ROM directly to start the installation.

Step 2: Select Remote Desktop Tool.

Step 3: Select Next in the Install Shield Wizard dialog box.

Step 4: Check the option I accept the terms of the license agreement. Select Next.

Step 5: Enter your information, select Next.

Step 6: Select Complete or Custom setup type.

COMPLETE Setup Type

Install all program features into the default directory.

Check Complete, and then select Next. All program features will be installed. [Requires the most disk space.]

Custom Setup Type

Install the system to a preferred directory. Select program feature(s) to install. [Recommended for advanced users]

Check the option Custom, select Next.

Select Change to select folder setup will install files.

Select the features setup will install.

Step 7: Select Install to start the installation.

Step 8: Select Finish after installing the system completely.


2.3 DVR Driver Installation

DVR Driver Installation

Driver Install Tool user to auto detect type of capture card and install corresponding drivers.

Step 1: Insert the Installation CD. Run autorun.exe.

Step 2: Select DVR Driver Installation.

Step 3: In the Driver Setup dialog box, select Next.

Step 4: Check I Agree to continue.

Step 5: Installing driver.

Step 6: Click Finish after installing the system completely, and then choose to reboot now or later.


2.4 Smart Phone Client Installation

Smart Phone Client Installation

Step 1: Connect Smart Phone device to the PC.

Step 2: Insert the installation CD, click Smart Phone Client Installation to automatically install the client application in device.

Note: If you do not have Microsoft® ActiveSync installed, a message will appear “Cannot find ActiveSync. Please reinstall ActiveSync and then run this installation again.”

Step 3: Check the client application is installed completely in smart phone device.


3. Quick Start

Quick Start


3.1 Execute Mainconsole

Execute Mainconsole

Step 1: Go to Start > All Programs > IP Surveillance System > Mainconsole to execute Mainconsole

Step 2: Enter your own password into the edit box and then Click OK.

Warning: Please do not execute Mainconsole using the Windows compatibility mode.


3.2 Activate IP Camera License

Activate IP Camera License

Step 1: Run License Manager Tool in General Setting menu.

Step 2: Select Activate tab, check the PC in Online network environment.

Step 3: Input the SN or SN file to activate license.

Step 4: After software license is activated successfully, please restart Mainconsole.

Note: Please refer to Utilities>>License Management Tool for advanced settings.


3.3 Install IP camera

Install IP camera

Step 1: Setup the IP camera(s) by referring to the user manual provided by the IP camera manufacturer.

Step 2: Make sure you can access this camera through IE browser.

Step 3: Add the IP camera(s) to the system by following the steps below.


3.4 Add IP camera

Add IP camera

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in to the system.

Step 3: In Mainconsole, go to General Setting and select Setting>System Setting to obtain the Setting panel.

Step 4: Go to Camera tab.

Note: If the IP camera supports UPnP, follow step 5. Otherwise, follow step 8.

Step 5: Click Search to detect IP cameras under this local area network (LAN).

Note: The Search function is available only when the IP cameras support UPnP.

Step 6: Select one of the IP cameras that are available and enter the username and password.

Step 7: Click OK to add the camera.

Step 8: Click Insert to insert the IP cameras.

Step 9: Enter the IP address or domain name (check the DNS option), Port, Username, and Password.

Step 10: Select Auto Detect.

Step 11: Select OK to add the camera.

Step 12: Select OK to exit.


3.5 Add I/O box

Add I/O box

Mainconsole supports (SCB-C08), Ethernet (SCB-C31A) box converter and all-in-one SCB-A08 IO box.

For all-in-one SCB-A08 IO box:

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in to the system.

Step 3: In Mainconsole, go to General Setting and select Setting>System Setting to obtain the Setting panel.

Step 4: Go to I/O Device tab.

Step 5: Type in module in Module and select device SCB-A08.

Step 6: Type in SCB-A08 IP address.

Step 7: Select IP port and ID.

Note: Port and ID information need to use SCB-A08 config tool. Please close Mainconsole first when setup I/O box converter.

Step 8: Select OK to go back to Mainconsole.

For USB (SCB-C08) I/O box converter:

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in to the system.

Step 3: In Mainconsole, go to General Setting and select Setting>System Setting to obtain the Setting panel.

Step 4: Go to I/O Device tab.

Step 5: Type in module in Module and select device for USB (SCB-C08) I/O converter device: SCB-C24, SCB-C26 or SCB-C28.

Step 6: Select COM port and ID.

Note: COM port and ID information need to use SCB-C08 config tool. Please close Mainconsole first when setup I/O box converter.

Step 7: Select OK to go back to Mainconsole.

For Ethernet (SCB-C31A) I/O box converter:

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in to the system.

Step 3: In Mainconsole, go to General Setting and select Setting>System Setting to obtain the Setting panel.

Step 4: Go to I/O Device tab.

Step 5: Type in module in Module and select device for Ethernet (SCB-C31A) I/O converter device: C31A+C24, C31A+C26 or C31A+C28.

Step 6: Type in C31A IP address

Step 7: Select IP port and ID.

Note: Port and ID information need to use SCB-C31A config tool. Please close Mainconsole first when setup I/O box converter.

Step 8: Select OK to go back to Mainconsole.


3.6 Set Schedule

Set Schedule

Step 1: Execute Mainconsole.

Step 2: Click Schedule Configuration.

Step 3: The default schedule is “always record' when a camera is newly inserted.

Step 4: Choose a camera and then select General Setting or just double Click the schedule bar to modify the recording mode.

Step 5: Select OK to use the recording schedule.

Step 6: Select OK to go back to Mainconsole.


3.7 Set Smart Guard

Set Smart Guard

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in the system.

Step 3: Click Smart Guard Configuration.

Step 4: Select a camera and then Click Insert Event. Take “General Motion” for example, select General Motion as the event type and then Click OK.

Step 5: In Alarm Event General Setting panel, define your own detection zone, sensitivity and interval. After that, Click OK to save the General Setting.

Step 7: Click OK to go back to Mainconsole.


3.8 Start Recording & Smart Guard

Start Recording & Smart Guard

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in the system.

Step 3: Click Start.

Step 4 Click Start Recoding Schedule and Start Smart Guard System to enable the two functions.


3.9 Playback

Playback

Step 1: Execute Mainconsole.

Step 2: Type in user name and password and log in the system.

Step 3: Click Playback.

Step 4: In Playback, Click Date Time Search Dialog.

Step 5: Select a specific day from the calendar, left Click mouse and drag to select a video clip to replay; user can also select multiple channels to replay at the same time.

Step 6: The recorded files are now ready to view.

*Support playback: If the camera has dual recording. You can click the numeric button near the camera name to switch the 2 recording schedule (thick line) and available recordings (thin line).


4. Mainconsole

Mainconsole

This is the main operating system - to activate schedule recording, setup smart guard and General Setting system setting.


4.1 User Interface Overview

User Interface Overview

Exit:

Shut down the Surveillance System or log out current user.

Minimize:

Minimize the Mainconsole window.

Screen Division:

Allocate the sub-screen display by clicking on the desired icon. To switch to single camera display, double Click a particular sub-screen. Double Click the screen again to regain previous screen division layout.

Below 4 layouts are only available under wide screen resolution(1440x900, 1680x1050, 1920x1080, 1920x1200)


4.2 PTZ Camera Control

PTZ Camera Control

Control the movement of PTZ cameras. With cameras that support PTZ control, you can move, zoom, patrol, adjust the focus, and set preset points of the cameras.


4.2.1 Set Preset Point / Go to Preset Point

Set Preset Point / Go to Preset Point

Adjust the camera view until you are satisfied. Click the Set icon and set up the view as the preset point 01. Adjust the camera view again and set up the preset point 02. Repeat the process until finish setting up all preset points. You can enter any names you want instead of the preset point 01, preset point 02, preset point 03…, Click the Go icon and view the result of your setting.

Note: For the speed settings of PTZ camera, go to General Setting – Setting - PTZ General Setting to setup the advanced settings.


4.2.2 Zoom / Focus / Patrol

Zoom / Focus / Patrol

Zoom:

Click the + and – signs to zoom in and zoom out the view.

Focus:

You can select to have the camera focused near or far. Click Focus Near

to focus on objects closer to the camera. Click Focus Far

to focus on objects further away from the camera. Click Auto Focus

if you want the system to decide the focus point for you.

Patrol:

Go to Set Preset Point - Set Patrol to obtain the Patrol Setup dialog. From the left window, select the cameras that you would like to have in the patrol group. Align the cameras in order in the right window and adjust the time. Rename the group name if required. After completing the setup, check the Active option, and then click OK.

Note: You can define up to four groups of auto patrol. To start or stop, Click Go to Preset Point in the Mainconsole, and select Start Patrol or Stop Patrol.


4.3 On Screen Menu

On Screen Menu

Right Click the camera screen and get the On Screen Menu, from which you can quickly adjust the setting of camera.

Note: Settings may differ according to camera models


4.3.1 Camera Setting

Camera Setting

Click to go to the camera setting page for General Setting.


4.3.2 Enable Talk

Enable Talk

*This feature is not available under NVR Lite License.

With cameras that support two-way audio, select enable talk to utilize the function.


4.3.3 Enable Digital PTZ

Enable Digital PTZ

Enable digital PTZ option on camera, use mouse wheel or Click the + and – signs to zoom in and zoom out on the camera, or drag a rectangle to enlarge the area.

The square flashing on the video grid indicate the correspondent view ratio of the camera.


4.3.4 Fisheye Lens Setting

Fisheye Lens Setting

Right Click the display screen and select the mode of lens, original, PTZ mode, Quad mode and Perimeter mode. If the lens setting set as Quad, PTZ, or Perimeter mode, the Enable Digital PTZ option would become Enable digital PTZ.


4.3.5 Connect/ Disconnect

Connect/ Disconnect

Right Click the display screen and select Connect/ Disconnect to modify the connecting status.


4.3.6 Stream Profile

Stream Profile

Right Click the display screen and select Stream Profile to change the camera stream profile in order to have different video quality per stream profile setting.


4.3.7 Show Camera

Show Camera

Select the camera from the Show Camera Menu to display video on selected screen.

Note:

1.

The camera list of show camera menu shows as the one in the right column of monitor display panel.

2.

The change of displayed screen is only applied to the current display divisions.


4.3.8 Delete Camera

Delete Camera

Click Delete Camera to remove a camera from the display screen of the display screen.

Note:

1.

The camera list of delete camera menu shows as the one in the right column of monitor display panel.

2.

The settings will apply to all divisions and also the right column of monitor display.


4.3.9 Fix Aspect Ratio

Fix Aspect Ratio

For some special camera resolution, user can enable Fix Aspect Ratio to view original ratio video, or disable this option to stretch 3:4 to fit window.


4.3.10 Instant Playback

Instant Playback

*This feature is not available under NVR Lite License.

To run the Instant Playback window of the camera, select the Instant Playback option and choose the period. Refer to 1.5 Instant Playback section for detail.


4.3.11 Snapshot

Snapshot

Select the snapshot function to capture a specific video image frame immediately. You have the options to copy the image to clipboard or to save it. For further settings, select OSD option and metadata option to export the image with date/time, camera number/name and metadata text. If the digital PTZ function is enabled in display view, you can also decide Full Size or Selected Region as your snapshot region.

There are two types of snapshots:

1.

Snapshot: This captures the current view as seen by the user

2.

Snapshot from Main profile: This captures the snapshot according to the Main profile as set on the camera.

For example, if it’s a fisheye camera, the remote live view you see may be an image that is dewarped. When you select Snapshot, it will save the dewarped image. And when you select Snapshot from Main profile, it will save the fisheye image.


4.3.12 Manual Record

Manual Record

Start recording video by selecting manual record.


4.3.13 Toggle Full screen

Toggle Full screen

Select to view a specific channel with full screen. Press “ESC” to go back to original window.


4.3.14 Enable Move/Area Zoom

Enable Move/Area Zoom

With cameras that support PT function, click the Enable Move function to adjust the current camera’s view by clicking on the display screen. To cancel this function, right Click the screen and select Disable Move.

With cameras that support Area Zoom function, click the Enable Move/Area Zoom function to adjust the current camera’s view by dragging a rectangle on the display screen. To cancel this function, right Click the screen and select Disable Move/Area Zoom.


4.3.15 Fisheye Lens Setting

Fisheye Lens Setting

With cameras that support Fisyeye Dewarp, Right Click the display screen and change lens mode as: original, PTZ mode, Quad mode and Perimeter mode.

With cameras that support ImmerVision Lens IMV1-1/3, Right Click the display screen and change lens mode as: original, Rectilinear mode, Quad mode and Dual-view panorama mode.


4.3.16 Duplicate Camera

Duplicate Camera

Select the camera from the Duplicate Camera Menu to duplicate camera video to selected screen.

Note:

1.

The duplicated camera would add to the camera list of duplicate camera menu shows as the one in the right column of monitor display panel.

2.

The change of display list will apply to all divisions and also the right column of monitor display.


4.3.17 Enable Digital PTZ

Enable Digital PTZ

To enable the PTZ functions of the camera, select the Enable digital PTZ option. Use mouse wheel or Click the + and – signs to zoom in and zoom out on the camera, or drag a rectangle to enlarge the area.

The square flashing on the video grid indicate the correspondent view ratio of the camera.


4.3.18 TV-Out Pop-up

TV-Out Pop-up

Note: This function is not available if there is no SCB-7108/7116 card installed.

Select to have the pop-up cameras on the screen notify users of the current event.


4.4 Live Display

Live Display

Live display is flexible; you may change channels and screen divisions. Each screen division shares the same display list but has an independent display sequence.

For example, when using Show/Duplicate/Delete Camera functions to edit your camera list, the same camera list will be available in all different screen divisions.

Note: This camera list is also available at the monitor display tab from the General Setting/Setting window. Two monitors can have two independent lists.

Action | Current division | Other division
Show camera (add cam 1) |  | add to first free channel
Duplicate camera (duplicate cam 2) |  | add to first free channel
Delete camera (delete cam 2”) |  | remove cam 2” and keep channel free

When using a mouse to drag and drop camera channels, the sequence change will only apply to the current division.

Original | Action | Current division | Other divisions
 | Drag cam 1 to cam 4 |  | Note change of sequence

Right Click the camera screen for the on screen menu. Here you will be able to quickly adjust settings of your camera.


4.5 Instant Playback

Instant Playback

* Not available under NVR Lite License

Instant Playback function allows you to play the last few minutes of any live video channel. Simply right Click Live Channel and select Instant Playback to access the recorded video.

Information Window: show correct date and time of video.

Playback Period: indicates the available play period; three options are available: 30 sec, 1 min, 3 min, 5 min, 10 min, min 30 min or customized of video.

Select Record: If the channel has dual recording, you can play Reocrd1 / Record2 in the drop down menu.

Export Period: indicates the period of video you desire to export. Default is set as available play period.

Tools:

Adjust to original video resolution.

Audio button: Press to turn on / off the audio.

Metadata button: Press to on / off metadata transaction overlay.

To browse recorded video:

Simply click the timeline to view the video, or use these navigation tools to control the player:

- Play / Pause / Stop

- Slow motion / Speed up control

- Reverse [frame by frame] / Fast Forward

- Play Previous / Next minute video

To take snapshots of a video clip:

Pause the video in image which you want to export and click the snapshot button [image] . The snapshot is displayed and can be saved or copied to clipboard.

To export recorded video:

Select export period, click the export button [image] , and setup the options of exported video.

The default export video period is as playback period. To customize period, select start/end time and Click Cue In/Out from the drop-down list of [image] button, the export period will be shown on the lower-left corner of the window.

Export Formats include:

ASF – Format with best efficiency. [Recommended]

AVI (Microsoft Video1) – Supports Windows Media Player with Vista & XP, the quality may be poorer than recorded video by transcode.

AVI (Original Format) – faster export process, better quality on the recorded video but the export file uses VLC Player to play. (For Windows Media Player, please install additional FFDShow codec).

Note:

The restrictions of AVI format.

a. The maximum size of an AVI file is limited to 1.8 GB.

Variation of frame rate will cause the resulting video to play slower or faster.

If the selected video sequence uses multiple image resolutions (CIF, 2CIF, 4CIF, etc.) or multiple video format (MPEG-4, M-JPEG, H.264), the exported video sequence will create separate export files every time the resolution changes.


5. Playback

Playback

To access recording video, search unusual events and backup video.


5.1 User Interface overview

User Interface overview

Minimize: Minimize the Playback console.

Exit: Shut down the Playback console.

Scroll bar: Indicates the status of the playing video; drag it to where you want to review.

Information Window: Display time and date, video status, cue in/ out time points and video playback speed.

Audio Volume Control: Adjust the audio volume.

Screen Division: Allocate the sub-screen display by clicking on the desired layout icon. To switch to single camera display, double Click a particular sub-screen. Double Click the screen again to go to previous screen division layout. To view in the full screen mode, right Click the screen for the Toggle Full Screen function.

Control:

On Screen Menu:

Toggle Fullscreen: Select to view cameras under full screen. Press “Esc” or right click to go back to original view.

Fix Aspect Ratio: Adjust the aspect ratio of displayed video.

Select Record File: Choose which record file to be displayed.

Enable ImmerVision PTZ: Adjust PTZ in PTZ mode. (Depend on device)

Enable Fisheye PTZ: Adjust PTZ in PTZ mode. (Depend on device)

ImmerVision Lens Setting: Select the mode of lens, original, PTZ mode, Quad mode and Perimeter mode. (Depend on device)

Fisheye Lens Setting: Select the mode of original, PTZ mode, Quad mode and Perimeter mode. (Depend on device)

IVS Display: Display IVS metadata in the video. The default setting displays all types of IVS metadata (Display Blobs is not supported in the playback mode) in the video, and just right click on the certain IVS metadata option to turn it off.


5.2 Access Recordings

Access Recordings


5.2.1 Date Time Search Dialog

Date Time Search Dialog

Click the Date Time Search Dialog button [image] to access the Date-Time Panel and withdraw the video record that you want to review.


5.2.2 Record Display Window

Record Display Window

The record display window shows the information of the available video clips. It may show in calendar or list control view.

Remote Server Site: Run Remote Playback Site Management to access local machine or set up remote playback server. Select Folder option to directly access recorded data folder or use Recent List to access previously recorded folders.

Note: the Select Folder option requires password of Mainconsole.

Refresh: refresh display window

Log Viewer: Accesses Log Viewer Tool

To access metadata Search Tool

Previous Days: Show recording of previous date

Next Days: To show recorded of next recording date


5.2.3 Date Time Period

Date Time Period

Select the start and end time points that indicate the time period you would like to view.


5.2.4 Video Preview

Video Preview

Check the enable preview option to view the selected video.


5.2.5 Event Type

Event Type

There are 6 event types; see Chapter Smart Guard for details. You may set up different colors for different event types to help you select events.

Note: Some event types will not be available under NVR Lite License.


5.2.6 Time Table

Time Table

Utilize the [image] icon to select all channels; also utilize the [image] icon to deselect all channels. Finally, utilize the scale bar [image] to modify the scale of the time table.

Video records are displayed as a thin line on the time table. Check Show Recording Schedule to show the defined period for scheduled recording. It is shown as a thick line in colors according to recording mode.

Selecting Show Event Log to show events detection on time line.


5.2.7 Withdraw the Record

Withdraw the Record

Step 1: From the record display window, top left of the Date Time Panel, select the date you want to withdraw the record from.

Note: The record display window can be shown in (a) calendar view or (b) list control view. To modify the setting of the record display window, go Setting page as below:

Step 2: Use color bars to differentiate event types from each other. This will help you select video clips.

Note: The record display window can be shown in (a) calendar view or (b) list control view. To modify the setting of the record display window, click the Setting button at the right of the Playback Console.

Step 3: Highlight the video clip you want to review by left-clicking and dragging the time period. You may also utilize the Start Time and End Time in Date Time Period Section. In addition, modify the scale of the time table with the + and – signs on the bottom left.

Step 4: Check the Enable Preview option to get the preview of the video you select.

Step 5: Click the camera name to increase or decrease cameras you want to playback.

Step 6: Click OK when setting is complete.


5.3 Search Mode

5.3 Search Mode

* This feature is not available under NVR Lite License.

Click the Search Mode icon

to obtain the Intelligent Search Tool panel.

Intelligent Search Tool Panel: Click the Search Mode icon to run the Intelligent Search Tool. Set up unusual events here to detect abnormality that occurred during the recorded period.

5 events: General Motion, Foreign Object, Missing Object, Lose Focus, and Camera Occlusion.


5.3.1 Unusual Event-General Motion

Unusual Event-General Motion

General Motion: Detect all movements in the defined area.

Define Detection Zone: Left click and drag to draw a detection zone. You may define more than one zone on the screen by repeating the process.

Sensitivity: Modify the sensitivity setting with the slider. Sliding rightwards will increase the sensitivity level, meaning the slightest movement will trigger the alarm; in contrast, sliding leftwards will reduce the sensitivity for movement detection.

Note: General Setting an appropriate sensitivity level reduces the possibility of a false alarm. For instance, you can lower the sensitivity level to avoid the alarm being triggered by a swinging tree in the breeze.

Interval: Move the slider control to the right to increase time interval so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the time interval.

Stop When Found: Check the option to have the video stop where motion was detected. Uncheck to have video continuously run to detect all events available. Results will show in a search result box. Click the listed event in the box to jump to the point in the video where motion was detected.


5.3.2 Unusual Event-Foreign Object

Unusual Event-Foreign Object

Foreign Object: Detect any additional object appearing in the defined area on the screen.

Define detection zone: Left click and drag to draw a detection zone. The search tool will detect additional objects that appear in this zone.

Define object size: Click and drag to draw and define the size of a foreign object.

Sensitivity: Modify the sensitivity setting with the slider. Sliding rightwards will increase the sensitivity level, while sliding leftwards decreases it.

Interval: Click and move the slider control to the right to increase time interval so that the alarm will only be triggered when the object has been removed from the area for longer. Move to the left to reduce the time interval.

Note: Setting up an appropriate Interval value will reduce the chance of false alarms. For example, you can lower the Interval to avoid the alarm being triggered by a pedestrian.


5.3.3 Unusual Event-Missing Object

Unusual Event-Missing Object

Missing Object: Detection of selected objects removed from the defined area on the screen.

Define detection zone: Left click and drag to draw a detection zone. The search tool will detect selected objects removed in this zone.

Sensitivity: Modify the sensitivity setting with the slider. Sliding rightwards will increase the sensitivity level, while sliding leftwards decreases it.

Interval: Click and move the slider control to the right to increase time interval so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the time interval.


5.3.4 Unusual Event- Focus Lost / Camera Occlusion

Unusual Event- Focus Lost / Camera Occlusion

Focus Lost: Detection of cameras losing focus in recorded video.

Camera Occlusion: Detection of cameras being blocked in recorded video.


5.4 Post Processing Tool

Post Processing Tool

Click Enhancement / Post Processing Tool [image] to General Setting settings.

General Setting

Check the option and chose whether you want to apply the setting to all the channels or only to those currently shown on the screen.

Filter Setting

Visibility: adjust the gamma value of the image to enhance the image and make it cleaner.

Sharpen: activate the function. Move the slider control to the right to sharpen the image, to the left to soften it.

Brightness: activate the function. Move the slider control to the right to make the image brighter.

Contrast: activate the function. Move the slider control to the right to increase contrast.

Grey Scale: show the record in grey scale mode so the image displays in black and white.


5.5 Export Video/Audio

Export Video/Audio

Step 1: Click the display screen to choose the camera display that you want to save as a video clip.

Step 2: Set up the cue in and cue out points; the cue in and cue out time will show on the information window.

Step 3: Click Export Video/Audio button [image] to setup export settings.

Step 4: Choose the folder where you want to save and name the file name.

Step 5: Select Export Format (ASF recommend) and Use Profile.

•

ASF – more efficient than AVI format. [Recommended format]

•

AVI (Microsoft Video 1) – Supports Windows Media Player with Vista & XP, quality may be poorer than recorded video by transcode process.

•

AVI (Original Format) - Faster export process with high quality video, but the export files can only be viewed using VLC Player to play. (For Windows Media Player, please install additional FFDShow codec).

Note:

The restrictions of AVI format:

•

The maximum size of an AVI file is limited to 4 GB.

•

Variation of frame rate will cause the resulting video to play slower or faster.

· | If the selected video sequence uses multiple image resolutions (CIF, 2CIF, 4CIF, etc.) or multiple video format (MPEG-4, MJPEG, H.264), the exported video sequence will create separate export files every time the resolution changes.
· | AVI (Original Format) do not support IVS display export.

Step 6: Check options like Audio, OSD, Metadata Transaction and IVS Display to decide whether to include the information in export or not.

Note: To enhance the data security, Mainconsole support the exported video in a zip format and encrypt with password

Step 7: Click OK to start export.


5.6 Save Image

Save Image

Step 1: Click the display screen to choose the camera display from which you want to save pictures.

Step 2: Click the Save Image button [image] when the image you want is shown on the screen. You may click Pause to freeze the video, use Step Forward/ Step Backward function to find the picture(s) that you want to save.

Step 3: Select OSD option and metadata option to export the image with date/time, camera number/name and metadata text. If the digital PTZ function is enabled in display view, you can also decide either Full size or Selected Region as your image region.

Step 4: You have the options to copy the image to clipboard or to save it. To save image just choose the folder and the format of image (BMP or JPEG) you prefer and then click save.

Note: You may skip step 3 by pre-setting a folder and format that you want to save the images (refer the section automatically save the image file at page 54.)


5.7 Print

Print

Click the Print button [image] to print the current image of the video you choose.

Print Content:

Print the image from the current selected channel or all the channels shown on the screen. Select to print original view or selected region on camera.

Page Setting:

Set to print the image with original size or fit to page. Set Align image to Top, Center, or Bottom.


5.8 Backup

Backup

Compared to the Save Video function, Backup saves everything from the Playback panel, including video and log information.

You can start a full function Playback Console and load the backup files into it on any PC with Windows operating system. This means you may monitor the real time video and work on the backup files on separate computers simultaneously.

Step 1: Press the run Record to select data and press Backup [image] .

Step 2: You can adjust the Start Time and End Time you want to backup.

Step 3: You can adjust the Cameras, and Record 1 or Record 2 that you want to backup. Simply click on the icon to toggle between Record 1, Record 2, or not backing up that specific camera.

Step 4: You can calculate the size of the backup data.

Step 5: Select the directory you want to save the backup data including CDROM, DVD or Hard Disk.

Step 6: Check the log you want to backup.

Step 7: Press OK to start.

Step 8: After backup is complete, Click playback.bat to play the recordings.


5.9 Log Viewer

Log Viewer

Click the Log Viewer button [image] to activate the Log Viewer dialog.


5.9.1 System Log

System Log

Select Log Type from the drop-down menu. There are in total 39 types of log types, including:

„

Mainconsole Startup

„

Mainconsole Shutdown

„

User Login

„

User Login Failed

„

Start Schedule

„

Stop Schedule

„

Execute Recycle

„

Enable Channel

„

Disable Channel

„

Start Smart Guard

„

Stop Smart Guard

„

Modify Smart Guard

„

Modify Schedule

„

Modify Configuration

„

Start Live Streaming Server

„

Stop Live Streaming Server

„

Modify Live Streaming Server

„

Start Remote Playback Server

„

Stop Remote Playback Server

„

Modify Remote Playback Server

„

IP Camera Connection Lost

„

Restart Windows

„

Modify Metadata Setting

„

Metadata Connection Lost

„

Modify E-Map

„

Start Remote Desktop

„

Stop Remote Desktop

„

Modify Remote Desktop

„

Start Central Management

„

Stop Central Management

„

Modify Central Management

„

Start Counting Application

„

Stop Counting Application

„

IP Camera Connection Regained

„

Sync. Microsoft Active Directory User

„

IP Camera Parameter Changed

„

Update Metadata -in

„

Start Adv. Intelligent Video Surveillance

„

Stop Adv. Intelligent Video Surveillance

Note: Some event types will not be available under NVR Lite License.

Step1: Choose the type of event you want to check or select “All” from the drop-down menu for all types of events.

Step 2: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box and indicate the date.

For a period: check the Date Time and then enter specific date and time.

Step 3: Click Search.


5.9.2 Export and Backup Log

Export and Backup Log

View the Export and Backup Log history that had been operated by local or remote user.

Step1: Choose the type of event you want to check or select All from the drop-down menu for all types of events.

Step 2: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular data: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search


5.9.3 Unusual Event

Unusual Event

View the unusual event history that had been detected by the Smart Guard System.

Step1: Choose the type of events you wish to view or select “All” from the drop-down menu to view all types of events. The types of Unusual Event include General Motion, Foreign Object, Missing Object, Focus Lost, Camera Occlusion, Signal Lost, Disk Space Exhausted, System Health Unusual, Digital Input Triggered and General Motion (device).

Note: Some event types will not be available under NVR Lite License.

Step 2: Choose the camera channel you wish to view or select All for all channels available.

Step 3: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and enter the specific date and time.

Step 4: Click Search.

Note: When working with a video record,

1.

Log Viewer will search for Unusual Event in the video record in Date & Time mode, starting from the beginning to the end of the record, which is the default setting of the system.

2.

A link (

) will appear next to each event time where video is available. By clicking on the link, the video will jump to the point where the unusual event takes place.


5.9.4 Counting Application

Counting Application

Display the history of Counting Application during a given time period.

* This feature is not available under NVR Lite License.

Step1: Select the channel you want to check or select All from the drop-down menu for all channels.

Step 2: Select search period. View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search.

Step 4: Press the button Export to.

Step 5: Type the file name and choose the file format (.xls or .txt).


5.9.5 Counting Application (Diagram)

Counting Application (Diagram)

Top Previous Next

Display the Counting Application data in diagram format.

* This feature is not available under NVR Lite License.

Step 1: Select the channel you want to check or select All from the drop-down menu for all channels.

Step 2: From the drop-down menu, set up how you would like the diagram to be displayed. You have the options of one day, one month, or one year.

Step 3: Select a specific date to make it the start point of the diagram.

Step 4: Click Search.

Step 5: Press the button Export to.

Step 6: Type the file name and the file will save as BMP files.


5.9.6 Metadata Log

Metadata Log

View Metadata Log history detected by the Smart Guard System.

* This feature is not available under NVR Lite License.

Step1: Choose the type of events you wish to view or select All from the drop-down menu to view all types of events. The types of Unusual Event include Transaction Start, Transaction End, Run Cash Register, Connection Lost, and Special User Defined Event. Please refer to the User manual of Metadata Plugins for detail.

Step 2: Choose the camera channel you wish to view or select All for all the channels available.

Step 3: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box and indicate the date.

For a period: check the Date Time and then enter a specific date and time.

Step 4: Click Search. A link ( [image] ) will appear next to each event time where video is available.

By clicking on the link, the video will jump to the point where the unusual event takes place.

Step 5: Press the button Export to.

Step 6: Type the file name and choose the file format (.xls or .txt).


5.9.7 Export and Backup Log

Export and Backup Log

View the Export and Backup Log history that had been operated by local or remote user.

Step1: Choose the type of event you want to check or select All from the drop-down menu for all types of events.

Step 2: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular data: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search and get the results.


5.9.8 Export

Export

You may export the file to .xls or .txt file

Step1: Select Export to.

Step2: Type the file name and choose the file format, .xls or .txt.


5.10 Setting

Setting

Click the General Setting button [image] and go to Setting for

1. System Settings

2. Language Settings


5.10.1 System Setting

System Setting

General Setting

Record Display setting:

Configuration File: If this option is selected, the application software will store all the settings on the setting page into installation folder, and the application software will be portable on USB which can be executed by any PC with the same settings, such as server list, OSD settings and etc.

Calendar View: Choose to display records under calendar view.

List Control: Choose to display records under checklist.

Play setting:

Play when run: Check the option and set the system to start playing the video clip every time a record is withdrawn.

Auto skip when record motion only mode: Check the option to set up the system to automatically skip to the points where there were motions recorded.

Next interval: Set the interval with which the video goes forward when you Click the “Next” icon on the.

Previous interval: Set the interval with which the video goes backward when you Click the “Previous” icon on the control panel.

Capture Image setting: Sets how you want to save the image.

Save in clipboard: The image will be saved in the clipboard; image will be available to paste elsewhere.

Manually save the image file: You can manually select where you want to save the image. Name the saved file, and choose the file format you want to save as.

Automatically save the image file: By pre-setting a path/URL and the image format, the system will automatically save the image accordingly when you click the Save button in the control panel.

Miscellaneous

video frames: Select this option to avoid display problems that may occur under high CPU loading.

Server Setting

Remote Playback Site Management.

Export / Import list:

1.

This function allows Remote Live Viewer/Playback System to export the server list (IP/account/password) and import on another Remote Live Viewer/Playback System so user can maintain one server list without having to update/add/delete server on different Remote Live Viewer/Playback System/Playback System

2.

This function is available on Remote Live Viewer/Playback System/Playback System.

OSD Setting

Enable Camera OSD to display video information on recorded video. Information includes camera name, camera number, date and time. User can also set up OSD font; include the font, size, font color and any font effects desired.

Metadata Setting

* This feature is not available under NVR Lite License.

Enable metadata overlay to adjust Font, Size, Color, Bold, Edge in “Foreground” section, color and transparency in “Background” section, and then adjust display settings in “Display on Video Preview”.


5.10.2 Language Setting

Language Setting

Language setting

Select the preferred language and press OK to apply after software restart.


5.11 Remote Server

Remote Server


5.11.1 Add Remote Playback Site

Add Remote Playback Site

Press the Remote Server Icon [image] or go to setting – server to General Setting remote playback site management to add and setup remote playback sites.

Step 1: Choose the connection type: IP Address or Eznuuo.

Step 2: Enter the Server Name.

Step 3: Enter the Address, Port, User Name, and Password to login the server if you choose to add server via IP Address; Enter the Server ID, User Name and Password to login the server if you choose to add server via Eznuuo.

Step 4: Click Add to add the server.

Step 5: Click OK to exit the “Settings” panel.


5.11.2 Access Remote Playback Site

Access Remote Playback Site

Go to Date Time Panel and Click the [image] icon on the top of the display window to access the Remote Playback Site


5.12 Switch Recordings

Switch Recordings

With dual recording support, user can switch between Record 1 and Record 2 on right click screen menu as below.


6. Schedule

Schedule

Click the Schedule icon on the Mainconsole and set up the time duration for video recording on the schedule General Setting panel.


6.1 Day / week Mode

Day / week Mode

Day Mode: Schedule the cameras to turn the recorder on and off at the same time every day according to your setting.

Week Mode: Allows you to schedule each camera for a different day of the week, additionally, you may assign extra holidays in the “Week” mode

Schedule Details: An outline of start time, end time, Record mode, frame rate, quality and resolution.

Please note these values refer to General settings. Actual performance may vary according to camera and hardware settings.

To setup the time schedule for each camera, you may

1. “Load” the preset modes or

2. “Insert” a new schedule manually or

3. “Copy to” other cameras after manual setup.


6.1.1 Load Preset Modes

Load Preset Modes

The system provides six modes to quickly setup recording schedule. Simply Click the

Load for the drop-down menu.

Refer to the below tables for the definitions of each mode in each series.

IP+ series (IP camera)

Mode | Format | Time | Record Mode | key frame only | Adjust video frame | Profile
Regular | M-JPEG | 00:00-24:00 | Always |  | uncheck | Main
 | MPEG4/H.264 |  |  | uncheck |
Office | M-JPEG | 08:00-20:00 | Always |  | uncheck | Main
 | MPEG4/H.264 |  |  | uncheck |
Shop | M-JPEG | 10:00-22:00 | Always |  | uncheck | Main
 | MPEG4/H.264 |  |  | uncheck |
Highly Secure | M-JPEG | 00:00-24:00 | Always |  | uncheck | Main
 | MPEG4/H.264 |  |  | uncheck |
Disk Saving | M-JPEG | 00:00-24:00 | Motion |  | 10 fps | Main
 | MPEG4/H.264 |  |  | checked |
Minor | M-JPEG | 00:00-24:00 | Motion |  | 5 fps | Main
 | MPEG4/H.264 |  |  | checked |

The Max indicates settings are same as camera settings in the General Setting>setting>camera>camera parameter panel.

SCB-6000S / 7000S / 8000HD series (Analog camera)

Mode | Format | Time | Record Mode | Profile
Regular | H.264 | 00:00-24:00 | Always | Main
Office | H.264 | 08:00-20:00 | Always | Main
Shop | H.264 | 10:00-22:00 | Always | Main
Highly Secure | H.264 | 00:00-24:00 | Always | Main
Disk Saving | H.264 | 00:00-24:00 | Motion | Main
Minor | H.264 | 00:00-24:00 | Motion | Sub


6.1.2 Insert a New Schedule Manually

Insert a New Schedule Manually

Step 1: Left-click and draw the bar you want add to the time table. The scheduled time will show as a grey bar.

Step 2: Change the setting by clicking on the General Setting icon (See page 60 for detail) or double click the Schedule Information.

Step 3: Click OK.


6.1.3 Copy Schedule

Copy Schedule

You may set up the schedule for each channel/camera by repeating the process above, or by simply applying the setting of a single camera to all the others by clicking the Copy To icon at the top of the display window.


6.1.4 Holiday and Custom setting

Holiday and Custom setting

Allows you to schedule each camera for a different day of the week, additionally, you may assign extra holidays in the “Week” mode.

Holiday: You may assign holidays where the system will work according to the setting for Sunday.

Note: The default Holiday setting will apply Sunday’s settings. For the Middle East region where Friday is a holiday, please adjust setting by right clicking on

and select “Apply Holiday Schedule From…”.

Custom: You can assign a particular date(s) on which the system will work according to a special schedule(s) different from the others.


6.2 Adjust the Scheduled Setting:

Adjust the Scheduled Setting:

Top Previous Next

You can manually change the setting at any time after you insert or load a schedule.

Option 1: Move the cursor to the “Time Bar” and change the length or move the bar sideways to change the start and end points.

Option 2: Click the Configuration icon or double Click “Schedule Information” from the list to obtain the “Encoding Option” panel (next page) and select the desired setting.


6.3 Encoding Option

Encoding Option


6.3.1 Pre-record/ Post-record Time

6.3.1 Pre-record/ Post-record Time

The pre-record/ post-record function saves the recording data accordingly. For instance, to set up a 5 second pre-record time means the system will start saving the recording data 5 seconds before the event happens.

Note: The maximum of pre-record/post record period is 60 seconds.


6.3.2 Record Mode

6.3.2 Record Mode

There are 4 recording modes and 5 video profiles to choose from. Choose the one that suits your scenario best.

Always Record:

Select this option to record the video continuously.

Boosting Record on Event:

This option enables you to record at lower frame rate at regular times, and at higher frame rate under Smart Guard triggered events.

*This feature is not available under NVR Lite License

Select this option to obtain the “Select Event” panel. Choose from the list any Smart Guard or digital input events or video analytics from the device. The chosen event(s) will trigger the recorded action. Click OK.

General Setting desired frame rates of normal and boosting recording in the Video Encoder box.

Note: Please note it is required to enable ”Smart Guard” from the Mainconsole panel before General Setting “boosting record on event” to trigger recording.

Record on Event:

Select this option to start recording at any predefined event, including Smart Guard events, metadata events, digital input events and video analytics from devices.

* Some options are not available under NVR Lite License

Select this option to obtain the “Select Event” panel. From the Smart Guard list, check the camera events or digital inputs to trigger the recorded action. Click OK.

Note: Please note it is required to enable ”Smart Guard” from the Mainconsole panel before General Setting “record on event” to trigger recording.

Record on Motion:

Select this option to start recording when motion is detected. Adjust sensitivity, the frame interval and zone to setup motion detection. To setup a single detection zone, left-click and drag the mouse to draw a rectangle. To setup more than one detection zone, simply repeat the same process or click “All” to select the entire screen.

Note: The maximum number of rectangle detection zones is 10.

Note: For DVR cards, Record on Motion Mode can be only assigned on Record 1.


6.3.3 Option

6.3.3 Option

This option sets up the frame rate an audio of the recorded video. The “Video Preview” window is the preview of the recorded video corresponding with the option.


7. Smart Guard

Smart Guard

Click the Guard button on the Mainconsole to start the “Event and Action General Setting” panel. You will need to specify an event to be detected as well as set the appropriate action for the system when the event occurs.

Crystal Ball: Indicates the working status of the system. A blue crystal ball shows when the system is recording; it will turn red when an event is detected.

Event Report: When the crystal ball is red, you can click it to obtain the Smart Guard Event Report and cancel the event(s).


7.1 Event

Event

There are 5 sources of events: Camera (video image), IVS (Intelligent Video Surveillance), Metadata, Digital Input/Output and System. You can assign multiple events by following the instructions below.

Note: Some event types will not be available under NVR Lite License.


7.1.1 Support Event on Mainconsole

7.1.1 Support Event on Mainconsole

Step 1: Select a camera and click “Insert Event” icon.

Support 11 Event types and analysis by:

Event Name | Analysis By | Supported Camera
Signal Lost | Mainconsole Server | All NUUO supported model support this event
General Motion 1 | Mainconsole Server | All NUUO supported model support this event
General Motion 2 | Mainconsole Server | All NUUO supported model support this event
General Motion 3 | Mainconsole Server | All NUUO supported model support this event
General Motion 4 | Mainconsole Server | All NUUO supported model support this event
General Motion 5 | Mainconsole Server | All NUUO supported model support this event
Edge Motion (Any Zone) | Camera | Refer camera support list, see if the model support
Foreign Object | Mainconsole Server | All NUUO supported model support this event
Missing Object | Mainconsole Server | All NUUO supported model support this event
Focus Lost | Mainconsole Server | All NUUO supported model support this event
Camera Occlusion | Mainconsole Server | All NUUO supported model support this event
Edge Motion (Individual Zone) | Camera | Refer camera support list, see if the model support
Edge Tampering | Camera | Refer camera support list, see if the model support
Edge Tripwire | Camera | Refer camera support list, see if the model support
Edge Perimeter | Camera | Refer camera support list, see if the model support

Step 2: Select the event and click OK.

Note: Only General Motion and Signal Lost are supported under NVR Lite License.

Step 3: Configure advance setting if the event support. See the following sections.


7.1.2 Basic Settings for All Events

Basic Settings for All Events

Enable Event: Check the box to activate the event.

Retrigger after status change: check the box to retrigger after status change [Focus lost, Camera Occlusion, Connection lost and Digital Input/Output

Life Cycle:

Automatic cancel event when event disappears: The alarm/action will be canceled once the event is fixed or ended.

Manually cancel event or event last triggered: The alarm/action will remain until being cancelled from Mainconsole. Choose this option to avoiding missing any alarms.

Note: To cancel the event:

Method 1: Start > Run Event Report > Cancel All Events (Supported by both server and client PC live view)

Method 2 : Click the red crystal ball to obtain the Smart Guard Event Report. Click to cancel the event(s).

Cancel event after ___ seconds: Enable check box and set a timer for canceling the event after a specific time.

Activated Period:

Always activated: Allow alarm to be activated at all times.

As Day Mode Schedule: Customize a specific time range for the alarm to be activated.

The alarm will be available daily according to your settings.

Choose Add Time Period and drag on the coverage bar to define an activated schedule.

Choose Remove Time Period and drag on the coverage bar to subtract from existing schedules.

Click Clear All to remove all settings.

As Week Mode Schedule: Customize a weekly based time range for the alarm to be activated.

Choose Add Time Period and drag on the coverage bar to define an activated schedule.

Choose Remove Time Period and drag on the coverage bar to subtract from existing schedules.

Click Clear All to remove all settings.


7.1.3 Camera Event - Signal Lost

Camera Event - Signal Lost

Definition: Trigger when loss of video signal from camera.

Basic Setting: See Basic Setting


7.1.4 Camera Event - General Motion

Camera Event - General Motion

Definition: Trigger when Mainconsole detect movement in the defined detection zone. For each video channel, you may define up to 5 motion detection profiles (General Motion 1 to General Motion 5). This allows you to set different sensitivity and interval levels for different regions base on same image.

Basic Setting: See Basic Setting

Advanced Setting:

Event Name: Customize your event name here.

Sensitivity: Click and move the slider control to the right to increase sensitivity so that minimal movement will trigger the alarm. Move the bar to the left to reduce the sensitivity. Setting up an appropriate sensitivity value will minimize false alarms. For example, you can lower the sensitivity to avoid the alarm being triggered by a swinging tree in the breeze.

Interval: Click and move the slider control to the right to increase interval time so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the interval

Define detection zone: To detect General Motion, you have to define a detection zone. Left-click and drag the mouse to draw a detection zone. You may define more than one zone on the screen by repeating the same process. User can also Click “All” button to select the entire detection zone.

Start Simulation: Click the Start Simulation button and test the function on the preview screen.


7.1.5 Camera Event - Edge Motion (Any Zone)

Camera Event - Edge Motion (All Zone)

Top Previous Next

Definition: Trigger when IP cameras or video servers detect motion. If IP cameras or video servers support multiple detection zone, this event will be triggered when any zone detects motion.

Note: Please refer camera support list, see if your camera support.

Basic Setting: See Basic Setting

Advanced Setting

Start Simulation: user go camera web interface and make sure complete the motion configuration, then go back to Mainconsole, press the simulation button to observe the effect.

Go to Web Interface: click the button to go camera web to configure motion detection event.


7.1.6 Camera Event - Foreign Object

Camera Event - Foreign Object

Definition: Trigger when an object appears in the defined area.

Basic Setting: See Basic Setting

Advanced Setting

Sensitivity: Click and move the slider control to the right to increase sensitivity so that minimal movement will trigger the alarm. Move the bar to the left to reduce the sensitivity of movement detected. Setting up an appropriate sensitivity value will minimize false alarms. For example, you can lower the sensitivity to avoid the alarm being triggered by a swinging tree in the breeze.

Interval: Click and move the slider control to the right to increase interval time so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the interval.

Define detection zone: To detect Foreign Object, you have to define a detection zone. Left-click and drag the mouse to draw a detection zone. You may define more than one zone on the screen by repeating the same process. User can also Click “All” button to select the entire detection zone.

Define Object size: After defining the detection zone, select Define Object Size and then left-click and drag the mouse to indicate the size of the object you want to detect.

Note: For instance, if you want to prevent somebody from leaving a briefcase in a hallway, place a briefcase in the hallway in view of the camera. On the screen, draw an area that fits the size of the briefcase and define it as the object size. Remove the briefcase and then activate the Smart Guard function on the Mainconsole. The system will consider everything on the screen normal when you click Start to activate the monitor function.

Start Simulation: Click the Start Simulation button and test the function on the preview screen.


7.1.7 Camera Event - Missing Object

Camera Event - Missing Object

Definition: Alarm triggers when an object disappears in the defined area on the screen.

Basic Setting: See Basic Setting

Advanced Setting

Sensitivity: Click and move the slider control to the right to increase sensitivity so that minimal movement will trigger the alarm. Move the bar to the left to reduce the sensitivity of movement. Setting up the appropriate sensitivity value will reduce the chance of false alarms. For example, you can lower the sensitivity to avoid the alarm being triggered by a swinging tree in the breeze.

Interval: Click and move the slider control to the right to increase interval time so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the interval.

Define detection zone: To detect Missing Object, you have to define a detection zone. Left-click and drag the mouse to draw a detection zone. You may define more than one zone on the screen by repeating the same process. User can also Click “All” button to select the entire detection zone.

Note: For instance, if you want to prevent somebody from removing the computer monitor on the desk, draw an area that fits the size of the monitor on the screen.

Start Simulation: Click the Start Simulation button and test the function on the preview screen.


7.1.8 Camera Event - Focus Lost

Camera Event - Focus Lost

Definition: Trigger when any of the cameras is losing focus and has blur image.

Basic Setting: See Basic Setting

Advanced Setting

Sensitivity: Click and move the slider control to the right to increase sensitivity so that a relatively small movement will trigger the alarm. Move the bar to the left to reduce the sensitivity of movement detection. Set up an appropriate Sensitivity value will reduce the chance of false alarm. For example, you can lower the Sensitivity to avoid the alarm being triggered by a swinging tree in the breeze.

Interval: Click and move the slider control to the right to increase interval time so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the interval time.

Ignore Lighting: Check the box to avoid alarm being set off by light changing.

Define detection zone: To detect Lose Focus, you have to define a detection zone. Left-click and drag the mouse to draw a detection zone. You may define more than one zone on the screen by repeating the same process. User can also Click “All” button to select the entire detection zone.

Start Simulation: Click the Start Simulation button and test the function on the preview screen.


7.1.9 Camera Event - Camera Occlusion

Camera Event - Camera Occlusion

Definition: This function alarms you when any of the cameras are blocked.

Basic Setting: See Basic Setting

Advanced Setting

Sensitivity: Click and move the slider control to the right to increase sensitivity so that a relatively small movement will trigger the alarm. Move the bar to the left to reduce the sensitivity of movement detection. Set up an appropriate Sensitivity value will reduce the chance of false alarm. For example, you can lower the Sensitivity to avoid the alarm being triggered by a swinging tree in the breeze.

Interval: Click and move the slider control to the right to increase interval time so that the alarm will only be triggered when the movement lasts longer. Move to the left to reduce the interval time.

Ignore Lighting: Check the box to avoid alarm being set off by light changing.

Start Simulation: Click the Start Simulation button and test the function on the preview screen.


7.1.10 Camera Event - Edge Motion (Individual Zone)

Camera Event - Edge Motion (All Zone)

Top Previous Next

Definition: Trigger when IP cameras or video servers detect motion. If IP cameras or video servers support multiple detection zone, this event will be triggered when specific zone detects motion. Mainconsole can support up to 10 individual motion detection zone and map as individual events.

Note: Please refer camera support list, see if your camera support.

Basic Setting: See Basic Setting

Advanced Setting

Name: Give a name for this edge motion.

Sensitivity: Move the slider control to the right to increase sensitivity so that a relatively small movement will trigger the alarm.

Move the bar to the left to reduce the sensitivity of movement detection.

Set up an appropriate Sensitivity value will reduce the chance of false alarm.

For example, you can lower the Sensitivity to avoid false alarm being triggered by a swinging tree in the breeze.

Threshold: Adjust the threshold from low to high per requirement. The threshold will be shown as a horizontal red line in the left hand side of detection zone.

Display All: Enable to display all other existing motion detection zone for reference.


7.1.11 Camera Event - Edge Tampering

Camera Event - Edge Motion (All Zone)

Top Previous Next

Definition: Trigger when IP cameras or video servers detect tampering detection event.

Note: Please refer camera support list, see if your camera support.

Basic Setting: See Basic Setting


7.1.12 Camera Event - Edge Tripwire

Camera Event - Edge Motion (All Zone)

Top Previous Next

Definition: Trigger when IP cameras or video servers detect tripwire detection event.

Note: Please refer camera support list, see if your camera support.

Basic Setting: See Basic Setting


7.1.13 Camera Event - Edge Perimeter

Camera Event - Edge Motion (All Zone)

Top Previous Next

Definition: Trigger when IP cameras or video servers detect perimeter detection event.

Note: Please refer camera support list, see if your camera support.

Basic Setting: See Basic Setting


7.1.14 Intelligent Video Surveillance Event

IVS Event

Step 1: Select a IVS camera under the list "Intelligent Video Surveillance" and click [image] to insert event.

Step 2: Select a event you want to add, and then click OK.

Example events are:

Note: The available events will depends on the events you setup in IVS setting, so please make sure setup the event in the IVS window.

Step 3: Config the basic setting: See Basic Setting


7.1.15 Metadata Event

Metadata Event

Step 1: Select a metadata device from the list and click [image] to insert event.

Note: Please insert the metadata device in General Setting - Metadata Application first. Then set the alarm based on it.

Step 2: There are five types of events: Transaction Start, Transaction End, Run Cash Register, Connection Lost and User Defined. Select the event you want on the Event Type list, and then click OK.

Note that the Open Cash Register event is available on POS metadata devices only.

Transaction Start - Detect the beginning of any transaction.

Transaction End - Detect the end of any transaction.

Open Cash Drawer - Detect the opening of any cash drawer.

Connection Lost - Detect the connection problems between metadata devices and Mainconsole.

User Defined - Detect any condition defined by user.

Step 3: See Basic Setting

Advanced Setting

Setup advanced option of User Defined Event.

Event name: Enter the name of user defined event.

Alert Condition:

Text: Enter the text user wants to detect in Keyword column. Enable Match case to search for names where the case matches the letters you entered. Or enable Match whole word to search for the terms you entered as a whole word.

Check Using Regular Expression to include regular expression commands in search.

Numeric value: Enter a number as the condition of event and then choose one of the symbols ( ??/text> ??/text> ??/text> ??/text> ??/text> ) to define the numeric value. For advanced settings, use Prefix text/Postfix text to detect special text before/after the value???condition. For Example: To detect Coke > 100 US, please insert as below:

Note: The value is also case sensitive, you must key in ??/text>,??symbol to search for 10,000US.

External rule: This feature allows developers to customize event rules. Main Console can send filtered transaction data to third-party applications and receive reply on whether to trigger alarm or not.

Frequency:

Count: Alarm will be triggered when this event happens over specific number of times.

Count Period: Resets count after each new transaction, or under specified period of time.


7.1.16 Digital Input/Output Event

Digital Input/Output Event

Step 1: Click and highlight Digital Input on the event type list, and then click the [image] Insert Event icon.

Step 2: Select the device that is connected to your system.


7.1.17 System Event - Resource Depleted

System Event – Depleted

This function alarms you when CPU or memory is depleted.

Current Status: Shows you the current Total CPU Loading and Total Memory Usage.

Options: Fix maximum percentage for High CPU Loading Alarm and High Memory Usage Alar


7.1.18 System Event - Assign a System Event

System Event - Assign a System Event

Step 1: Click and highlight System on the event type list, and click the [image] Insert Event icon.

Step 2: There are four events, select the event you want to detect.


7.1.19 System Event - Disk Space Exhausted

System Event - Disk Space Exhausted

This function alarms you when disk space is exhausted.

See Basic Setting


7.1.20 System Event - System Health Unusual

System Event - System Health Unusual

This function alarms you when CPU is under high temperature or fan speeds are running low.

Current Status: Displays current CPU temperature, Motherboard Temperature, Fan Speed and Power fan speed.

Options: Check the Temperature Format for Celsius or Fahrenheit; fix maximum motherboard temperature for High Temperature Alarm and minimum RPM for Power Fan Speed Alarm.


7.1.21 System Event - Network Congestion

System Event - Network Congestion

This function alarms you when network bandwidth is overloaded.

Current Status: Shows you the current Total Upload/Download bit rates.

Options: Fix maximum bit rate (Kbps) for High Upload/Download Bit rate Alarms.


7.2 Action

Action


7.2.1 Action - Assign an action type

Action - Assign an action type

Step 1: Choose an event and click the insert action icon [image] .

Step 2: There are 11 types of actions, select the actions you want and then click OK.

1.

On Screen Display

2.

Play Sound

3.

Send E-mail

4.

Phone Call

5.

PTZ Preset Go

1.

DI/DO

2.

Send a SMS Message

3.

Send to Central Server

4.

Send snapshot to FTP

5.

Popup E-Map on event.

6.

Push Notification

* Note: Some actions will not be available under NVR Lite License.

Step 3: General Setting the setting of the Action Type if needed.


7.2.2 Action Type - On Screen display

Action Type - On Screen display

A red warning will be flashing on the screen of Mainconsole, indicating which type of unusual event is detected.

Step 1: Select the “On Screen display” action and then click OK.

Step 2: The responding window will popup to Selected Camera. Click the “On Screen display” indicator to modify the setting.

Camera: Display the camera applied to this action.

Auto popup: Click the Auto popup column and select the expected monitor for popping up the event.

Displayed text: You can follow the default setting to show the event type, or enable “Customized Text” to define the text as your preference.

Color edge: Select the color edge for popping up the event.


7.2.3 Action Type - Play Sound

Action Type - Play Sound

Sound alarm – the system will play the sound as alarm when an unusual event is detected.

Step 1: Select the “Play Sound” action and then click OK.

Step 2: The responding window will popup to choose a Wave file (.wav). Click the “Play Sound” indicator to modify the setting.


7.2.4 Action Type - Send E-mail

Action Type - Send E-mail

The system will send an E-mail immediately to given accounts indicating the type of event, the time, and attaching a picture taken while the event is detected.

Step 1: Select the “Send E-mail” action and then click OK.

Step 2: The responding window will popup to Select Contact, type the message to append. (You can choose more than one contact).

Edit Address Book: Insert the contact information here.

Note:

1.

To give the system the E-mail accounts, go to General Setting > Setup > Hotline. See General Settings on page 91 for details.

2.

For Digital Input Events, this warning action will send the snapshot of the associated camera. Please refer to I/O settings for details.


7.2.5 Action Type - Phone Call

Action Type - Phone Call

The system will call a given phone number when an unusual event is detected.

* Note: This function is not available under NVR Lite License.

Step 1: Select the Phone Call action and then click OK.

Step 2: The responding window will popup to Select Contactor and key-in the message which want to append on SMS content. (You can choose one more contact at once).

Note: To setup the phone number and make an audio record for the phone call, go to General Setting - Setup - Hotline. See General Setting on page 91l.


7.2.6 Action Type - PTZ Preset Go

Action Type - PTZ Preset Go

The PTZ (pan/tilt/zoom) camera will go to a preset point or auto patrol when an unusual event is detected.

* Note: This function is not available under NVR Lite license.

Step 1: Select the “PTZ Preset Go” action and then click OK.

Step 2: The responding window will pop up to PTZ Camera Preset Go.

Click the “PTZ Preset Go” indicator to modify the setting.

Step 3: Set the action of cameras which you want to trigger by events.

For example: Please follow below steps to setup this function.

Set the action of camera 1:

1.

Choose camera 1.

2.

Set the start, end preset points.

3.

Select the Life Cycle.

4.

Click Add.

Set the action of camera 2:

5.

Choose camera 2.

6.

Set the start patrol and end patrol.

7.

Select the Life cycle

8.

Click Add.

9.

Finally Click Ok to save all setting of cameras.

Note: General Setting your PTZ camera before using this function. See General Setting on page 89 for PTZ camera General Setting.


7.2.7 Action Type - DI/DO

Action Type - DI/DO

To trigger Digital input/output devices connected to the system, such as alarm lights and sirens.

Step 1: Select the “DI/DO” action and then click OK.

Step 2: Select devices to be triggered by event.

Step 3: Click the Life Cycle box of each device to General Setting the life cycle of each triggered alarm.

The alarm may terminate when the event disappears, 10/30/60 seconds after trigger, or require a manual cancel. Note that you may also customize a timer by simply inserting a number in the box.

Step 4: You can enable the Automatically Popup I/O Control Panel check box to obtain the correspondent panel to monitor the I/O status.

Note: You should adjust the setting of I/O device in General Setting>Setting>I/O Device first, the I/O control panel will display the device status based on it. You can also adjust the size of the panel by dragging a mouse or click the

on the right top of the display window.


7.2.8 Action Type - Send an SMS message

Action Type - Send an SMS message

The system will send an SMS message immediately to given accounts indicating the type and time of event.

* Note: This function is not available under NVR Lite License.

Step 1: Select the “Send a SMS message” action and then click OK.

Step 2: The responding windows will popup to Select Contactor (You can choose one or more contacts). Click the “Send an SMS message” indicator to modify the setting.

Note: To General Setting a GSM modem for the system, go to General Setting - Setup - Hotline. See General Setting at page 91.


7.2.9 Action Type - Send to Central Server

Action Type - Send to Central Server

This action will send an event and snapshot to ’s Central Management Server (separate software package, not included).

* Note: This function is not available under NVR Lite License.

Step 1: Select the “Send to Central Server” action and then click OK.

Note: Please refer to the CMS user manual for details on using the Central Management System.


7.2.10 Action Type - Send snapshot to FTP

Action Type - Send snapshot to FTP

The system will upload a snapshot immediately to FTP site.

* Note: This function is not available under NVR Lite License.

Step 1: Select the “Send snapshot to FTP” action and then click OK.

Step 2: General Setting options.

Life Cycle: General Setting the system to stop sending snapshots after ___ seconds, or when the event is terminated.

Frame Interval: Define the frequency of snapshots.

-

Minimum is 1/60 fps (1 snapshot per 60 seconds)

-

Maximum is 30fps (30 snapshots per second).

Resolution: Choose to keep snapshot in original resolution or compress to lower resolution.

Note:

1.

For Digital Input Events, this warning action will send the snapshot of the associated camera. Please refer to I/O settings for details.

2.

To define an FTP server, go to General Setting > Setup > Hotline. See General Setting at page 91 for detail.


7.2.11 Action Type - Popup E-Map on Event

Action Type - Popup E-Map on Event

The system will auto popup E-Map window and show the assigned map and indicator.

* Note: This function is not available under NVR Lite License.

Step 1: Select the “Popup E-Map on Event” action and then click OK.

Step 2: The responding window will popup to Popup e-map on event. Click the “Popup E-Map on Event” indicator to modify the setting.

Step 3: Select the Map Layer and Indicator, and then click OK.

Note: To edit E-Map, see General Setting at page 117.


7.2.12 Action Type - Push Notification

Action Type - Push Notification

The system will send instant message to registered iViewer as a notification.

Step 1: Select the “Notice on Mobile Client” action and then click OK.

Step 2: General Setting options.

„

Frequency—Rearm interval: the minimum interval of notifications as the event occurs. (default:10, max:300)

„

User List: All user accounts in this unit. Click “select all” to select all user accounts; click “deselect all” to remove all user accounts.

„

Receiver List (overview/remove): go to General setting>Network Service>Push Notification for user account overview. Click “Kill” for selected user account delete and “Kill All” for all user accounts delete.

1.

User name: user account

2.

ID: user account display name

3.

Least time: indicate user did not login period

4.

Login Username: the user account display name when login

Send test: click to send test push notification to selected list.

Note:

1.

Please sign in iViewer first.

2.

If the user password is changed, please sign in iViewer with the new password to start the service again.

3.

If users do not want to receive notifications anymore, users can turn off this feature on iViewer. There is one possibility of de-registering failed: users have ever logged in to iViewer by typing both LAN IP and WAN IP of Main Console, but only do de-registering on one side.

4.

If users do not want to send notifications to certain user account, users can de-select the user account on Notification General Setting>>Network Service.

5.

If user does not login till 30 days, user account on push notification user list will delete automatically.

6.

Push notification test is depending on iOS/Andriod receive the message or not.


7.2.13 Action Type - TV-Out

Action Type - TV-Out

Pop-up video to TV-Out monitor on event.

* Note: This function is not available if there is no SCB-7108/7116 card installed.


7.3 Advanced Settings

Advanced Settings

Click the Advanced button on the bottom of the Event and Action General Setting dialog for advanced settings.

Condition of startup – Smart Guard can be started under the follow modes:

1.

Manually start/stop from Start menu or as Mainconsole startup setting (default)

2.

Started by defined D/I trigger. Select D/I from drop down list and click OK.


8. General Setting

General Setting

Click the General Setting icon, select from the drop-down menu and run the General Setting panel. Modify the setting and access License Manager, Video Analytics, Metadata application, Metadata Search, Log viewer, Backup, or Network Services. Select Save/Load General Setting to save/load all the settings.

* Video Analytics and Metadata Application not available under NVR Lite License.

* Video Source function available only with MPEG-4 software compression captures devices.


8.1 Setting

Setting


8.1.1 System Setting

System Setting


8.1.1.1 General

General

Startup

Check the Mainconsole box to execute Mainconsole system when windows startup.

Check the following 3 main functions and 5 network services to auto activate functions when Mainconsole system is execute, including Schedule Recording System, Smart Guard System, Counting Application, Live Streaming Server, Remote Desktop Server, 3GPP Server, Remote Desktop Server and Central Management Service. Checking other options can setup the startup status as Full screen, auto lock system by startup or allow system to auto login with the preset account.

Setup Auto login: Enable “Auto login” and click the Setup button to obtain the Auto Login Setup panel, insert the User Account and Password to login automatically when the system starts. Enable the Minimize after login to minimize the Mainconsole window after login.

Status Display

Check the boxes of the information that you wish to see in the information display window in the Mainconsole.

Status Display: Select the information such as Current Date, Current Time, Login User, Free Disk Space, IP Camera Bit rate and User Defined Text.

Advanced Setting: Click the button to obtain the Advanced Setting Panel to select Temperature, Fan Speed, System, Network Utilization information and System Uptime info you wish to display.

Miscellaneous

Automatically popup event report: Event report dialog to automatically pop up when events are detected. Make sure to stop Smart Guard System before you modify the setting, otherwise the modification will not take effect.

Minimize to system tray: Enable the Option to minimize the Mainconsole to be an icon in notification area of windows task bar when pressing the minimize button.

Note: Insert the user name and password of Mainconsole again when clicking the minimized Mainconsole icon in notification area of windows task bar to start monitoring.

Synchronize video frames: Select to avoid image tearing problems that may occur while CPU loading is increased.

DDNS Service: Dynamic Domain Name Server (DDNS) function allows you to use Live View or Web View to connect to the Mainconsole through Internet event if you have a dynamic IP address. Click the DDNS button to obtain the Dynamic DNS Setup panel. Set up the DDNS function by selecting the provider type, filling with user name, password and host name, and adjust the update period.

Enable help notes: Check this option, a [image] icon will be displayed near many major function buttons (as below). Click the icon to browse the detail descriptions in user manual. System also support hot key "F1" in anytime to call the user manual directly.

Run as Windows Service: Enable the Option to run Mainconsole as windows service. When Mainconsole run as a windows service, it will do standard operation, ex: recording and smart guard even user do not log in Windows.

Example A: If you want to keep Mainconsole operating after Windows User logout and login, please tick options:

(1) Auto Login

(2) Run as Windows Service

Example B: If you want to keep Mainconsole operating after Windows reboot, please tick options:

(1) run Mainconsole when startup

(2) Auto Login

(3) Run as Windows Service

Note: If Mainconsole has been run as Windows service, user will not be able to run another Mainconsole again.

Note: If you found the run as service is gray out, please follow below 3 steps to install the necessary component:

1. Microsoft .NET Framework is required to be installed on Windows OS to make sure Run as Windows Service work properly. It can be installed via: Run Control Panel -> Turn Windows features on or off -> .NET Framework.

2. Find the file "LoaderServiceSetup.msi" in location: "C:\Program Files (x86)\NUUO\SCB_IP\LoaderService". Click to install.

3. Reboot Windows and Mainconsole.

Audio Preview

Default Channel: Select the audio channel that you wish to hear from in “Default Channel”.

Enable Audio on Active Channel: Select the “Enable Audio on Active Channel” option to hear the audio from the selected video channel (selected by mouse) on each video grid of Mainconsole. The default channel will play if no specific video channel is selected.

Volume: Adjust the volume with the “volume bar.”

Auto Reboot

Check the option of “Enable Auto Reboot” so that you can reboot the system on the time you select.

Step 1: Check the option of “Enable Auto Reboot.”

Step 2: Select the time you want to reboot.

Note: Enable “Mainconsole”, “Auto Login”, “Setup login account” and check other status in Startup section so when PC reboots the system will run normally.


8.1.1.2 Camera

Camera

Search: Click Search icon [image] to Search IP Camera. The system will start scanning automatically; Click the Stop Scan button to stop scanning any time.

Fill in the user name and password for each IP camera found and click OK to add it to the camera list.

Insert: Click the Insert icon [image] for the IP/Video Server Setting panel and add IP cameras to the list. See following part (IP Camera/Video Server Setting panel) for detail.

Delete: Click the Delete button [image] to remove the selected IP camera(s) from the system. Click OK to finalize the modification.

Configure Click the Camera Settings button for the IP/Video Server Setting panel. You can modify the IP camera settings with the Setting panel. See following part (IP Camera / Video Server Setting panel) for detail.

Config: Click the Config button [image] to input camera information such as IP address, account and password.

•

Network: Fill in required info of the Network field (including Name, IP Address, Port, User Name, Password and Protocol) referring to the instruction provided by the camera manufacturer. Check “Use DNS” to use domain name instead of IP address.

•

Device: Choose the IP camera manufacturer from the drop-down menu. Alternatively Click “Auto Detect” and the detected vendor /model name will show in the box.

Note: How to make Mainconsole support more camera model?

1.

Mainconsole can expand the camera model support on Mainconsole via upgrade Device Pack.

2.

Device pack is an independent software pack which will be release periodically with new camera model added or new camera firmware upgraded.

3.

It can be downloaded in Camera device pack. (Login required)

4.

The version of Device Pack can be seen as below and will be refreshed once install new Device Pack.

5.

Contact distributor or sales rep to request new camera support.

•

Description: Shows information for the IP camera.

Import: Click the Import button [image] to input a prepared .csv file so can batch config many cameras.

Example of csv file:

Column A: Name

Column B: IP address

Column C: Port

Column D: User name

Column E: Password

Column F: Protocol

Column G: Vendor

Column H: Camera Model

Show Video Info: Check to show the below details in the video.

1. Date

2. Time

3. Camera Number

4. Camera Name

5. Bitrate

6. Live Buffer Time: Check to show the “Live Buffer Time: x milliseconds” on screen display.


8.1.1.2.1 Camera Settings

Camera Settings

Maximum camera channel support

Mainconsole is able to support up to 96 CH of cameras per server.

However, to ensure system stability, if more than 64 camera is added, Mainconsole will limit the display layout to 1x1 only.

User can still enable auto scan and view every channel in 1x1 layout.

When over 64CH of cameras:

It is recommended to set Mainconsole as a pure recording server and install a Remote Live Viewer for live view monitoring.

Below are some configuration for a server with CPU Intel Xeon E5-2620 .

Rec (CH | Camera Resolution | CH Bit rate | Total Bit rate | FPS | Local Live View Channel | Remote Live View Connection | Local Playback Connection | Remote Playback Connection
96 | 640*480 | 900K | 85M | 30 | 1 | 192 | 0 | 0
96 | 720P | 2Mbps | 192M | 15 | 1 | 192 | 0 | 0
96 | 720P | 2Mbps | 192M | 30 | 1 | 192 | 0 | 0
96 | 720P | 2Mbps | 192M | 30 | 1 | 96 | 0 | 0
96 | 720P | 3.6Mbps | 340M | 30 | 0 | 96 | 5 | 7
96 | 720P | 3.8Mbps | 364M | 30 | 1 | 192 | 0 | 0
96 | 1080P | 3.6Mbps | 340M | 15 | 0 | 96 | 2 | 2
96 | 1080P | 4Mbps | 384M | 15 | 1 | 96 | 0 | 0


Camera Settings

Camera Settings

1.

Set the camera parameter such as resolution and frame rate offered by camera vendor.

2.

If the camera supports Multi-stream, you can enable the function by check “Enable Multi-Stream”.

Note: Multi-stream function allows Mainconsole receive 3 different video streams and configure each streaming parameters ex: fps, video format, resolution.

Note: Not every camera model support Multi-stream configuration, please refer latest camera support list for detail description: Camera Support List.

After enable the Multi-stream function, you can configure the parameters for the 3 different streams.

For DVR capture cards, “Main” and “Sub” is offered, and the parameter can be set as below:

SCB-6000S series:

Main: D1/ PAL: 6.5fps, NTSC: 7.5fp

Sub: CIF/10 fps

SCB-7000S series:

Main: D1/ PAL: 25fps, NTSC: 30fp

Sub: CIF/10 fps

SCB-8000HD series:

Main: Resolution depends on the camera input. / PAL: 25fps, NTSC: 30fps

Sub: Resolution is a half of Main stream / PAL: 10fps, NTSC: 10fps


Stream Profile

Stream Profile

Stream Profile: Stream profiles are pre-defined to preferred settings which will respond from the query of the remote live view function. Each profile has different Format, Frame, Resolution, Quality and Bit rate (Kbps) settings, you are able to config them individually.

For the camera support Multi-stream function, the 3 different source streams could be connected to Mainconsole and automatically maps to different stream profiles. Click stream profile to select the source stream you would like to change.

Advance Profile Setting

Local display profile: It shows which stream profile of this channel being used currently for local display. Click the button “Set Layout Profile” to configure which stream profile expected to be used under different layout. For example, choose “Main” profile for layout 1x1 and choose “Minimum” profile for layout 5x5, so the video quality will be different on the two different layouts. By adjusting the setting, the CPU decode loading can be saved efficiently.

A set of default stream profile was chosen as below, but user can change the setting manually.

Grid Profile | Profile 1(IP cam) | Profile 2 (IP cam) | Profile1 (DVR card) | Profile 2 (DVR card)
(16:9)1+3 | Main | Normal | Main | Sub
(16:9)2+4 | Main | Normal | Main | Sub
(16:9)1+8 | Main | Normal | Main | Sub
(16:9)4×3 | Normal |  | Sub |
(4:3)1×1 | Main |  | Main |
(4:3)2×2 | Main |  | Main |
(4:3)3×3 | Normal |  | Sub |
(4:3)4×4 | Normal |  | Sub |
(4:3)1+5 | Main | Normal | Main | Sub
(4:3)2+8 | Main | Normal | Main | Sub
(4:3)1+12 | Main | Normal | Main | Sub
(4:3)N×N | Minimum |  | Minimum |
(HotSpot)1+12 | Main | Normal | Main | Sub
(HotSpot)1+17 | Main | Minimum | Main | Minimum

Apply to All Layout: Apply the stream profile setting of current layout to the other layouts.

Profile for analysis: In order to conduct video analysis such as event detection and advanced IVS, user need to assign a steam profile for this task. To make sure the video analysis accuracy, the minimum resolution and fps would be: CIF/15 fps.

Copy to: Allow user to copy the stream profile of this camera to all the other cameras

Settings will be copied includes:

1.

The mapping relation between source stream and stream profile

2.

Keep key frame only setting.

3.

The selected stream profile for analysis.

*Cameras with Multi-stream enabled can only be copied to other cameras with Multi-stream on while cameras with Multi-stream disabled can only be copied to other cameras with Multi-stream off.

Note:

•

The types of stream profiles and options will differ among stream sources.

•

IP cameras on NVR IP+ License:

•

5 profiles include Main (not General Setting), High, Normal, Low and Minimum (for Smart Phone Clients).

•

IP cameras on NVR Lite License:

•

3 fixed, not General Setting profiles including Main, Low and Minimum (for Smart Phone Clients).

•

Analog cameras on SCB series 6000S/7000S/7100 :

•

4 profiles include H.264 (H.264 format only), High, Normal, Low and Minimum (for Smart Phone Clients).

•

HDCCTV cameras on SCB series 8000HD series:

•

4 profiles include H.264 (H.264 format only), High, Normal, Low and Minimum (for Smart Phone Clients).


Go to Web Interface

Go to Web Interface

Go to Web Interface: Go to vendor’s website interface to General Setting the camera setting


Lens Setting

Lens Setting

Lens Type:

Mainconsole support two fisheye lens type:

1. Fishyeye Dewarp.

•

Original fisheye video is shown on the left window. System will automatically calibrate according to fisheye video, but you can now calibrate manually if the original image is over sized or torched.

•

Simply click on the green circles to adjust the size of the calibration area, or rotate the area.

•

Depending on the hardware, GPU can assist in the fisheye dewarp decoding by selecting the “GPU acceleration” option.

2. ImmerVision IMV1-1/3.

Camera Position:

With cameras that support Fisyeye Dewarp, you can chose lens mode as: original, PTZ mode, Quad mode and Perimeter mode.

With cameras that support ImmerVision IMV1-1/3, you can choose lens mode as: original, Rectilinear mode, Quad mode and Dual-view panorama mode.


Video Parameter / Advanced

Video Parameter / Advanced

Video Parameter: Adjusts the video’s brightness, contrast, saturation, and color hue values.

Advanced: Starting from v6.0, Mainconsole support certain camera models to configure camera parameters such as, Video, Image, Lens, Privacy Mask, Audio, Date and Time and access Camera System Information.

For those models, the "Video Parameter" button will be replaced as "Advanced".


8.1.1.2.2 Show Video Infos

Show Video Infos

Show video Infos: Select the information that you wish to see in the on-screen display, or the sub-screen of the camera. Click the Font button to setup the font style.

Setup font:


8.3 I/O Device

I/O Device

I/O Device Setting:

Module Setting: Name the module device and ID that has been connected to the digital input/output device(s) to your system.

Device: This column displays the device(s) already installed to the system.

IP address: key in the IP address for I/O device via TCP/IP connection

Port(for TCP/IP connection)/COM Port(for USB connection): key in port or COM port

ID: Select the number of the I/O port to which you plug the ribbon cable. Click [image] for test connection, [image] for add, [image] for delete and [image] for modify.

Digital Input Monitor: The device(s) is turned on if the dot is red. By triggering the digital input device, the related icon will light up. This is used to check that the device is correctly connected.

Digital Output Simulation: The device(s) is turned on if the dot is red. By clicking on the icon, you may trigger the digital device connected to the system. This can be used to test if the output device is correctly connected.

Device Setting

Name: Insert the name of the device (input and output).

Type: Select the device type from the drop-down menu.

1. N/O: Normal Open.

2. N/C: Normal Close.

Associated Camera: You may assign one camera to each digital input device. Smart Guard will collect snapshots from these cameras upon certain triggered events. For details please refer to 4.2 - Action. DI’s included with IP cameras will keep its own camera as default associated camera.


8.1.1.4 PTZ General Setting

PTZ General Setting

Install PTZ cameras and follow the instructions of the camera manufacturer. A PTZ camera is usually connected to the PC with RS-485/RS-422.

Check the box on the camera list to activate the PTZ control function of a PTZ camera.

Basic Setting: Select the camera model, com port, baud rate, and address according to your PTZ camera.

Note: If the camera model is an IP PTZ camera, you can work PTZ function directly without the com port, baud rate, and address settings.

Note: For analog camera, it support various protocol as below:

Advanced Setting: You may setup the pan speed, tilt speed, zoom speed and auto pan speed. Adjust the settings by dragging the bars.

Miscellaneous:

PTZ Idle-Handling: By enabling this function, the PTZ camera will automatically go back to a default preset point when no PTZ commands are under action. To enable this option, check “Back to PTZ preset after idle” and define idle periods and a default preset point.

Patrol Group: You can setup the Patrol Group, please see page 33 for detail.

User-Defined Preset: User-Defined Preset for the analog speed dome can trigger the extra-function of the speed dome itself, for example auto-tracking, login menu of camera…etc. You can refer to the detailed description of each analog speed dome on its user manual.

Step 1: Type the Preset Name.

Step 2: Type the Preset Number.

Step 3: Select the Preset Type.

Step 4: Press the buttons to Add, Delete, or Update preset setup.


8.1.1.5 Hotline

Hotline

General Setting the settings of various contacts or devices, including E-mail, FTP, GSM modem and Telephone calls which will be triggered upon event detection.

E-mail: Input the following information: Server, Port, and Sender’s E-mail address, E-mail’s subject title, Body content and SSL option for encrypted transmission. Click the Send Test Mail button to test the settings.

Note: * indicates mandatory fields

FTP: Input the following information: server, Port, Login ID, Password, and Upload directory, according to your FTP type to enable/disable Passive mode. You may Click the Upload Test File button to test the settings.

Note: * indicates mandatory fields

Telephone: Select the modem that the system is going to dial the info call with, and then insert the phone number you want to dial to. (A modem is required for voice transition.)

Note: 1. You must use a modem with voice capability.

2. You may select a Wave format file; it will be played in the phone to alarm the person who picks up the phone call.

GSM modem: Set the Port and Baud Rate of the GSM modem device, and then enter PIN code. You can setup the interval of send SMS message. You may Click Test to send a test SMS message.

Note: The interval is set to fix a minimum time period between two SMS messages. If set as 60 min, the SMS between 60 min would be deleted and not sent to user.


8.1.1.6 Address Book

Address Book

Manage the address book from which you may send out a phone call or an E-mail when an unusual event is detected.


8.1.1.7 Monitor Display

Monitor Display

Software Display Option: Execute Mainconsole and Playback System on the assigned monitor by checking the box. Make sure to adjust the display setting of your computer in advance to avoid system error.

Cameras List: The left side displays a list of all cameras; modify the cameras shown on primary/ secondary monitor in the right window.

Auto Scan: Activate auto scan to rotate the channels/ cameras on the display screen.

For instance, you may select to show only 4 sub-screens on the Mainconsole while having 16 channels connected to the system. With auto scan function, you will be able to see all 16 channels by turns. You can set up a primary channel that will always be on the screen and a secondary channel that has secondary priority.

Layout: Choose the number of divisions for NxN division on the Mainconsole screen.


8.1.1.8 Joystick

Joystick

* Note: This function is not available under NVR Lite license.

Function: You can choose the function from the drop-down menu for the button of the joystick.

Note: Following is a complete list of all functions:

1.

N/A

2.

Goto Preset Point (including Home)

3.

Goto Camera

4.

Goto Previous Camera

5.

Goto Next Camera

6.

Switch Screen Layout

7.

Toggle Single Camera View

8.

Toggle Full Screen

1.

Start/Stop Auto Scan

2.

PTZ Speed Up

3.

PTZ Speed Down

4.

Zoom Wide

5.

Zoom Tele

6.

Start/Stop Patrol

7.

Switch Active Monitor

Parameter: You can choose the parameter of the function from the drop-down menu.

Default: You can set the default setting for the joystick.

Export: You can export the setting of the joystick.

Import: You can import the setting of the joystick.

DCZ Joystick integration

Support function:

„

“F1”: select full screen display in current monitor

„

“F2”: select 2x2 display in current monitor

„

“F3”: select 3x3 display in current monitor

„

“F4”: select 4x4 display in current monitor

„

“CAM” + “number”: select a camera and run instant playback

„

“MONITOR” + “number”: select a monitor

„

“LIVE” + “number”: select a camera

„

“PRESET” + “number”: go to a preset

„

“TOUR”: go to a patrol

o

When focus on a channel, and press “tour”, camera will execute the assigned tour (one of the 4 tours.) for this camera.

„

“-PREV”: display the previous camera

o

Keep press “–“, display chance would be ch1 -> ch3 -> ch2 -> ch1

o

– is not applicable in multi-view

„

“+NEXT”: display the following camera

o

Keep press “+”, display chance would be ch1 -> ch2 -> ch3 -> ch1

o

+ is not applicable in multi-view

„

“1/PLAY”: play video in instant playback

„

“2/STOP”: stop video in instant playback

„

“3/PAUSE”: pause video in instant playback

„

“JOG/SHUTTLE”: step forward/backward and speed up/down in instant playback


8.1.2 Storage Setting

Storage Setting

Storage setting allows you to set up your storage group, record group, edge storage, video recycle, and log recycle settings.


8.1.2.1 Storage Group

Storage Group

Storage group is where you can set up disks in groups for various purposes, such as recording the important videos into higher quality disks, or simply organize certain camera recordings into certain disks for better video management.

It is recommended not to save in system HD (C :\) to avoid PC efficiency drop when free storage is low.

On the left column, Storage Group List lists out all the storage groups.

1.

Click on the + button to add a storage group.

Click on the – button to delete a storage group.

2.

On the right column, disks in the storage group are listed.

Change the location by clicking the [image] button.

Right click on a disk to move to another group (see below), or click on the upper right + button to add a disk into the group.

If you have more than one drive available for recording, you may check “Enable Disk Load Balance (Recommend Same Volume Disk)” to evenly distribute recording to multiple drives. This will increase efficiency of the system. Please refer design tool for evaluation.

Note:

1.

Default Group cannot can be renamed, but not deleted.


8.1.2.2 Record Group

Record Group

Record group is where you assign where each video from a camera is recorded to. Cameras that are active are listed here.

1.

You can choose which video (Record 1, Record 2, or Edge video) is to be recorded to the intended storage group individually.

2.

You can also choose to multi-select the cameras, and assign as a group.

Click on the checkbox on the left and select the desired cameras, and select the type of Record, and select the Storage Group to assign as a group.

3.

Click on [Select All] to check all cameras on the list, and assign as a group if needed.

4.

Press [OK] to confirm the change.


8.1.2.3 Edge Storage

Edge Storage

Edge Storage is where you can set up edge recording. The feature works as a recording failover mechanism as the lost videos that are not recorded in Mainconsole due to unexpected disconnection can be retrieved from the edge cameras after reconnection.

Below are the conditions for Mainconsole to retrieve videos from edge cameras:

1.

Recording schedule is started at the time

2.

Edge record setting is enabled (default is enabled).

Cameras that Mainconsole support edge record will be shown on the list. If a camera model doesn't support Mainconsole edge record, it will not be listed.

Camera Name

List the camera number and its name as set up in camera settings.

Retrieve Mode

With Auto, when re-connection is detected by system, the lost video record will be retrieved.

With Daily, you can set up a preferred time to start retrieving the videos, for example at 2am, where the total bandwidth is lower to ensure smooth video retrieving.

Status

Below list the possible status indicators and its explanation

Retrieving… : Lost video is being retrieved from camera

Idle: There is no lost video

Waiting: A maximum of 3 videos can be retrieved at the same time. So when there is more than 3 cameras with lost video, this is shown when the camera is queuing to be retrieved.

Prepare to stop: This is shown when during retrieving, user manually disable the retrieve progress by unchecking (and pressing [OK]) the edge camera. System will not immediately stop retrieving video, thus displaying this message.

Disable: When the specific camera is disabled from edge retrieving.

Note:

1.

Retrieved videos are considered as Record 1, and automatically joined with server recorded videos seamlessly.

2.

Only videos within 7 days of reconnection can be retrieved.

3.

Below are conditions where Mainconsole will not retrieve videos from edge cameras:

•

Mainconsole application is shut down manually.

•

Power of Mainconsole server is switched off.

4.

To ensure time between camera and recording server are synced, please enable NTP on camera.


5.9.4 Video recycle

Video Recycle

This setup allow user configure different recycle criteria for different cameras and for different Record video of the same camera.

General setting: Set the standard limit to let the system recycle automatically. The system will start to recycle if the disk space is less than the indicated percentage (default is 10%, minimum is 5%).

Option setting: Set different recycle days for Record 1 / Record 2 so can keep different length of recordings.

Allow exception: Drag and drop the camera(s) to the right panel and will pops up a setup window as below to input the special recycle criteria. In below, the 2 recordings of the first camera were configured with different recycle criteria: Record 1: 7 days; Record 2: 30 days.

If you expect a recording utilize the space in maximum, you can leave black in the keep x days.

By setting this, the symbol would become “-”, ad the length of Record 2 will depend on the remaining space of available space. This also means this recoding has lowest priority, so it would be recycled first when disk space is insufficient in order to meet or recording settings.

Note:

1.

The system will detect the storage space of default location firstly, if the default storage space is exhausted, the video will be stored to the next directory.

2.

If all the status of locations exceeds the storage rule, the system will start recycling in an hour progress.

3.

Recycle priority: keep % of dis space > keep x days > keep – days.

4.

Recycle example:

Example 1: Set “keep 10% of disk space”; Current available space is still more than 10%, ex:15%.

a.

For the recordings set as “keep x days”: Mainconsole will start to delete the oldest recording when it’s data length reach x days.

b.

For the recordings set as “keep - days”: Mainconsole continue record and will start delete the oldest recoding when available disk space reach 10%.

Example 2: Set “keep 10% of disk space”; Current available space is10%.

a.

For the recordings set as “keep - days”: Mainconsole will start to delete the oldest recording. The new space after delete will be used to store the recording which set as “Keep x days”.

b.

For the recordings set as “keep x days”: Mainconsole will start to delete the oldest recording when it’s data length reach x days.

c.

Mainconsole continue delete the oldest recordings of “keep – days” until it remain only 1 day Then, Mainconsole will start to delete the oldest recordings of “keep x days” in order to follow the rule: keep 10% of disk space.


8.1.2.5 Log Recycle

Log Recycle

Click the button to obtain the Advanced Recycle Setting panel. Set the days that you want to keep the event or Keep all event logs within interval of video files.

Event Log: Delete the event log data that is older than the number of days set.

System Log: Delete the system log data that is older than the number of days set.

Counting: Delete the counting application data that is older than the number of days set.

Resource Report: Delete the Resource report data that is older than the number of days set.

Export and Backup Log:

Edge Storage: Delete the Edge Storage Log that is older than the number of days set.

Metadata Transaction: Delete the metadata transaction data that is older than the number of days set. Select any path at will and can use the same path which has been used for video record.

IVS Display Data: Delete the IVS display data that is older than the number of days set. The selected path can not be the same path which has been used for video record.


8.1.3 User Account Setting

User Account Setting

General Setting all user accounts under this settings page.

Note that this page is only accessible by the default admin account.

User

Add new users and modify or remove existing users.

You may choose to add Basic Users directly in the system or import users from MS Active Directory (MSAD) as Windows Users.

*Note: Please remember to add your Windows login AD user account to the local PC's administrators user group. Mainconsole can be launched by administrators only.

Basic Users

Click [image] to add a new Basic User. Click [image] to delete an existing Basic User.

Create and modify the content of each user account under User Account Setting:

User name: Insert the user name.

Group: Assign the group for each user.

There are 3 default privilege profiles of account groups:

Admin: Have privileges of all system functions and devices, except adding/deleting/modifying privileges of other users.

Power User: Have limited privileges of system functions and complete privileges of assigned devices.

User: All the privileges of system functions are forbidden. Users can only manage assigned devices.

Description: Insert the description related to each user.

Login Username: the user account display name when login.

Password: Insert the password assigned to each user.

Password confirm: Insert again to confirm the password.

Enable dual password validation: Insert the second password assigned to each user. If this function enabled, the second password will be required for certain operation depends on the setting of “Privilege” page.

Disable User Account: By checking this option, the account’s access to the system will be blocked.

Disabled accounts will be marked with a cross on the icon [image] .

Note: Only the default admin account cannot be disabled.

Keep remote login for ___ minutes: Insert the duration to auto kick out account after logging in from Remote Live Viewer or Remote Playback server.

Access Video Period for ___ day(s): Insert the duration for the account to access video period.

Windows Users

Click [image] to add/remove/synchronize Windows Users.

Select User

Check users or folders under Select Active Directory user(s) and click OK to add Windows Users.

Click Select All to check all available users and folders, or click Deselect All to uncheck all users.

Group Mapping:

Selected Windows users will be grouped according to default mapping:

MSAD Group | Mainconsole Group
Administrator | Admin
Guest | User
Other | PowerUser

You may modify group setting for each user later under the User Account page.

Click OK when you are done adding Windows users.

Synchronization results will be displayed for confirmation.

Please refer to the default solution for all conflicts:

New accounts added from AD domain: Add to Mainconsole

Accounts from AD domain removed: Delete from Mainconsole

Account description modified: Update description

Encountered admin account: Skip admin account

Newly added account from AD domain conflicts with existing basic user account: Replace basic user account

Uncheck items to skip applying solution to Mainconsole user account settings.

For example, if you uncheck an “Add to Mainconsole” solution, the new account will not be added to Mainconsole’s user account list.

Advanced and Automatically Synchronized Setting

Instead of manually adding and updating Mainconsole users, you also can config Mainconsole to synchronize with Microsoft Active Directory Server (MSAD) automatically, in order to update the user accounts to Mainconsole. Click [image] to do this.

*Note: Please make sure the account you would like to use for synchronize is existing on the MSAD domain.

Synchronize by Windows user: Login MSAD server via the current account of windows OS.

Synchronize by MainConsole admin user: Login MSAD server via the admin account of Mainconsole.

Synchronize by other user: Login MSAD server via other account. Input the account in below columns.

Automatically synchronize Windows users: Check to enable automatic synchronization.

Synchronized period: Config the synchronization to start every ___ days.

Synchronized time: Define at what time the synchronization should start.

Note: Auto synchronization will apply all default solutions to conflicts.

Privilege: Define detailed privilege of functions and devices for each user account.

Function: General Setting settings, operation related, system General Setting, and privilege of remote access.

Need dual password validation: To turn on /off the dual password validation for a certain function.

Supported Stream Profile: To select what are the stream profiles user can access on remote client like Remote Live Viewer or mobile iViewer.

Device: General Setting device privileges of camera, digital output and metadata sources in Mainconsole and client applications.

Copy Privilege to…: Click this button [image] to copy privilege settings of any account to another.

Note: The privilege of default admin account cannot be configured.

Note:“Setup TV-Out function” is not available if there is no SCB-7108/7116 card installed.


8.1.4 Auto Backup Setting

Auto Backup Setting

General Setting your system to automatically backup video data on a daily or weekly basis.

* Note: This function is not available under NVR Lite license.

Screen Shot 2015-09-21 at 20.38.14

Auto Backup Config: General Setting auto backup settings on this page.

Enable Schedule Backup: Check to enable backup process.

Select Camera(s) to Backup: Choose all channels to backup.

Option

Location: Mainconsole can backup file to local PC path or remote FTP target.

Video Format: Select one format from 3 supported format

Server proprietary format: Manufacturer developed video format, file type is .dat.

AVI (Microsoft Video 1): a video compression and decompression algorithm (codec) released by Microsoft Corporation.

AVI (original format): the original format of AVI.

Backup file: Select Record 1, Record 2 or Both.

Backup Playback System: Tick to backup the playback application with each process.

Export IVS Display: Tick to backup the IVS metadata. (Do not support in AVI video format)

Send Mail when Backup Failed: Tick to receive an email notification when backup fails. Click Setup for email General Setting. Select one or more contacts from the address book and General Setting customized message content.

Recurrence:

Choose start time and Recurrence: Daily or Weekly modes.

Auto Backup Statistic: Shows statistics on current or latest backup status. Click Refresh to update.

Current Backup Status:

Idle: not active or awaiting next backup process

Backup…: Backup under process

Retry…: Previous backup failed, awaiting retry

Next Backup Start Time: Scheduled time for next backup process

Next Retried Process Time: Scheduled time for next backup retry process. N/A when status is Idle or under Backup.

Last Backup

Last Backup Start: Time and date last backup started.

Last Backup Stop: Time and date last backup was completed or had failed.

Backup Video Period: Total time spent on last backup process.

Backup Size: Total file size of last backup.

Backup Result:

Completed: Last backup succeeded.

Failed: Last backup failed, under retry process.

Timeout: Last backup failed, retry process timed out.


8.1.5 Counting Report Setting

Counting Report Setting

Configure system to automatically send out the people counting report via E-mail or FTP periodically.

* Note: This function is not available under NVR Lite license.

General setting:

Mode: Select counting source you would like to backup.

Frequency: Define the report frequency.

Resend if first transmitting fails: Setup retry internal and times.

Report through: Select report method.

Format Setting:

Report format: Select report format (Diagram / .CSV) and file name prefix.

Advance setting: Customized column name for .CSV format.

E-mail Setting:

Synchronize with Hotline E-Mail setting: Click this option to synchronize the setting so no need to input information again. Skip the option to input all necessary information of an SMTP server.

FTP Setting:

Synchronize with Hotline FTP setting: Click this option to synchronize the setting so no need to input information again. Skip the option to input all necessary information of an FTP server.


8.1.6 Language Setting

Language Setting

Language setting allows you to switch the language of the application. Select the desired language, and system will prompt you to restart the application. After application is restarted, the new language setting will be applied.

Language setting

Select the preferred language and press OK to apply after software restart.


8.2 License Manager

License Manager

License Manager helps user to activate Mainconsole from trail version to official version by activate IP+ license code.

Execute the License Management Tool in General Setting >License Manager to activate the license from dongle or serial number allocated with the software package, or de-activate the license then bring it to another PC to activate it again.

Note: Please refer License Management Tool for operation.


8.3 Save/ Load General Setting

Save/ Load General Setting

The Save/ Load General Setting function allows system users to save any specific setting as a CFG (General Setting) file. You may save several different CFG files at a time.

Save General Setting: To save a specific setting, go to General Setting - Save/Load General Setting - Save. In the popup window, type in the file name and then save it as a CFG file.

Load General Setting: To load a specific setting, go to General Setting - Save/ Load General Setting - Load. In the popup window, go to the directory that you saved the CFG files at, select any one of them and then click OK to load the file.

Note: Mainconsole will be automatically shut down after loading a new General Setting. Restart Mainconsole manually.


8.4 Video Analytics

Video Analytics


8.4.1 Intelligent Video Surveillance

Video Analytics - Intelligent Video Surveillance

Please refer session "Intelligent Video Surveillance" for detailed explanation and configuration.


8.4.2 Counting Application

Counting Application

Count objects, people or vehicles passing through pre-defined detection zones.

To access this page, login with admin account or user account with privilege of config main system.

* Note: This function is not available under NVR Lite license.

Camera List: Select which camera would enable counting application.

Operation:

Define detection zones: Defined the detection zone.

Define object size: Defined the size of the object to count.

Options: 1Way Counting will take objects going from Region 1 to Region 2 as one count. In 2 Way Counting mode, it counts either going from Region 1 to Region 2 or from Region 2 to Region 1.

Runtime: Check the boxes to show the counting result on the screen and/ or show object bounding box, which draws the shape of the object that the system detects in red squares. You can choose from the drop-down menu of how long you want to reset the counting number.

Start Simulation: Click to test the setting.


8.4.3 Privacy Mask

Privacy Mask

Mask your video with dark areas to protect your privacy.

To access this page, login with admin account or user account with privilege of Config main system.

* Note: This function is not available under NVR Lite license.

Privacy mask settings will apply to local and remote live view, web live view, local playback, remote playback and web playback.

Camera List: Check cameras to enable privacy mask.

Regional Definition: Click and drag to define privacy masked areas.

Rectangle Count: Maximum 10 rectangles can be drawn to define privacy masked areas.

Clear: Click to clear all rectangles.


8.5 Metadata Application

Metadata Application

Note: This function is not available under NVR Lite license.

Please refer session "Metadata Application" for detailed explanation and configuration.


8.6 Metadata Search

Metadata Search

Please refer session "Metadata Search" for detailed explanation and configuration.


8.7 Log Viewer

Log Viewer

View the history and export reports of unusual events detected by the Smart Guard System.

To launch Log Viewer, simply Click General Setting and select Log Viewer from the menu.


8.7.1 System Log

System Log

Step1: Choose the type of event you want to check or select All from the drop-down menu for all types of events. Select Log Type form the drop-down menu. There are in total 37 types of log types, including:

Mainconsole Startup

Mainconsole Shutdown

User Login

User Login Failed

Start Schedule

Stop Schedule

Execute Recycle

Enable Channel

Disable Channel

Start Smart Guard

Stop Smart Guard

Modify Smart Guard

Modify Schedule

Modify Configuration

Start Live Streaming Server

Stop Live Streaming Server

Modify Live Streaming Server

Start Remote Playback Server

Stop Remote Playback Server

Modify Remote Playback Server

IP Camera Connection Lost

Restart Windows

Modify Metadata Setting

Metadata Connection Lost

Modify E-Map

Start Remote Desktop

Stop Remote Desktop

Modify Remote Desktop

Start Central Management

Stop Central Management

Modify Central Management

Start Counting Application

Stop Counting Application

IP Camera Connection Regained

Sync. Microsoft Active Directory User

IP Camera Parameter Changed

Update Metadata Plug-in

System Notification

*Note: Detection of some system logs is not available under NVR Lite license.

Step 2: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search.


8.7.2 Export and Backup Log

Export and Backup Log

View the Export and Backup Log history that had been operated by local or remote user.

Step1: Choose the type of event you want to check or select All from the drop-down menu for all types of events.

Step 2: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular data: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search


8.7.3 Unusual Event

Unusual Event

Step1: Choose the type of events you wish to view or select All from the drop-down menu to view all. The types of Unusual Events include General Motion, Foreign Object, Missing Object, Focus Lost, Camera Occlusion, Signal Lost, Disk Space Exhausted, System Health Unusual, Digital Input Triggered and General Motion (Device).

* Note: Detection of some events is not available under NVR Lite license.

Step 2: Choose the camera channel you wish to view or select All for all channels available.

Step 3: View the events that happened on a particular date or during a given time period by defining a search period.

For a particular date: check and specify date in the Date box.

For a period: check the Date Time and then enter the date and time.

Step 4: Click Search.

Note: When working with a video record, as default, Log Viewer will search for Unusual Events in the video record in Date & Time mode, starting from the beginning to the end of the record.

A link ( [image] ) will appear next to each event time where video is available. By clicking on the link, an instant playback window will pop up to show recorded video.

Note: Instant playback is available under the following Smart Guard events: General Motion, Foreign Object, Missing Object, Focus Lost and Camera Occlusion.


8.7.4 Edge Storage

Edge Storage

View the log history of edge storage related actions

Step1: Choose the type of log you wish to view or select “All” from the drop-down menu to view all types of logs. The types of logs include Start Retrieve, End Retrieve, Stop Retrieve, Check Edge Video, Query Edge Video Fail.

Step 2: Choose the camera channel you wish to view or select All for all channels available.

Step 3: View the logs that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and enter the specific date and time.

Step 4: Click Search.


8.7.5 Counting Application

Counting Application

* Note: This function is not available under NVR Lite license.

Display the history of Counting Application during a given time period.

Step1: Select the channel you want to check or select All from the drop-down menu for all channels.

Step 2: Select search period. View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search.

Step 4: Press the button Export to.

Step 5: Type the file name and choose the file format (.xls or .txt).


8.7.6 Counting Application (Diagram)

Counting Application (Diagram)

Top Previous Next

* Note: This function is not available under NVR Lite license.

Display the Counting Application data in diagram format.

Step1: Select the channel you want to check or select All from the drop-down menu for all channels.

Step 2: From the drop-down menu, set up how you would like the diagram to be displayed. You have the options of one day, one month, or one year.

Step 3: Select a specific date to make it the start point of the diagram.

Step 4: Click Search.

Step 5: Press the button Export to.

Step 6: Type the file name and the file will save as BMP files.


8.7.7 IVS Event

IVS Event

Step1: Choose the type of event you want to check or select All from the drop-down menu for all types of events. Select Log Type form the drop-down menu. There are in total 37 types of log types, including:

Tamper Presence

Enter Exit

Appear Disappear

Stopped Dwell

Direction Filter Tailgating

Cnt Line - Dir A Cnt Line - Dir B

Abandoned/Removed Object

Step 2: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 3: Click Search.


8.7.8 Metadata Log

Metadata Log

* Note: This function is not available under NVR Lite license.

View the Metadata Log history detected by the Smart Guard System.

Step1: Choose the type of events you wish to view or select All from the drop-down menu to view all types of events. The types of Unusual Event include Transaction Start, Transaction End, Run Cash Register, Connection Lost, and special User defined event. Please refer to the User manual of Metadata plugins for details.

Step 2: Choose the camera channel you wish to view or select All for all the channels available.

Step 3: View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the Date Time and then enter the date and time.

Step 4: Click Search. A link ( [image] ) will appear next to each event time where video is available. By clicking on the link, an instant playback window will pop up to show recorded video

Step 5: Press the button Export to.

Step 6: Type the file name and choose the file format (.xls or .txt).


8.7.9 Export

Export

After each log search, export needed info to .xls or .txt files.

Step1: Press the button Export to.

Step2: Type the file name and choose the file format (.xls or .txt).


8.8 Backup

Backup

The backup function saves recorded video and other log information. Backup files may be reloaded on any PC with the Playback System installed. Follow the instructions below for more information on obtaining backup files.


8.8.1 Backup Recorded files

Backup Recorded files

Step 1: Add (Remote) Backup Site: Press the “Remote Server [image] ” button to go to remote backup site management to add and setup the backup site.

Choose the connection type: IP Address or Eznuuo.

Enter the server name.

Enter the Address, Port, User Name, and Password to login the server if you choose to add server via IP Address; Enter the Server ID, User Name and Password to login the server if you choose to add server via Eznuuo.

Click Add to add the server.

Click OK to exit the Setting panel.

Step 2: Access (Remote) Backup Site: Click the [image] icon and insert the username/password of the remote server to access the backup Site.

Step 3: Click New Period to obtain the Select Date/Time Period panel.

Step 4: Select the data you want to backup by highlighting the time period. Besides the time-table, you may also set up start time and end time in the Date Time Period section

Step 5: Click the camera number icon to add camera(s) or click [image] [image] to add/delete all the channels.

Step 6: Check the box of Enable Preview to get the preview of the video you select.

Step 7: Click OK when the settings are complete and go back to the Backup System panel.

Step 8: If there is any data period not wanted, click Remove Period to remove the data period on the backup list.

Step 9: Click the Backup icon to obtain Backup panel.

Step 10: Summary: Check the summary section to see the size of the file(s).

Step 11: Media: Choose the path you want to save the file or burn the file into a CD (direct CD burning for Windows XP only), DVD or on Hard Disk.

Step 12: Option: Select the log information you would like to backup (Event Log, System Log, Counter Log and Metadata Transaction), and then click OK.


8.8.2 Delete Recorded files

Delete Recorded files

Step 1: Click “New Period” to obtain the Select Date Time Period panel.

Step 2: Follow steps 3-7 above from the backup section to select data period which you want to delete.

Step 3: Click the Delete icon and delete all the data in the backup list from the database.

Note: Deleted video cannot be recovered.


8.9 Network Service

Network Service

There are 5 types of network services:

Live streaming server, Remote playback server, 3GPP service, Remote Desktop, and Central Management Service. From the Mainconsole, go to General Setting - Network Service to obtain the Network Service panel.

An icon shows for each network service in the information window of Mainconsole when started. See 1.1 User Interface Overview for details.

 | LiveView | Playback | 3GPP | Desktop | CMS
Start |  |  |  |  |
Stop |  |  |  |  |


8.9.1 Live Streaming Server

Live Streaming Server

When starting the live streaming function of computer, the system allows remote users to log in to the specific computer and view cameras that are connected to it. As system administrator, user could be able to monitor these accounts in order to maintain the system efficiency.

Main

On Live Streaming Server panel, administrator can see all the clients who are currently logging in to the computer and watching the live video from the remote side.

Client list:

Client Count: Show the amount of channels that are connecting to system.

Kill: Highlight an IP address and Click the “Kill Client” button to block the client from your client list.

Kill All: Click this button and all clients are blocked from logging into your system.

Service:

Server Status: Click Start/Stop to turn on/off this option.

Options: Adjust the setting only when the server is stopped.

Port: Assign a port for the clients to connect to your system via Remote Live Viewer. Default port is 5150.

Maximum Connections: Number of connections that are allowed to connect to the system. Default and maximum is 128, one camera video counts as one connection.

Use Default Web Server: Activate the Web server by checking the box; clients will be able to watch live video via Internet Explorer. The port for live streaming server is set to 80 by default.

Note: This must be checked in order to access system via IE*.

Save Log: Save the log information at appointed folder.

Enable Audio: Select this option to enable the audio transmission along with video stream.


8.9.2 Remote Playback Server

Remote Playback Server

When starting the remote playback function, the system allows remote users to log in to the specific computer and withdraw data files that are stored on it. As system administrator, user could be able to monitor the accounts logging in to maintain the system efficiency.

Main

On Remote Playback Server panel, administrator can see all the clients who are currently logging in to the computer and watching the playback video from the remote side.

Client list:

User Count: Show the number of users that are connecting to system.

Kill: Highlight an IP address and Click the “Kill Client” button to block the client from your client list.

Kill All: Click this button and then block all the clients logging to your system.

Service:

Server Status: Click Start/Stop to turn on/off this option.

Options: Adjust the setting only when the server is stopped.

Port: Assign a port for the clients to connect to your system via Remote playback server. Default port is 5160.

Maximum Users: Number of connections that are allowed to connect to the system. Default and maximum is 64.

Note: One user counts as one account that is logging in to the server.

Use Default Web Server: Activate the Web server by checking the box; clients will be able to watch live video via Internet Explorer. The port for live streaming server is set to 80 by default.

Note: Must check this item for system access via IE*.

„

Save Log: Save the log information at appointed folder.

Black / White List and Performance - Please refer to Live Streaming Server section


8.9.3 Black / White List & Performance

Black / White List & Performance

Black / White List

White List: Check the “Enable White List” box to activate the white list filter. Only IP from the white list is allowed to log in.

Black List: Check the “Enable Black List” box to activate the black list filter. IP from the black list will be blocked.

IP Address: Enter an IP address into the IP address field on the left. To add an IP address range to the system, enter 2 sets of IP address to indicate a series of IP(s).

Add/Delete: Add the IP(s) onto the list or remove it from the list.

Apply to All Network Servers: Apply the settings to both the live streaming server and the remote playback server.

Performance


8.9.4 RTSP Service

RTSP Service

When starting the RTSP service function of your computer, the system allows remote users to log in and view cameras that are connecting to it with RTSP supported device. See Appendix A for more details about 3GPP Service or below for RTSP service.

Client list:

Client Count: Show the number of channels that are connected to system.

Service:

Server Status: Click Start/Stop to turn on/off this option.

Options: Adjust the setting only when the server is stopped.

Port: Assign a port for the clients to connect to your system via RTSP Service. Default port is 554.

Enable User Authentication: User need to insert the user name and password to log in the RTSP server and view the video stream.

*Enable authentication will require ID/PW. Please also check “Login Remote Live Viewer”and “Login Remote Playback System” and“Device remote access”on Mainconsole privilege.

Methods:

1. Query Recordings

Example request:

GET /api/services/recording/records?

start=2015-01-31T12:55:01Z&end=2015-05-24T11:34:00Z HTTP/1.1

Host: 192.168.0.123 (Mainconsole server IP address)

Accept: application/json, text/javascript

Example response:

HTTP/1.1 200 OK

Vary: Accept

Content-Type: text/javascript

{

rtsp_setting:

{

ips: [ "10.0.8.6", "116.214.12.74", "192.168.3.4" ],

port: 554

},

data :

[

{

id: "C00000S00A20150515172348163",

start: "2015-05-15T09:23:48Z",

end: "2015-05-15T09:24:30Z",

stream_details: { format: "", resolution: "" },

stream_profile_id: "0",

device_id: "0",

service_id: "recording",

rtsp_url: "PB/ch1/Record1?Start-Date-Time=2015/5/15;17:23:48&End-Date-Time=2015/5/15;17:24:30"

},

{

id: "C00000S00A20150515172430776",

start: "2015-05-15T09:24:30Z",

end: "2015-05-15T09:25:13Z",

stream_details: { format: "", resolution: "" },

stream_profile_id: "0",

device_id: "0",

service_id: "recording",

rtsp_url: "PB/ch1/Record1?Start-Date-Time=2015/5/15;17:24:30&End-Date-Time=2015/5/15;17:25:13"

},

...

]

}

Query Parameters:

start?(string) ??start time, time format:?YYYY-MM-DDThh?:mm?:ssZ

end?(string) ??end time, time format:?YYYY-MM-DDThh?:mm?:ssZ

Response JSON Object:

rtsp_setting?(object) ??the rtsp setting

ips?(string_array) ??the rtsp ip list, should try all possibility

port?(int) ??the rtsp port

id?(string) ??record id, each record log id.

start?(string) ??start time, time format:?YYYY-MM-DDThh?:mm?:ssZ

end?(string) ??end time, time format:?YYYY-MM-DDThh?:mm?:ssZ

stream_details?(object_array) ??the stream details information data

format?(string) ??the format of video stream

resolution?(string) ??the resolution of vidoe stream

device_id?(string) ??the device id

service_id?(string) ??the service id, because it might be the failover record data

rtsp_url?(string) ??the rtsp url

2. Get live video

rtsp://IP:port/LV/ch1/Original or rtsp://127.0.0.1:554/LV/ch1

rtsp://ID:password@IP:port/LV/ch1/Original or rtsp://127.0.0.1:554/LV/ch1 (enable user authentication)

3. Get recordings

rtsp://IP:Port/PB/ch1/Record1?Start-Date-Time=2015/2/2;15:52:20&End-Date-Time=2015/2/2;15:59:29

rtsp://ID:password@IP:Port/PB/ch1/Record1?Start-Date-Time=2015/2/2;15:52:20&End-Date-Time=2015/2/2;15:59:29 (enable user authentication)

Format definition:

<protocol>://<ip>[:<port>]/<category>/ch<1-128>/< stream profile name>[ "?" <query> ]

<protocol> “rtsp” only

<ip> ipv4 format IP

<port> default port is 554. Port can be change as below

<category> LV is for liveview streaming; PB is for recording

ch<1-128> channel index

<stream profile name> LV support: Original, High, Normal, Low, Minimum; PB support: Record1, Record2.

<query>only and required for for PB. Start-Date-Time, End-Date-Time=yyyy/MM/dd;hh;mm:ss


8.9.5 Report Service

8.9.5 Report Service

Report Service allow user to browser the statistic data of Mainconsole IVS people counting and display in diagram or heat map.

Please refer [Terry] for detail functions.

Main

On Report Service panel, administrator can Start or Stop the report service.

Options: Adjust the setting only when the server is stopped.

Port: Assign a port for the remote client. Default port is 80.

Database Location: To assign the database location so system will store the necessary data for report service

Default path is Mainconsole installation folder. User can change the path if necessary.

Database Recycle: To assign the database recycle criteria so system can keep the latest data.

Default value: 15%; Upper bound is: 20%; Lower bound: 5%

Save Log: To assign a path to store the rep


8.9.6 Remote Desktop

Remote Desktop

When starting the Remote Desktop, the system allows remote users to use Remote Desktop Tool to login and General Setting system. See Appendix B to install and use this tool.

Options:

Port: Assign a port for Desktop tool to login and General Setting system.

Disconnect idle client after (300~3600 sec): Auto disconnect the on-line user who idled more than set period.

Authentication:

Enabling this option would only allow admin account to use Desktop tool to login system.

Service:

Server Status: Click Start/Stop to turn on/off this option.


8.9.7 Central Management Service

Central Management Service

* Note: This function is not available under NVR Lite license.

This service only supports Central Management System (NCS). Having started the Central Management Service, Mainconsole sends event information to NCS and allows the NCS system to control I/O devices from a remote site.

Note:

1.

To enable this action, go Guard >Action and select “Send to Central Server” to enable the action triggered by preference event.

2.

Please refer to the user manual of ’s Central Management System for detailed information.

Client list:

Client Count: Show the amount of NCS Servers that are connected to system.

Kill: Highlight an IP address and Click the “Kill Client” button to block the client from your client list.

Kill All: Click this button and then block all the clients logged in to your system.

Service:

Server Status: Click Start/Stop to turn on/off this option.

Options: Adjust the setting only when the server is stopped.

Port: Assign a port for NCS System to connect Mainconsole system. Default port is 5170.

Number of connections from NCS Servers that are allowed to connect to the system. The default is 8 NCS Servers and maximum is 16.


8.9.8 Push Notification

Push Notification

When starting the Push Notification service function of your computer, the system allows users to view and delete mobile device.

Device list:

Device Receive Count: Show the amount of user with mobile device that are connected to system.

Kill: Click the “Kill” button to delete the user from your device list.

Kill All: Click this button and then delete all the devices logged in to your system.


8.10 Help

Help

Click hot key "F1" to call Mainconsole user manual.


8.11 NUUO Wiki

Diagnostic Service

Click the option to visit web link for Mainconsole FAQ.


8.12 Diagnostic Service

Diagnostic Service

Step 1: Click the option to run Diagnostic Service Tool.

Step 2: select start time and end time, and choose export path.

Step 3: Click "Start collection" to collect system information including

•

Mainconsole / Device Pack version

•

Mainconsole setting / License info

•

Hardware info (CPU / VGA)

•

Windows event / log

•

HDD quantity / space

•

Dumps

•

IP camera model

•

Recording log and schedule setting

Step 4: Wait progress complete as below:

Step 5: A zip file will be generated in the assigned path.

Step 6: Send the file with issue description to technical support.

Step 7: Technical support will analysis the file and issue.


8.13 About Mainconsole

About Mainconsole

Go to About Mainconsole for detailed system and license information.


8.14 TV-out Setting

TV-out Setting

* Note: This function is not available if there is no SCB-7108/7116 card installed.

After installing a SCB-7108/7116 card, a new feature will be added in Mainconsole automatically, Click 「General Setting」and select 「TV-Out Setting」.

TV-Out Setting window appears.

TV-Out Monitor: Display all SCB-6000S/7000S/7100 series cards installed in this computer, choosing SCB-7100 series one to Click for TV-out function then users can start to edit the right parts.

Camera: Displays a list of all cameras.

Monitor Display: Modify the cameras shown on Monitor Display in the right window. Show the video cameras which are playing in sequence. Choose the cameras in Camera (Multiple choice), then click [image] , the system will have the selected cameras show below Monitor Display. If user wants to remove the cameras, select the cameras then click [image] , the system will remove from the list.

Auto Scan: Set “Layout”, “Primary channel”, the form of “Secondary channel” and the interval time of “Auto-scan interval”.

TV Adjustment: Users can adjust the position of TV-out screen by this function. Click [image] to apply all the settings back to default value.

Miscellaneous: "Enable OSD display" and "Enable manual TV-Out pop-up" settings.


8.15 Video Source

Video Source

Note: Not supported under Lite license

Step 1: Go to Video Source to adjust the Video Standard to NTSC or PAL.

Step 2: Adjust the maximum Video Resolution for all analog cameras.(MPEG4 only)

Step 3: For MPEG4, click “Sync all video signal level” after pressing OK to synchronize video signal level to the optimized display (Auto-gain control).

For HD, click “Sync all video signal level” to auto detect video resolution (1080P/720P)

For SCB-7000 series, you will have:

For SCB-8000 series, you will have:


9. E-Map

E-Map

With E-Map, users can easily track the actual location of an occurring event, at the moment it happens.

The arrow and lightning icons on E-Map represent cameras and I/O devices. These icons will turn red once they are triggered by alarms.

To launch the E-Map application, simply Click Start and select Open E-Map from the start menu for the E-Map window.

There are 2 modes available in the E-Map application:

Edit mode: Allows users to add/edit maps and indicators of devices. In Edit mode, the function buttons on the bottom of the window will be available. Please complete General Settings before running E-map function for the first time.

Operate mode: All settings will be activated in this mode.


9.1 Edit Mode

Edit Mode

All E-map modifications must be General Setting in Edit Mode.


9.1.1 Add/Edit/Delete Map

Add/Edit/Delete Map

Add E-Map:

Step 1: Click the switch button to switch to Edit mode. Make sure all devices are connected and setup properly.

Step 2: Right Click the Map

icon in device and map list to obtain the option menu to add map, or just click “Add Map” button to obtain the “Map General Setting” dialog.

Step 3: Select the map file and insert the map name. Click OK, and then the map you added appears in the tree structure of device and map list.

Step 4: The map indicator appears on the left-up corner of parent map. Drag it to the position you want on appointed map.

Edit E-Map:

Step 1: Make sure you are in Edit mode and all devices are connected and inserted.

Step 2: Right Click the “Map

” icon to obtain the option menu to edit map, or just click the “Edit Map” button to obtain the “Map General Setting” dialog.

Step 3: Modify the required details, and then click OK to save General Setting.

Delete E-Map:

Step 1: Make sure you are in Edit mode and all devices are connected and inserted.

Step 2: Right Click the “Map

” icon to obtain the option menu to delete map, or just click the Delete button to remove appointed map from list.

Note: The root map cannot be deleted.


9.1.2 Add/Rotate/Delete Device Indicator

Add/Rotate/Delete Device Indicator

Add Indicator:

Step 1: Make sure you are in Edit mode and all devices are connected and inserted.

Step 2: Click the “ [image] Map” icon to go to the desired map layer.

Step 3: Please make sure the map you want is displayed. Select device from the list and drag a device directly to the desired location on the map.

Note: Different devices are symbolized by different indicators.

- Camera indicator,

- Digital Input indicator,

- Digital Output indicator

- Access Control indicator,

-POS indicator,

- LPR indicator

Rotate Indicator:

Step 1: Click an existing camera indicator on your map under Edit mode. This camera indicator will be marked with a green ring [image] .

Step 2: Each Click the Rotate button rotates the indicator 45 degrees clockwise.

Note: Only camera indicators are allowed to be rotated.

Delete Indicator:

Step 1: Click an existing camera indicator on your map under Edit mode. This camera indicator will be marked with a green ring [image] .

Step 2: Click the Delete button and the indicator will be gone.


9.2 Operate Mode

Operate Mode

After General Setting under Edit mode, switch to Operate mode to commit settings.


9.2.1 Device and Map Tree list

Device and Map Tree list

This window will list all devices and map hierarchies; click device or map indicator to show related information on E-Map windows.

Map – Select the map you want to show on E-Map Window.

Camera – A preview of the selected camera will show in the preview window. The indicator, if previously created, will be highlighted on the map.

/ [image] Digital Input/Output – Select to highlight the device with a green ring on the map and show status on Information window. If the Digital Input/Output is from an IP camera, the preview window will display live video of the camera. Access Control/POS/LPR – Select to highlight the Access Control / POS / LPR device with a green ring on the map, and display live video of the first associated camera on the preview window.


9.2.2 E-Map picture

E-Map picture

This window will show the map layer and indicators.

Device Indicator:

Select device indicators from the Device and Map Tree list for related information and to preview video.

Map indicator:

Selecting a map indicator will bring you to that map layer. To return to an upper layer, right Click the map and select UP or click

on the map layer.


9.2.3 Information and Preview windows

Information and Preview windows

This window will show the related information of each indicator.

Map Info – Shows map name.

Camera – Shows camera name and connection status.

/ [image] Digital Input/Output – Shows Digital Input / Output name and status (0 or 1).

/ [image] / [image] Access Control/POS/LPR – Shows metadata device name, connection status, first associated camera name and connection status.


9.3 Layout Adjustment

Layout Adjustment

Shrink the window:

Click “ [image] [image] Triangular indicators” to hide the “Device and Map” or “Preview” and “Information” windows on the right and left sides. Click again to go back to the default layout.

Full screen display:

For systems with dual monitor, users can view Mainconsole on the primary monitor, and view a full-sized E-Map on the secondary monitor.

Step 1: Click “ [image] [image] Triangular indicators” to hide the “Device and Map” or “Preview” and “Information” windows on the right and left sides.

Step 2: Click “ [image] ” on the upper-right corner of the window for the full screen mode of E-Map.


10. Metadata Application

Metadata Application

Metadata Application

Access Control, License Plate Recognition

and Point of Sale Solutions

Hardware & Software Installation

User Manual


NUUO Metadata plugins enable users to build integrated solutions with 3rd party devices, currently including Access Control, License Plate Recognition and Point of Sale Solutions. Please contact your local distributor or sales service for the latest list of integrated solutions from various supplier

NUUO Metadata plugins enable users to build integrated solutions with 3rd party devices, currently including Access Control, License Plate Recognition and Point of Sale Solutions. Please contact your local distributor or sales service for the latest list of integrated solutions from various suppliers.

Top Previous Next

Introduction

Top Previous Next

Metadata plugins enable users to build integrated solutions with 3rd party devices, currently including Access Control, License Plate Recognition and Point of Sale Solutions. Please contact your local distributor or sales service for the latest list of integrated solutions from various suppliers.

Access Control

Main Console accepts feeds from Access Control servers via Ethernet. You may configure several doors or entrances under each Access Control Source. Filtered info will be displayed on chosen channels, for example ID numbers or names of personnel upon each entry or exit.

License Plate Recognition

Main Console also accepts feeds from License Plate Recognition Systems via Ethernet. Several lanes may be configured under each LPR Source. Filtered info will be displayed on chosen channels, including license plate numbers or other additional information.

Point of Sale

POS provides a platform to display financial transaction data upon video surveillance channels. The architecture is as below; POS transaction data flows to NVR by Ethernet. Each Cash Register with an external receipt printer is connected by DB9 cable. The transaction information delivered in R232 format can be converted to Ethernet through SCB-C31A POS data capture convertor. Alternatively, Cash Registers that support TCP/IP or COM port output can connect directly to the system without the SCB-C31A box.

Nuface

Main Console also accepts feeds from Nuface Server via Ethernet. You may configure several face recognition analysis metadata under each Nuface source. Filtered info will be displayed on chosen channels, including sequence, camera ID, event type, start time, end time, watch time, gender, age, OTSID, distance, name and group etc.


10.1.1 Definition of Terms

Definition of Terms

Terms | Definition
Metadata Original Data | Original data from Metadata devices. Usually with a lot of symbols and no line feed.
Metadata Transaction | Filtered result by user defined tag filter.
Metadata Event Log | Smart Guard Event Log from metadata transaction. Includes transaction start, transaction end, POS cash register open and other user defined events. Abbreviation of Metadata Log.

To give you a better idea of the various source types supported by the Point of Sale solution, the following sections (Hardware Installation and Software Installation) are dedicated to POS Metadata and the hardware POS box only. If you are not planning to install this solution, please proceed directly to page 8 for Software Setup.

POS System Diagram


10.1.2 Product Specification

Product Specification

Capture Box
SCB-C31A POS
Input | RS232
Output | Ethernet
DC In | DC +10V to +15V
Power consumption | 500 mA
Operating Temperature | -20 to 65??/text>
Operating Humidity | 0-90 % Non-Condensing
Baud Rate | 110 bps to 230.4 kbps
Data Bits | 5, 6, 7 or 8
Stop Bits | 1, 1.5 or 2
Parity | None, Even, Odd, Mark, Space
Flow Control | None, RTX/CTS, XON/XOFF, DTR/DSR

Device diagram

The LED Indicators:

Link LED: Ethernet cable connection and data active.

Run LED: System is ready (Blinking).

Serial 1: Transiting/Receiving Indicator.


10.2. Installation

Installation

Mainconsole can capture device metadata via 3 different ways Please choose one of them for installation.


10.2.1 Connect via SCB-C31A

Connect via SCB-C31A

Hardware Installation

SCB-C31A is a POS data capture convertor. To connect Cash Register, Printer, and SCB-C31A POS data capture convertor together, please follow below steps:

Step 1: Please refer the user manual to setup Cash Register and printer.

Step 2: Using Y-shape DB-9 cable, one DB-9 female connect to POS system and one DB-9 male connect to the receipt printer cable (Provided by printer vendor).

Step 3: Using another DB-9 male (marked SCB-C31A) connect to SCB-C31A POS Data Capture R232/Ethernet convertor with Null modem.

Note: There are two kinds of serial cable: Straight pass-through and Null-Modem. The connection between SCB C31A POS Data capture box and Y-cable must be null modem (in package).

Step 4: Check the system switch of the SCB-C31A POS is switch to OFF, OFF position.

Step 5: Connect power source with SCB-C31A POS.

Step 6: Connect SCB-C31A POS with internet port by RJ45 LAN cable.

Software Installation

Step 1: Use IE-browser to setup SCB-C31A POS, the default IP address is 192.168.1.1

Step 2: Setup IP address and password, and then setup IP address.

Note: Each time you switch the page of the web, please click Save at first. If you leave this page without saving, all changes will be ignored.

Step 3: Setup Password if needed. Password is only using to activate a security feature on the serial server. Once a password is entered it will be required to access the menu and make change of configuration when access.

Note : Please write down the Serial number and MAC address, these two parameters are necessary when users forget the password.

Step 4: Setup according to your POS or Cash Register. Usually all devices are default setting, you can reserve your time to pass this step.

Step 5: Please restart/reset the box after changing configurations to active setup.

To reset the unit manually apply power, insert a small plastic tool, and press lightly depressing reset located between the switch (refer page 5). Hold for 5 seconds and release. The Link and Run light will go out and turn back on. The SCB-C31A POS will revert to the last setting.

Note: Every time you change the configuration of SCB-C31A POS, please check the above settings, especially maximum connection and Remote IP address to avoid connection fail.


10.2.2 Connect via TCP Client

Connect via TCP Client

Please install system according to following diagram:


10.2.3 Connect via COM Port

Connect via COM Port

Please install system according to following diagram:


10.3. Software Setup

Software Setup

Each Main Console system can manage up to 64 Access control, 64 License Plate Recognition and 64 POS cash register devices. This section will teach you how to setup configuration of your system.


10.3.1 Metadata Management

Metadata Management

Run Main Console and click on [image] Metadata Application from the Config [image] menu to run the Metadata Application window.

You are able to Insert/Delete/Configure Metadata devices in this window. Click on any device under the Metadata Tree to configure the settings and tag filter of the device. Associated cameras will be shown in the preview window below.


10.3.1.1 Add Metadata Source

Add Metadata Source

To insert a metadata source

1.

Click the [image] Insert button when the Metadata tab is selected [image] to run the Metadata Source Setting window.

2.

Configure metadata source info, including Name, Metadata Type, Source Type, IP address and Port.

Note: For Metadata Type POS, there are 4 source types available including SCB-C31, SCB-C31_A, COM Port and TCP Client.

3.

After setting, click Test Connection to test Metadata source connection. If all the settings are correct, the system will popup a message "Metadata server name (IP) is available to confirm the test is successful.

To insert a metadata channel

1.

Click the [image] Insert button when any Metadata Source tab is selected ( [image] , [image] , [image] or [image] ) to add a metadata channel.

Note:

For Metadata Type Access Control, you may add several metadata channels under one source. Please define each Door Name exactly the same as your settings under the third party Access Control system.

For Metadata Type LPR, you may add several metadata channels under one source. Please define each Lane Name and make sure settings under the third party LPR system are exactly the same.

To configure settings and tag filters for each metadata channel

1.

The Settings and Tag Filter section will be available when any of the Metadata Channel tabs (Access Control , POS, LPR or Nuface) is selected.

Settings

Record Metadata Transaction:

Select this checkbox to record metadata transaction data in MS database. The MS data will allow searching and display on associated recording video, and the MS data files can also provide third-party application to analysis.

Display on Video preview:

Select this checkbox to display metadata transaction data overlay on associated camera live videos.

There are two options regarding transaction data display:

Choose Always Display to keep transaction data on video until the next transaction data is received.

Choose Last for ___ seconds to customize the period of time you wish the transaction data to last on the video.

2.

Select Tag Filter (For details on the Tag Filter, refer to page 12).

3.

Under Associated Cameras, check to select cameras you wish to display with metadata transaction data overlay on live video.

4.

In Display Region Definition option, setup display area for each camera video.

a.

Default: The default display area is below the camera OSD, on the upper-left corner.

b.

User Define: Right-click on video preview and drag a rectangle to define the display area.

5.

Click OK to save.

To delete a metadata source/channel

1.

Choose metadata source/channel.

2.

Click [image] Delete button to remove this metadata source/channel from the system.

To configure metadata source/channel

1.

Choose metadata source/channel.

2.

Click [image] Configure button to run Metadata Source Setting window.

3.

Please refer to Insert metadata device section (page 10) to modify configuration.


10.3.1.2 Add Metadata Tag Filter

Add Metadata Tag Filter

Raw transaction data received from metadata systems must be filtered to make it comprehensible. Main Console provides a simple default tag filter that filters out common EPSON commands. Users can edit other customized filters based on this default tag filter.

To add a new Tag Filter

1.

Click on the New button to run the Tag Filter window.

This window includes the following sections:

a.

General: Setup Tag Filter name. Connect button for test connection.

b.

Original Data: Show original transaction data from POS device.

c.

Filtered Data: Show filtered data after defined filter.

d.

Filtered Function buttons: Tool used to define filter type.

e.

Filter List: A list of all filters.

f.

Data tools: Includes import/export buttons to import/export original binary data, and a clear button to clear original/filtered data windows.

g.

Filter tools: Includes upper/down tool to arrange priority of each filter, or remove filters from list. You may also edit existing filters or add new ones.

h.

Encoding: Choose desired language.

i.

Transaction Timeout: Define a maximum time length for transactions to end when no more data is received.

2.

Enter name of tag filter.

3.

Click Connect button to capture metadata transaction data from metadata device.

4.

Please operate metadata device to send transaction data to filter.

The original transaction data will show on the left window.

Note: If you don???want the data to keep importing when editing filters, please click the Disconnect button to stop connection.

5.

Data Tools:

Export: Capture and export original Binary data

Import: Reload exported Binary data.

Clear: Remove data form Original Data and Filtered Data windows.

6.

Start to edit tag filters:

Click and highlight text from Original Data window, then use the six buttons below to define filters. The filtered transaction data will show on the right window.

a.

Omit: Neglect the selected text which is meaningless or not important. The text will disappear in the filtered data window on the right.

b.

Substitute: Use other words to replace the selected text. The system will pop up a substitution panel for replacing desired words. The text on the filtered data window will show the result.

c.

Add New Line: Define the selected text as the symbol for changing to a new line. The result will show on the right filtered data table.

d.

Start: Define the selected text as the symbol for the beginning of a transaction. It will be replaced as a line as shown below.

Note: This setup is also used as detection tag for Smart Guard to detect Transaction Start event.

e.

End: Define the selected text as the symbol for the end of a transaction. It will be replaced as a line as shown below.

Note: Not defining a transaction end may result in error or lost info. If you do not define this filter please be sure to define a transaction timeout. For more info please refer to p.16.

This setup is also used as detection tag for Smart Guard to detect Transaction End event.

f.

Cash Register Opened: Define the selected text as the symbol for cash register opened. The filtered data will show the <Cash Register Open> mark as below.

Note: This setup is also used as detection tag for Smart Guard to detect Open Cash Register event.

7.

Filter Tools:

The [image] buttons are used to change priority of sub filter criteria. The filter will operate by order of list; the filters on top will take effect first. The [image] button will remove the filter from this list. Click on [image] Edit / Add to configure tag filters or add new ones.

8.

Click on OK to save configuration.

Note: If codepage of POS printer is different with Windows OS, please correspond with POS printer to setup Encoding option.

If there is no defined Transaction End event, please define a maximum time length for transactions to end when no more data is received.

To Edit Tag Filter

1.

Select Tag Filter name from drop-down menu,

2.

Click Edit button

3.

Configure the Tag Filter window.

4.

Click OK to save configuration.

To Delete Tag Filter

1.

Select Tag Filter name from drop-down menu,

2.

Click Delete button

To Import/Export Tag Filter

1.

Click Import/Export button and select Import/Export URL.

2.

Click Open/Save to Import/Export Tag Filter.

3.

After importing tag filters, users can simply select a tag filter from the drop-down menu without editing a new one.


10.3.1.3 Setup Metadata Display

Setup Metadata Display

To Display Metadata on video

1.

Enable Display on Video Preview option.

Please go to Main Console > Config > Metadata Application > select metadata channel and check the box of this option.

2.

Select Associated Cameras.

In Associated Cameras setup region, select cameras to overlay metadata transaction data. Click OK when you?�re done.

3.

View the Live Video with metadata transaction data

After setup, the transaction data will show on live video when transactions happen.


10.3.1.4 Install Metadata Plug-in

Install Metadata Plug-in

You can to update/upgrade/repair Metadata plug-in devices in this window. Click on update to update/upgrade/repair Metadata plug-in devices.

1.

Download metadata Plug-in from website

2.

Run Main Console, click on [image] Metadata Application from Config menu to run Metadata Application window, then switch to Plug-in tab.

3.

Click Update to update/upgrade/repair Metadata plug-in device.

Select .nmp file for metadata update/upgrade/repair.

3. Click OK to save configuration.


10.4. Metadata Search

Metadata Search

Search Metadata Event

To Search Metadata Event via Main Console

1.

Run Main Console, click [image] Log Viewer from Config menu to run Log Viewer window, and then switch to Metadata Log tab.

2.

Select Log Type and Metadata device from drop-down menu.

3.

Setup time criteria to search for special Date or a period of Date&Time.

4.

Click on Search, and search result will list on table.

Note: If you want to copy the search result to other application, simply click on Export to??/text> button to save result as an excel table.

Note: A link ( [image] ) will appear next to each event time where video is available. By clicking on the link, an instant playback window will pop up to show recorded video.

To Search Metadata Events via Playback

1.

Run Playback, run record to select the video period, and click [image] Log Viewer button to run Log Viewer window.

2.

Follow the step 2-4 on previous section to search metadata Log.

3.

Double-click on metadata log from result table, and the video will auto switch to the time of metadata log. For Example: When clicking on a specific log from the list, the video will auto switch to the time point the event happened.

Search Metadata Transaction

Metadata Search tool is used to search key words of all transaction data. To run this tool, please go to Main Console > Config > Metadata Search. Alternatively, from Playback, click on [image] to run Date Time Search Dialog, and then click on [image] button.

In Metadata Search Dialog, please follow the steps blow to search from metadata devices, Date Time Period, or special keywords.

1.

Check the box of metadata devices from the metadata list.

2.

Setup Start Time and End Time in Data Time Period section.

3.

Enter keyword you want to search.

Note: This search is case sensitive, you must key in ??/text>,??symbol to search for 10,000US.

Note: Check Regular Expression to include commands in search.

4.

Click Search button, Transaction table will show results.

5.

Select items from Transaction table, the whole transaction detail will show in right-down table and the record video of first associated camera will show in right upper corner.

6.

Check the box of Search within result and enter keyword, it will search again within the results.

Playback video with metadata data

To view recorded video with metadata transaction data, please check you have enabled the metadata overlay option (refer to page 22). If you have started this option, the system will auto overlay transaction data when playing recording video. Below are two modes to select video period.

To select Period by metadata search

1.

Click [image] on Playback application to run Date Time Search Dialog, and then click on [image] button

2.

Follow above section 3 metadata Transaction data search to search.

3.

Select the transaction data for result list, and click OK.

4.

The period you select from metadata search result will be automatically selected.

5.

Click OK to go back to Playback application.

To select Period by Date&Time

1.

Click [image] on Playback application to open Date Time Search Dialog.

2.

Setup Start Time on Date Time Period setup panel, or directly left-click and drag to select period from Time Table.

3.

Click OK to go back to Playback application.

Backup Metadata with Video

There are three ways to backup video with metadata transaction data.

To backup via Main Console

1.

Open Config menu and then click [image] Backup to open backup system window (For details, please refer to chapter 5.13 - backup section of Main Console user manual).

2.

Click [image] to select data time periods you want to backup. The period will be listed on the table after clicking OK. Click [image] to open the Backup option window.

3.

Select the location where you want backup to.

4.

Select which databases you want to backup.

a.

Event Log: The database of smart guide detected metadata and Camera Events.

b.

System Log: Including recycle, start/stop/modify schedule and network service logs.

c.

Counter Log: Database of Counting Application.

d. | Metadata Transaction: The database of metadata transaction data.
e. | Backup Adv. IVS Counting Log: The database of Advanced IVS.
f. | Backup IVS Event Log: The database of IVS Event.
g. | Backup IVS Display: The database of IVS Display (Display Blobs is excluded).

5.

Check to include Playback application with your backup.

6.

Click OK to backup.

To backup via Backup System

1.

Click on Start > All Programs > IP Surveillance System > Backup System to run Backup System window.

2.

Following above step 2-5 on backup on Main Console to backup video with metadata transaction data.

To backup via Playback

1.

Start Playback Application and use [image] Open Record tool to open video you want to backup.

2.

Click [image] Backup to open backup dialog.

3.

Check the period and cameras are what you want to backup.

4.

Setup the location where you want to backup to.

5.

Select which database you want to backup with.

6.

Click OK to start backup.


11. Intelligent Video Surveillance

Intelligent Video Surveillance


11.1. Introduction

Introduction

The Advanced Intelligent Video Surveillance is a program powered by cutting-edge image processing algorithms to deliver advanced and instant video analysis by tracking both moving objects and static targets while factoring the environmental nuances such as changing lighting, leaves, water waves, and so on. The Advanced Intelligent Video Surveillance features easy-to-configure UI to define detection rules to trigger alerts in real time. Alerts are supported by any formats supported by the hardware.

For better grasp, the Advanced Intelligent Video Surveillance is simply addressed as IVS hereinafter in this manual. This manual will guide users to configure each application and walk through every advanced features provided by IVS.


11.2. Access IVS Configuration

Access IVS Configuration

Configure IVS to define the detection rules and detection zones.

To access IVS configuration, there are two approaches.

Approach 1:

1. On Main Console screen, click [image] button. A menu pops up.

2. Select Video Analytics | Intelligent Video Surveillance. IVS setting page pop up:

3. From the upper right of IVS screen, click insert. A dialog pop up.

4. Select a camera from the Device pull-down box. Click OK button.

5. Assign an IVS license for the camera. Please refer below table for license type and different function description.

Note: IVS Trail license support all function and the duration is 45 days.

Function | Counting license | Presence license | Surveillance license | Advanced license
People counting | v |  |  | v
Tamper detection | v | v | v | v
Camera calibration |  |  | v | v
Object classification |  |  | v | v
Camera shake elimination |  | v | v | v
Presence (Tripwire) |  | v | v | v
Enter and exit |  |  | v | v
Appear and disappear |  |  | v | v
Dwell |  |  | v | v
Tailgating |  |  | v | v
Stop |  |  | v | v
Direction |  |  | v | v
Abandoned / Removed object |  |  | v | v

6. IVS configuration window pop up.


11.3. Customize Tracking Display

Customize the tracking display window to show various tracking data. To customize the tracking display:

1.

Right-click on the tracking display window. A menu will pop up.

2.

Select Display. A sub menu pop up.

3.

Make selection from the sub menu.

Featured settings are:

Setting | Description | Default
Display Blobs | Shows the algorithm coverage with blob. Blobs are displayed in turquoise. | Deselected (Disabled)
Display Non-Alarmed Objects | Displays all objects, including alarmed and non-alarmed, to show how the detection zones and object trails intersect, so as to make optimal settings. Alarmed objects are marked in red. Non-alarmed objects are marked in yellow. | Selected (Enabled)
Display Object Height | Displays object height. This option is only available when the camera is calibrated. See also Calibrate Camera. | Deselected (Disabled)
Display Object Speed | Displays object speed. This option is only available when the camera is calibrated. See also Calibrate Camera. | Deselected (Disabled)
Display Object Area | Displays object area. This option is only available when the camera is calibrated. See also Calibrate Camera. | Deselected (Disabled)
Display Object Classification | Displays object classification. This option is only available when the camera is calibrated. See also Calibrate Camera and Classification. | Deselected (Disabled)

4.

Press OK button to save the change and quit setting.


11.4. Create Detection Zones and Lines

Create Detection Zones and Lines

Define detection zones and lines to be able to detect the events of interest.


11.4.1 Create a Zone or Line

Create a Zone or Line

Before create zone or Line, please refer here to add camera first.

1.

Right-click on the video image. A menu will pop up.

2.

Select Zone/Line. A sub menu will pop up.

3.

Select Create zone or Create line.


11.4.2 Edit Zones and Lines

Edit Zones and Lines

The shape or size of the defined detection zones and lines are editable by manipulating the "nodes" that represent the zone/line vertices. Simply click and drag a node to the desired position to change the shape of a zone or line.

In order to define a complex shape, adding or removing a node may be necessary. See Add and Remove Nodes for the follow-up.


11.4.3 Add and Remove Nodes

Add and Remove Nodes

Add one or more nodes to re-define the shape of the detection zones and lines to meet any scenario.

To add a node:

1.

Double-click on the zone or line at the point where the new node should be added. Or right-click on the zone or line at the point where the new node should be added. And select Node | Insert node from the menu.

2.

Press OK button to save the change and quit setting.

To delete a node:

1.

Right-click on the node and select Node... | Remove node from the menu.

2.

Press OK button to save the change and quit setting.


11.5. Configure Zones & Rules

Configure Zones & Rules

To create useful outputs, it is essential to define the zones and rules to monitor. IVS features Zones and Rules settings to tune the detection zones and detection rules. This chapter will guide users to make the settings.

To access Zones & Rules settings:

1.

Access IVS configuration as described in Access IVS Configuration.

2.

Go tab: Zones and Rules

3.

Refer the following session for configuration.


11.5.1 Tracking Display

Tracking Display

The tracking display shows all moving and static targets that are currently being tracked by IVS. Alarmed objects are marked in red and non-alarmed objects are marked in yellow.

This screen shot shows two detection zones in red and a detection line in green.

The tracking display shows how the trails of the objects intersect the detection zones and lines.


11.5.2 Detection Property

Detection Property

Once a detection zone or line is created, the detection property, a series of settings to define the rules for the selected zone/line, will show up on the right side of the Tracking Display.

Before proceeding to set detection property, make the following settings first:

Setting | Description | Default
Name | Dubs the created zone or line with a name. | Zone ID No.
Color | Hatches the created zone or line with a color to make it obvious. | Red
Detect/ non-detect | Enables the created zone/line for detection, or disables it from detection. See also Non-Detection Zone. | Detection

Depending on available features and applied settings, the available rules may include the following:


11.5.2.1 Presence

Presence

Select Presence to trigger the alarm when an object becomes present inside a zone or passes through a line.


11.5.2.2 Enter & Exit

Enter & Exit

Select Enter or Exit to trigger the alarm when an object crosses from the outside to the inside or from the inside to the outside of a monitored zone.


11.5.2.3 Appear & Disappear

Appear & Disappear

Select Appear or Disappear to trigger the alarm when an object appears in or disappears from the monitored zone.

Different from Enter, Appear deals with an initially detected object inside the monitored zone without entering, e.g. people appearing in a doorway, or cars appearing from an underground carpark.

Different from Exit, Disappear deals with an object tracked into the monitored zone and disappearing without exiting.


11.5.2.4 Stopped

Stopped

Select Stopped to trigger the alarm when an object stops inside the monitored zone for longer than the defined amount of time.

The stopped time is configurable in Time (secs) box.


11.5.2.5 Dwell

Dwell

Select Dwell to trigger the alarm when an object dwells inside a zone for longer than the defined amount of time.


11.5.2.6 Direction Filter

Direction Filter

Select Direction Filter to trigger the alarm when an object travels in the defined direction (within an accepted angle) through the monitored zone or over a line.

Define the direction and angle in Direction and Acceptance Angle settings.


11.5.2.7 Tailgating

Tailgating

Select Tailgating in the detection property to trigger the alarm when an object crosses a line or a monitored zone within a certain time after a previous object crossed the line or a monitored zone.

Define the minimum allowable time between two successive objects by Threshold settings.


11.5.2.8 Removed Object and Abandoned Object

Removed Object and Abandoned Object

IVS can be configured to generate an alert highlighting an abandoned or removed object. Suspicious objects can be detected when carried into the scene and planted by a person as well as when dropped into the scene.

Ensure that abandoned/ removed object detection is enabled by checking the "Abandoned/ removed object detection" box on the event rule.

NOTE: The algorithm used for abandoned and removed object detection is the same in each case: it cannot differentiate between abandoned or removed objects. This is a fundamental limitation of the algorithm and arises because it just analyses how blocks of pixels change with respect to a background model that is constructed over time. When an object is inserted into the background (abandoned) it looks the same to the algorithm as when an object is removed from the background.

Enable the abandoned/removed object rule on the selected zone by checking the Abandoned/Removed Object box in the properties inspector. An object that is left inside a zone for longer than the configured time period will trigger the rule and raise an alarm.

The following figure illustrates the abandoned/removed object detection rule detecting an abandoned basket.


11.5.3 Non-Detection Zone

Non-Detection Zone

In some busy scenes, many objects can interfere with the detection. For example, on a windy day, moving foliage can cause false alarms. In order to mitigate such issues, create "non-detection" zones, where nothing is detected or tracked.


11.6. Counters

Counters

IVS is able to count how many objects have triggered the alarms. The program features capable counting by assigning a group of detection zones or lines to a counter. IVS’s counter supports incremental, decremental and instantaneous counting. Configure the counter(s) by Counter Property that is similar to the previously mentioned Detection Property.


11.6.1 Create Counters

Create Counters

To create a counter:

1.

Access IVS configuration as described in Access IVS Configuration. See tab: Zones and Rules.

2.

Right-click on the video image. A menu pop up.

3.

Select Counter | Add Counter.

A counter is then added to the video image.

4.

Set the counter name and color.

5.

Press OK button to save the change and quit setting.


11.6.2 Counter Property

Counter Property

For IVS counter, a count is provoked by an alarm triggered by an object. Hence, to count how many objects have been detected (triggering the alarm), a detection zone or line needs to be created and set to detect the corresponding rule. After assigning the zone to a counter, the counter is able to count the objects detected, in the way of increment, decrement or instantaneous count.

In this example the detection zone is set to trigger the alarm when an object enters it. And the counter is set to increment the count whenever the detection zone is entered. 30 objects have been counted.

Setting | Description | Default
Increment | Sets the count to increment each time the detection zone triggers an alarm. | Deselected (Disabled)
Decrement | Sets the count to decrement each time the detection zone triggers an alarm. | Deselected (Disabled)
Instantaneous | Sets the counter to display the number of one or more objects that simultaneously triggers the alarm. | Deselected (Disabled)


11.7. Calibrate Camera

Calibrate Camera

Calibrate the camera to rectify its parameters such as height, tile angle, and vertical field of view, which is required for IVS to classify objects to different classes to be able to calculate detected object properties such as speed, height and area.


11.7.1 Access

Access

IVS features a Calibration tabbed page to calibrate the camera, to access this page:

1.

Access IVS configuration as described in Access IVS Configuration. IVS configuration runs in Zones & Rules tabbed page.

2.

Click Calibration tab. Calibration tabbed page will pop up.


11.7.2 Onscreen Elements

Onscreen Elements

Use the onscreen elements on Calibration tabbed to adjust camera parameters. This section will detail these onscreen elements.


11.7.2.1 3D Graphics Overlay

3D Graphics Overlay

The 3D graphics overlay is a green grid representing the ground plane featured on the video image. During calibration, the features on the video image need to match with such 3D graphics overlay.

On the ground plane are a few 3D mimics to simulate the dimensions of persons. Use these mimics to verify the size of a person in the scene.

Note: each grid square is 2*2 metric.


11.7.2.2 Mouse controls

Mouse controls

Use your mouse to adjust the calibration parameters:

1. Click and drag the ground plane to change camera tilt angle.

2. Scroll mouse wheel to adjust the camera height.

3. Drag Camera Intrinsic Parameters slider to change camera’s vertical field of view.


11.7.3 Calibrate Camera

Calibrate Camera

Calibrate a camera to be able to estimate object parameters such as height, area, speed and classification.

In some cases when you know the camera’s height, tilt angle and vertical field of view in question, simply enter the parameters to the corresponding settings and apply the changes.

In case the camera parameters are unknown, calibrate the camera. This section will guide you through calibration.

Step 1: Find some people in the scene

1.

Find some people, or some people-sized objects in the scene. Try to find a person near the camera, and another person further away from the camera.

2.

Click Pause Video button to pause the video to accurately place the mimics. Place the mimics on top of or near the people.

3.

Enter in the height or estimated height of the camera if it is known.

Step 2: Adjust tilt angle and camera height

Adjust the camera tilt angle and vertical field of view until both mimics are approximately the size of the real persons in the scene.

ƒ

Adjust camera the tilt angle by clicking and dragging the ground plane.

ƒ

Adjust camera height by scrolling mouse wheel.

ƒ

Adjust camera vertical field of view by dragging Vertical Field of View slider.

The 3 calibration parameters will be reflected in the corresponding setting fields. Calibration Status box will reflect if the calibration is successful

Step 3: Verify the setup

The more objects in the scene which the calibration is based on, the more accurate the calibration will be.

Once the camera is calibrated, objects in the video image are marked with height, area, speed and classification.

To adjust the measurement units between Metric and Imperial, use Measurement Units setting.

Note if the calibration goes wrong:

If the mimics get lost or disappear due to an odd calibration configuration, restart the calibration by clicking Restore Defaults button.

Step 4: Press OK button to save the change and quit setting.


11.8. Advanced IVS Configuration

Advanced IVS Configuration

In most installations, the default IVS configuration will suffice. However, in some cases, users needs some advanced IVS settings to optimize IVS performance. IVS features the advanced settings on Advanced tabbed page.


11.8.1 Access

Access

To access advanced IVS configuration:

1.

Access IVS configuration as described in Access IVS Configuration.

IVS configuration runs in Zones & Rules tabbed page.

2.

Click Advanced tab.

Advanced tabbed page will pop up.


11.8.2 Advanced Settings

Advanced Settings

Featured settings on Advanced tabbed page are:

Setting

Description

Default

Camera Shake Cancellation

Select Enable Camera Shake Cancellation to improve IVS performance if the cameras are installed in vibration-oriented locations and thus suffer from shake problems.

If camera shake is not a concern in your installation, disable this setting to have the best IVS performance.

Deselected

(Disabled)

Alarm Retrigger Time

Alarm Holdoff Time sets the delay between two successive alarms triggered by a rule defined for an object.

5 seconds

Tracker Configuration

Sets what to track and the time to track. Featured settings are:

Setting | Description | Default
Minimum tracked object size | Defines the least size of object to track. Normally there is no need to modify this parameter. Lower the value to track smaller objects sacrificing noise immunity. | 10 pixel
Object Holdon Time | Defines the time to track an object before it becomes stationary. IVS will forget the objects that become stationary after the defined Object Holdon Time. | 60 sec

Counting Runtime

Featured settings are:

Setting | Description | Default
Reset every | Sets the daily time to reset every counter | 01:00 AM
Log every | Sets how often to write the counts into the log file. | Every 30 minutes

Record IVS Display Data

To store the IVS display data which are the graphics displayed on Advanced Intelligent Video Surveillance live view, such as zone, line and target ID etc. for playback (Each camera can choose to store its IVS display data separately).


11.9. Classification

Classification

Once the camera is calibrated, IVS is capable of object classification and shows it on the video image. Classification relies on an object’s properties such as object area and speed.

IVS configuration is pre-loaded with some most common object classes, which need not to change in most cases. In case the classification parameters need to change, IVS features classification settings on Classification tabbed page to add new object classes and change the pre-loaded classification parameters. This chapter will guide you to change the classification settings.


11.9.1 Access

Access

To access classification settings:

1.

Access IVS configuration as described in Access IVS Configuration. IVS configuration pop up in Zones & Rules tabbed page.

2.

Click Classification tab. Classification tabbed page will pop up.


11.9.2 Classification Settings

Classification Settings

1.

There are default 4 objects that system will detect. They are identified by different area, speed.

2.

User can add remove the objects.

Featured settings on Classification tabbed page are:

Setting | Description | Default
Add New Object Classifier | Adds a new object class. | --
Remove Object Classifier | Removes the selected object class. | --
Reset Default Values | Restore classification settings to default state. | --
Name | Dubs the class with a name. | Object ID. No
Enable | Puts the class to work. | Yes
Min Area (m*m) | Sets the lower bound of object area. | 0.0
Max Area (m*m) | Sets the upper bound of object area. | 200.0
Min Speed (km/h) | Sets the lower bound of object speed. | 0
Max Speed (km/h) | Sets the upper bound of object speed. | 200

Note that objects not fitting to any class are labeled as "Unclassified" on video images.

3.

In the object classifier, you can select the option "Motion scrambled" to pixelate (put mosaic on) the object when detected.

Effect Example: Do not scramble the object

Effect Example: Scramble the object


11.10. Tamper Detection

Tamper Detection

IVS features Tamper Detection to detect camera the tampering events such as blockage, de-focusing, redirecting, spray-painting and so on. Tamper Detection relies on detecting large persistent changes in the video image.


11.10.1 Access

Access

To access temper detection settings:

1.

Access IVS configuration as described in Access IVS Configuration.

IVS configuration runs in Zones & Rules tabbed page.

2.

Click Tamper Detection tab.

Tamper Detection tabbed page will pop up.


11.10.2 Tamper Detection Settings

Tamper Detection Settings

Featured settings on Tamper Detection tabbed page are:

Setting

Description

Default

Enable Tamper Detection

Enables Tamper Detection.

Deselected

(Disabled)

Tampered Duration until Alarm

Sets how long does the video image persistently change to trigger tamper alarm.

20 secs

Tampered Screen Area

Sets how much does the video image change to trigger tamper alarm.

40 %

Suppress alarm on lights on/off

Rules out the scenarios of great and rapid image lighting change such as on/off indoor lighting, which often cause false tamper alarms.

This function is performed sacrificing the sensitivity to trigger alarms and thus isn’t recommended if fast lighting changes isn’t much a problem in your installation.

Deselected

(Disabled)


11.11. IVS Log Viewer

IVS Log Viewer

IVS was supported by Main Console’s Log Viewer to run the history and export the reports of the unusual events detected by (Main Console’s) Smart Guard.


11.11.1 Log Viewer

Log Viewer

To launch Log Viewer:

1.

On Main Console screen, click [image] button. A menu will pop up.

2.

Select Log Viewer.

Log Viewer window pop up.

3.

Click IVS Event tab. IVS Event tabbed page then pop up.

Featured settings on IVS Event tabbed page are:

Setting | Description | Default
Rule Type | Assigns the type of event to view. Select All to view all types of events. | All
Device | Selects the camera to view the log for. | All
Date | Selects the date to view the log for. | Present date
Date Time | Sets a specific time slot to view the log for. | Present time
Search | Runs the history of the assigned events. | --
Export to | Exports the event history to an EXCEL file. | --


11.11.2 Counting Application

Counting Application

Display the history of Counting Application during a given time period.

Step1: Select the mode you want from the drop-down menu for basic counting or Adv. IVS counting.

Step 2: Select the channel you want to check or select All from the drop-down menu for all channels.

Step 3: Select search period. View the events that happened on a particular date or during a given time period by selecting search period.

For a particular date: check the Date box right and indicate the date.

For a period: check the DateTime and then enter the date and time.

Step 4: Click Search.

Step 5: Press the button Export to.

Step 6: Type the file name and choose the file format (.xls or .txt).


11.3 Counting Application (Diagram)

Counting Application (Diagram)

Top Previous Next

Display the Counting Application data in diagram.

Setting | Description
Increment | Sets the count to increment each time the detection zone triggers an alarm.
Decrement | Sets the count to decrement each time the detection zone triggers an alarm.
Instantaneous | Sets the counter to display the number of one or more objects that simultaneously triggers the alarm.

Counter: Increment

Counter: Decrement

Counter: Instantaneous

Note: Instantaneous log will count last value of the period

Step1: Select the mode and channel you want to check and select counter (maximize 3).

Step 2: From the drop-down menu, set up how you would like the diagram to be displayed. You have the options of one day, one month, or one year.

Step 3: Select a specific date to make it the start point of the diagram.

Step 4: Click Search.

Step 5: Press the button Export to.

Step 6: Type the file name and the file will save as BMP files.


11.12. IVS License

IVS License

IVS license can be transferred to any other Mainconsole server when the server is running. The transfer process is simple and hassle free, just like transferring IP+ license. For the instruction to transfer license online or offline, please follow the instructions of Transfer License in the user manual of Mainconsole.


12. Remote Live Viewer

Remote Live Viewer

With the Remote Live Viewer console, remote users may watch up to 128 channels real-time video from remote live streaming servers.

* Note: Maximum 32 channels under NVR Lite license.


12.1 Setting

Setting


12.1.1 System Setting

System Setting

Click General Setting to obtain System Setting dialog.


12.1.1.1 General

Server Group Setting

Audio preview:

Enable audio on active channel: Select to enable audio streaming on active channel.

Miscellaneous:

Synchronize video frames: Select to avoid image tearing problems that may occur while CPU loading is increased.

Run Remote Live Viewer on Monitor:

Select monitor to display Remote Live Viewer.

Startup:

Full screen: Users can view the window as the full screen mode.

Configuration File:

Portable: If this option is selected, the application software will store all the settings on the setting page into installation folder, and the application software will be portable on USB which can be executed by any PC with the same settings, such as server list, OSD settings and etc.


12.1.1.2 Server Group

Server Group

Allocate different server into each appointed group.

* Note: This function is not supported under NVR Lite license.

Step 1: Log in to all the servers.

Step 2: Click Insert to create a new group; name the group for future reference.

Step 3: From the window at the right, highlight the server(s) that you would like to add to a group and then Click the “ <-- ” button. Repeat the process until satisfied with the group setting.

Step 4: Click the Delete and Rename button to remove or rename a specific group.

Step 5: Repeat Steps 2 to 4 to adjust the group setting until satisfied.

Step 6: Click OK.


12.1.1.3 Server

Server

Step 1: Choose the connection type: IP Address or Eznuuo.

Step 2: Enter the Server Name.

Step 3: Enter the Address, Port, User Name, and Password to login the server if you choose to add server via IP Address; Enter the Server ID, User Name and Password to login the server if you choose to add server via Eznuuo.

Step 4: Enable “Save Password” to login without entering the password again.

Step 5: Enable “Auto Login” to login automatically when starting Remote Live Viewer.

Step 6: Click Test Server to check if the server is available.

Step 7: Click Add to insert the setting to server list.

Note:

To change the setting, select a server on server list and click “Update” after modify setting.

To remove the server, select a server on server list and then click “Delete”.

Export / Import list:

1.

This function allows Remote Live Viewer/Playback System to export the server list (IP/account/password) and import on another Remote Live Viewer/Playback System so user can maintain one server list without having to update/add/delete server on different Remote Live Viewer/Playback System/Playback System

2.

This function is available on Remote Live Viewer/Playback System/Playback System.


12.1.1.4 Camera Group

Camera Group

Allocate different cameras into each appointed group.

* Note: Cameras under NVR Lite license cannot be included in a group with other servers.

Step 1: Log in to all the servers that contain the camera(s) you would like to put into the group(s).

Step 2: Click Insert to create a new group; name the group for future reference.

Step 3: From the window at the right, highlight the camera(s) that you would like to add to a group and then Click the “ <-- ” button. Repeat the process until satisfied with the group setting.

Step 4: Click the Delete and Rename button to remove or rename a specific group.

Step 5: Repeat Steps 2 to 4 to adjust the group setting until satisfied.

Step 6: Click OK.


12.1.1.5 Camera

Camera

Select the preferred stream type of each camera as default live view profile.

* Note: Some stream profiles are not available under NVR Lite license.

Stream profile: Select a layout type and choose which stream profile you would like to apply on this layout. For some layout with large and small grid, you are able to assign different stream profile.

Record 1: The system will follow the stream profile set in Mainconsole >Schedule > Encoding Options.

Record 2: The system will follow the stream profile set in Mainconsole >Schedule > Encoding Options.

Main / High / Normal / Low/ Minimum / H.264: The system will follow the stream profile set in Mainconsole - Setting - Camera - Stream Profile.

Apply to All Layout: Apply the stream profile setting of current layout to the other layouts.

Copy to: Select in order to copy the preferred stream profile of a channel to all of the listed channels.


12.1.1.6 OSD

OSD

Adjust font style of Camera OSD on this panel.


12.1.1.7 Metadata

Metadata

Adjust font style of Metadata overlay on panel.

* Note: This function is not available under NVR Lite license.


12.1.1.8 Monitor Display

Monitor Display

Activate auto scan to rotate the channels/ cameras on screen.

Note:

For instance, you may select to show only 4 sub-screens on the live viewer while having 16 channels connected to the system. With auto scan function, you will be able to see all 16 channels by turns.

Each monitor supports up to an 8x8 layout with auto scan function to show 128 channels.

Step 1: Select the Monitor connected to the system.

Step 2: Auto scan group: Select appointed server group to activate auto scan settings.

Step 3: Primary channel: Select appointed channel that will always be on the screen when auto scan is activated.

Step 4: Secondary channel: Select appointed channel with secondary priority behind primary channel when auto scan is activated.

Step 5: Layout: Select the screen division of “NxN type” in Remote live viewer panel.

Step 6: Live Buffer Time: Set the buffer latency time to all channels for smooth live view.

Note:

Live Buffer Time is supported by the above camera models: (In alphabetical order)

1. Hikvision: generic models
2. Samsung: SND-5080/F, SNO-5080R, SNV-5080R, SNV-5080, SNB-3002, SNV-3082, SND-3082, SND-3082/F, SNB-1000, SNO-7080R, SPE-400, SNB-7002, SNO-7082R, SNV-7082, SND-6083, SNB-6003, SNB-6004, SND-6084, SND-6084R, SNO-6084R, SNV-6084R, SNO-6084, SNV-6084, SNP-5300, SNP-6200RH, SNF-7010V, SNB-5004, SNB-5003, SND-5084, SNV-5084, SND-5083, SNV-6012M, SND-6011R, SNO-6011R, SNP-6320H
3. Vivotek: 7000& 8000 Series


12.1.1.9 Notification

Notification

Status display:

Show recording status: Check to show the crystal ball with recording status on monitor display.

Show event message on screen: Check to show the smart guard detected event appointed in Mainconsole on each channel.

Note: To execute this function, please General Setting “on screen display” as an action of Smart Guard instant response.

Switch live view layout to 1x1: Check to switch the display layout to 1x1 when smart guard detected event appointed in Mainconsole on each channel.

Show counting result: Check to show the counting result appointed in Mainconsole on each channel.

* Note: This function is not available under NVR Lite license.

Play sound alert:

Enable playing sound on event: Check to enable sound alerts on events.

Sound File: Choose a sound file to play. You may use the default file or define another.

Life Cycle: Choose to allow the sound alert to close when events disappear, or define a timer to close the sound alert automatically after a specific period of time.

Note: To execute this function, please General Setting “play sound” as an action of Smart Guard instant response.

Miscellaneous:

Popup system event: Check to allow system events appointed in Mainconsole to pop up messages as warning.


12.1.1.10 Joystick

Joystick

Settings are same to Mainconsole joystick settings.

* Note: This function is not available under NVR Lite license.

* Note: For below 3 functions, the camera index will given from the cameras on the first server then the next server.

Goto Camera

Goto Previous Camera

Goto Next Camera

Example: There are 2 servers on Remote Live Viewer, and each server have 3 cameras. Then, the camera index would be given from 1 to 6 as below:

Server A

- Cam A (1)

- Cam B (2)

- Cam C (3)

Server B

- Cam A (4)

- Cam B (5)

- Cam C (6)


12.1.2 Language Setting

Language Setting

Language setting

Select the preferred language and press OK to apply after software restart.


12.2 Server View and Camera View

Server View and Camera View

Display a complete list of the server(s), group(s) and camera(s) that are added to the system.

Server View: Cameras are listed according to recording server.

Group View: Cameras are listed according to customized grouping.

Server View

Group View


12.2.1 login/logout server

12.2.1 login/logout server

Option1: Select a server on the list and Click LOG IN/ LOG OUT to access/ logout the server.

Option2: On the server list, right click to obtain menu options.


12.2.2 Connect/Disconnect camera

12.2.2 Connect/Disconnect camera

Option1: On the server/camera list, double Click a camera to connect.

Option2: On the server/ camera list, right Click a camera to obtain the menu options to connect/ disconnect.

Option3: Select a camera from the list, then drag it to where you want it to be displayed.

Option4: Play / Stop/ Drop: Select a camera/ video and Click this button to play/stop/disconnect a particular channel.


12.2.3 Multiple Views

12.2.3 Multiple Views

Step1: On the server/camera list, select a camera and right Click it to obtain the menu options.

Step2: Select Duplicate Camera and the duplicate camera with green indicator will display below on camera list.

Step3: Double Click the duplicated camera to connect and display on screen.


12.3 PTZ Control

PTZ Control

Control the movement of PTZ cameras. With cameras that support PTZ control, you can move, zoom, patrol, adjust the focus, and set preset points of the cameras.


12.3.1 Preset/ Go

Preset/ Go

Adjust the camera view until satisfied. Click the Set icon to define the current view as preset point 01. Adjust the camera view again to setup preset point 02. Repeat the process until you finish setting up all preset points. Customize preset point names by defining names. Click the Go icon and view the result of your setting.

Note: For the speed settings of PTZ camera, please General Setting from Mainconsole – General Setting – Setting - PTZ General Setting.


12.3.2 Zoom

Zoom

Click the + and – signs to zoom in and zoom out the view.


12.3.3 Focus

Focus

You can select to have the camera focused near or far. To focus near means objects that are closer will be clearer than the objects that are further away. On contrast, to focus far means objects that are further will be clearer than the objects that are closer. Click the Focus icon and select auto focus if you want the system to decide the focus point for you.


12.3.4 Patrol

Patrol

To control PTZ camera to patrol around pre-defined path of preset points, Click Go to Preset Point – Start Patrol / Stop Patrol.

Note: To setup patrol path, please setup on Mainconsole – Set Preset Point – Set Patrol.


12.4 On Screen Menu

On Screen Menu

Right Click the camera screen for the On Screen Menu, from which you can quickly adjust the setting of camera.


12.4.1 Enable Move / Area Zoom

Enable Move / Area Zoom

With cameras that support PT function, click the Enable Move function to adjust the current camera’s view by clicking on the display screen. To cancel this function, right Click the screen and select Disable Move.

With cameras that support Area Zoom function, click the Enable Move/Area Zoom function to adjust the current camera’s view by dragging a rectangle on the display screen. To cancel this function, right Click the screen and select Disable Move/Area Zoom.


12.4.2 Enable Talk

Enable Talk

*This feature is not available under NVR Lite License.

With cameras that support two-way audio, select enable talk to utilize the function.


12.4.3 Enable Audio

Enable Audio

With cameras that support audio function, click the Enable Audio function to listen to the current camera’s audio by clicking on the display screen. To cancel this function, right Click the screen and de-select Enable Audio.


12.4.4 Enable Digital PTZ

Enable Digital PTZ

To enable the PTZ functions of the camera, select the Enable digital PTZ option. Use mouse wheel or Click the + and – signs to zoom in and zoom out on the camera, or drag a rectangle to enlarge the area.

The square flashing on the video grid indicate the correspondent view of the camera.


12.4.5 Fisheye Lens Setting

ImmerVision / Fisheye Dewarp Lens Setting

With cameras that set ImmerVision Lens, right Click the display screen and select the mode of lens:

Original,

PTZ mode,

Quad mode, and

Perimeter mode.

With cameras that set Fisheye Dewarp Lens, right Click the display screen and select the mode of lens:

Original,

PTZ mode,

Quad mode, and

Perimeter mode.


12.4.6 Fix Aspect Ratio

Fix Aspect Ratio

For some special camera resolution, user can enable Fix Aspect Ratio to view original ratio video, or disable this option to stretch 3:4 to fit window.


12.4.7 Stream Profile

Stream Profile

Select different level Stream Profiles to downgrade video quality for bandwidth concerns.

* Note: Some stream profiles are not available under NVR Lite license.


12.4.8 Instant Playback

Instant Playback

To run the Instant Playback window of the camera, select the Instant Playback option and choose the period. The instant playback window allows the user to browse recorded video, take snapshot images and export video with audio and metadata transaction data.

* Note: This function is not available under NVR Lite license.


12.4.9 Duplicate Camera

Duplicate Camera

Right Click any empty channel. You may duplicate cameras from any available servers here.

To browse recorded video

By simply clicking on the timeline you can view the video. Use the navigation tools below for advanced control.

- Play / Pause / Stop

- Speed up/Speed down

- Fast Forward/reverse frame by frame

- Play Previous / Next minute video

To keep a snapshot of the video clip

Pause the video at desired time point and click snapshot button [image] . The snapshot is displayed and can be saved or copied to clipboard.

To export recorded video

Select desired export period and click export button [image] . Additional options are available when exporting.

Adjust to original video resolution button [image] is the tool to adjust the video to original video resolution.

Audio button [image] turns the audio on / off.

Metadata button [image] is to enable / disable metadata transaction data overlay.


12.4.10 Snapshot

Snapshot

The snapshot function copies and captures a specific video image to the clipboard or to save as a bmp file. The snapshot can be customized with/without OSD, metadata information and selectable range after digital zoom in.

There are two types of snapshots:

1.

Snapshot: This captures the current view as seen by the user

2.

Snapshot from Main profile: This captures the snapshot according to the Main profile as set on the camera.

For example, if it’s a fisheye camera, the remote live view you see may be an image that is dewarped. When you select Snapshot, it will save the dewarped image. And when you select Snapshot from Main profile, it will save the fisheye image.


12.4.11 Toggle Full screen

Toggle Full screen

Switch to view video with full screen display. To disable the function, right Click screen and de-select option or simply press “ESC” to go back to original window.


12.5 Start Monitor

Start Monitor


12.5.1 Multiple Monitor

Multiple Monitor

Select Run Monitor to append monitor to view more live videos on multiple monitors. Each appended monitor has the same list and view control buttons as the Main monitor, with the exception of the Start, Playback, and

Setting buttons.


12.5.2 E-Map

E-Map

Select Run E-Map to obtain the E-Map window. The GUI map helps to locate devices easily and the information window helps to show the status of each device.

Map Info – Show map name.

Camera – Show camera name and connecting status.

Digital Input/Output – Shows Digital Input / Output name and status (0 or 1).

Access Control/POS/LPR – Shows metadata device name, connection status, first associated camera name and connection status.


12.5.3 I/O Device Panel

I/O Device Panel

Select to obtain the I/O control panel. Use the panel to view DI status and control DO devices remotely.

Note: Adjust the setting of I/O device in Mainconsole – General Setting – Setting - I/O Device first, the I/O control panel will display the device status based on these settings.


12.6 Playback

Playback

Select to obtain the Playback panel and view video remotely.


12.6.1 Add Remote Playback Site

Add Remote Playback Site

Press the Remote Sever [image] icon to go to remote playback site management to add and setup a remote playback connection.

Step 1: Choose the connection type: IP Address or Eznuuo.

Step 2: Enter the Server Name.

Step 3: Enter the Address, Port, User Name, and Password to login the server if you choose to add server via IP Address; Enter the Server ID, User Name and Password to login the server if you choose to add server via Eznuuo.

Step 4: Click Add to add the server.

Step 5: Click OK to exit the Setting panel.


12.6.2 Access Remote Playback Site

Access Remote Playback Site

Go to Date/Time Panel and Click the [image] icon on the top of the display window to access the Remote Playback Site.


13. Web Client

Web Client

Mainconsole web client is able to achieve below functions:

1. Access Live Video: Video Liveview

2. Access recording data: Video Playback

3. Access Report Service: Report Service

Start Internet Explorer browser and input the IP address or DDNS name of the server followed by the connecting port.

Example: http://192.168.1.16:8080/

Note: 192.168.1.16 is the IP address of the server. 8080 is the port specified in Use Default Web Server in Network Service.

To connect directly to Remote Live Viewer without additional login, you may input username and password in the URL.

Example: Example: http://10.0.11.74:8080/www/liveview-htmlskin/LiveView.html?user=admin&password=12345

http://10.0.11.74:8080/www/playback-htmlskin/playback.html?user=admin&password=12345

(Username: admin, password:12345 in this example)

Login window:

Main page of web client:

Please refer the web client user manual below location. It is in PDF format.


14. Utilities

Utilities


14.1 Verification Tool

Verification Tool

The Verification Tool verifies whether the data created by the system has been tampered with. It is the process by which a digital (a digital signature) is added to each recorded video frame to ensure its authenticity.

There are 3 types of data that can be verified by the Verification Tool:

1.

File in (.DAT) (.264) format will be displayed as [image] .

2.

File in (.AVI) (.ASF) format will be displayed as [image] .

3.

File in (.BMP) (.JPG) format will be displayed as [image] .


14.1.1 Execute Verification Tool

Execute Verification Tool

Step 1: Execute Verification Tool from program files.

Step 2: Insert the Administrator Password to log in.

Step 3: The Verification Tool appears after login.


14.1.2 Verification Tool Overview

Verification Tool Overview

Add File: Click to insert the single file to list for verification.

Add Folder: Click to choose the folder with multiple files to list for verification.

Remove File: Click to remove indicated file(s) from list.

Select All: Click to select all files in list for verification.

Note:

1.

Choose the file type first before selecting files. Only (.dat) (.264) (.avi) (.asf) (.bmp) (.jpg) are supported.

2.

User can also drag files directly into the list for verification.

Video Preview: Check this column to preview video of selected file. Click the buttons below the window to play

, Pause

and Stop

the file.

Note: Preview of (.bmp) (.jpg) format is not allowed.


14.1.3 Verify Image/Video

Verify Image/Video

Step 1: Select single or multiple files for verification.

Step 2: Click “verify [image] ”to start verification.

Step 3: The verification result will show on the watermark column.

If a file was tampered with, it will show [image] .

If a file passes verification, it will show [image] .

Step 4: The verification report will indicate the information related to the verification.


14.2 License Management Tool

License Management Tool

After trial Mainconsole expired, you need you activate IP+ License so Mainconsole will transform as official version and be able to operate full function.

Besides camera licenses, you may also purchase licenses for the metadata application, including those for POS, LPR and access control.

License Management Tool can help to:

-

To activate the license with PC connected to network, follow the Activation Online process.

-

To activate the license with PC not connected to network, follow the Activation Offline process.

-

To de-activate/transfer the license with PC connected to network, follow the Transfer Online process.

-

To de-activate/transfer the license with PC not connected to network, follow the Transfer Offline process.

Both “Online” and “Offline” status of PC environments are available on executing the tool to “activate” or “transfer” the license. The following is a total of 4 types of license management process:

Please note different level licenses cannot coexist under one license server. Upgrade licenses will replace lower level licenses into higher level ones.


14.2.1 Execute License Management Tool

Execute License Management Tool

Step 1: Execute License Manager Tool in General Setting menu, installation folders or execute Activate Tool from program files.

Step 2: The “License Management Tool” will appear. Please refer below for the tool overview.


14.2.2 Activate License

Activate License

Activation Online

Step 1: Run License Manager Tool.

Step 2: Select On line as Activate type.

Step 3: Input the SN (Serial number)or Import SN file, and then Click Activate button.

Step 4: Restart Mainconsole if activation is successful.

Activation Offline

Step 1: Run License Manager Tool.

Step 2: Select Offline as Activate type.

Step 3: Click Export offline pack. Please note this license will bind with hardware General Settings and it is not recommended to register with removable network devices.

Step 4: Save Request file, and then take it to another PC that is connected to the Internet.

Step 5: Execute OffLineTool.exe [image] in the other PC. Input the SN (Serial number) or Import SN file, and then Click Activate button.

Step 6: Save License file, and then take it to original NVR system.

Step 7: Run License Manager Tool again, select Import offline license, then click Import button to activate.

Step 8: Restart Mainconsole if activation is successful.


14.2.3 Transfer License

Transfer License

Transfer Online

Step 1: Run License Manager Tool.

Step 2: Select Transfer Tab, and then check Online as Transfer type.

Step 3: Select SN and Click Transfer button.

Step 4: Restart Mainconsole if transfer is successful.

Transfer Offline

Step 1: Run License Manager Tool.

Step 2: Select Transfer Tab, and then check Offline as Transfer type.

Step 3: Select SN, and then click Transfer button to transfer SN.

Step 4: Save Request file. Restart Mainconsole if transfer is successful..

Step 5: Copy request file to another PC connected to internet.

Step 6: Execute OffLineTool.exe in another PC, check Transfer SN and click Transfer to send request file to license server.

Note: User needs to copy request file to another PC and send it to license server, otherwise the SN can’t be re-activated again!!


14.3 Resource Management Tool

Resource Management Tool

The Resource Management Tool detects whether the system is operational.

Note: For further application of the Resource Management Tool, please refer to page 63 In “Guard” chapter.


14.3.1 Execute Resource Management tool

Execute Resource Management tool

Step 1: Run Resource Report from start menu.

Step 2: The Resource Management Tool will appear.


14.3.2 System Resource Overview

System Resource Overview


14.3.3 System Resource

System Resource

System Health: This item shows the system information, including “CPU Temperature”, “Motherboard Temperature”, “CPU Fan Speed” and “Power Fan Speed”.

Note: User needs to install the “SpeedFan” first to gather the CPU and Motherboard temperature information.

CPU Loading: This item shows the percentage of CPU usage.

Memory Usage: This item shows the memory usage of system. “Memory Used” and “Memory Available” are included.

Logical Disk Free: This item shows the percentage of available disk space for storage.

Note: The disk directory will be the same as the one in Mainconsole – General Setting – Setting – Storage - Location.

Network Utilization: This item shows the total bit-rate utilization for the upload and download of the computer.


11.3.4 Instant Diagram

Instant Diagram

Click each item in the list to obtain the instant system diagram. The “system resource” will be displayed as each variable in Vertical Axis; the unit of Horizontal Axis will be displayed as “Per Second”.


14.3.5 Advanced Resource Report

Advanced Resource Report

Click the Advanced button to search and export system logs in “Search” tab and obtain the history diagram of an specified period in “Diagram” tab.

Search

Step 1: Choose the system event type, and then select the standard percentage to search system log.

Step 2: Select the Date/Time duration to search system log.

Step 3: Click Search to start searching, the system logs will be listed below.

Step 4: Click Export to to save the system log in (*.xls) or (*.txt) format.

Step 5: Click OK to close the report window.

Display

Step 1: Choose the system event type.

Step 2: Select the Date/Time to draft history diagram.

Step 3: Setup the start time and duration for charting. User can choose “One Day”, “One Hour” or “One Minute” as the duration.

Step 4: Click “Display” to start charting, the diagram will be displayed at below column.

Step 5: Click “Save” to save the diagram in (*.bmp) format.

Step 6: Click “OK” to close the report window.


14.4 Stream Usage Panel

Stream Usage Panel

The stream usage panel shows the current stream status including connection status, record status, local display stream, decoding stream/reason, download bitrate and HDD throughputs. Those information is helpful for system optimization and troubleshooting.

Note:

Idle status: Means the stream is connected with Mainconsole but Mainconsole do not use for decode or recording, video analysis or recording. It will show a gray ball.

Not support status: Means the channel do not support Multi-stream function. It will show a black ball.

Indicators in differ color shows different connection status with stream bit rate (Mbps) and frame rates (fps).

“Decoded” column indicates the decoding stream which requires CPU loading. Changing the decoding stream is helpful to reduce CPU loading.

Mouse over to the check icon, system will show you the decode reason. Possible decode reasons are:

•

Local display

•

Smart guard detection

•

Counting analysis

•

IVS analysis

•

Transcode record

•

Transcode for client

•

Record on motion

•

Video preview


14.5 DB Tool

DB Tool

The DB Tool repairs database files and Export General Settings.

Warning: improper use of this DB Tool may cause loss of recorded video.

Step 1: Execute DB Tool from program files.

Step 2: Enter the password of administrator to log in.


14.5.1 Repair Database

Repair Database

This page has three repair method, Modify Location, Verify Only, and Repair.

For modify location:

Playback system can recognize all recording video in the folders listed on Mainconsole - General Setting - Setting - General page. For some reason, user needs to use Playback system to run recording video beyond storage location setting. For this propose, user could follow below steps to modify location by DB tool.

Note: The default storage location is in the installation directory, (ex: C:\Program Files\\SCB_IP)

Step 1: Select Repair database.

Step 2: Select the repair Method as Modify Location.

Step 3: For add database location, please Click

button and use URL to choose location.

For remove database location, please choose location form list and Click

button to remove location.

Step 4: Click Modify button to modify location. After modification, the Modify Result will show on the panel.

Example of modify database:

In certain cases where video data needs to be transferred from one PC to another PC, user will need to perform the following:

1.

Manually copy all recorded video data from the default installation path or other user-defined storage path of the old PC.

2.

Manually paste all recorded video data to the default installation path or other user-defined storage path of the new PC

3.

Follow previous page to add new location on new PC.

4.

Old recorded video data can be viewed by playback system on the new PC.

For verify and repair proposes:

This tool is used to check and repair your database and recorded video with problems:

(1) If there are records in database, but no video file, use this DB Tools to delete records.

(2) If there are video files but no record in database, use this DB Tools to rearrange the database and find these records.

Step 1: Switch to Repair database windows.

Step 2: Select the repair Method as Verify Only.

Step 3: Check the video location windows.

The system will list all video locations in table, but if there are any omit, please use

to insert.

Note: After inserting location, the system will show files count below table.

Step 4: Choose the method of “Verify Only”, and click “verify”. This method will only check the files without modify. Verify result will show how many files broken or missing.

Step 5: Choose the method of “Repair (Complete)”, and click “Repair”. The Repair Result will show how many files are fixed and inserted.

Step 6: The repaired new database will replace the old one and the original database will change file names with extended repair date and time as below.

Note: Open Log is a tool to record the repaired database. It will record repair method, file operation, start time and end time.


14.5.2 Export General Settings

Export General Settings

This tool is used when user wants to export all system General Settings to backup, take to another PC for technical trouble shooting.

Step 1: Press “Export”.

Step 2: Select the location you want to Export and type the name of the General Settings.

Step 3: Press “Save” to start to import database.


14.6 I/O Device Panel

I/O Device Panel

General Setting – Setting - I/O Device first, the I/O control panel will display the device status based on these settings.


15. Failover Agent

Failover Agent

Failover Agent is a software to enable a spare recording server (the failover server) to take over the recording work once the regular recording server becomes unavailable. Hence the failover server and the Failover Agent should always be installed on another computer.

Note: Support IP+ and Video Encoder (no capture card)


15.1. Services

Services

Failover Agent runs two services:

Service | Description
failover service | This service always runs and constantly checks the state of the relevant recording servers. This service enables any necessary takeover
recording service | This service enables the failover server to act as a recording server while the regular recording server is unavailable. This service starts when required, i.e. when the failover server takes over the recording work.

Note: Failover Agent will failover video data only. Not for No event, alarm, metadata, I/O box, Advanced Intelligent Video Surveillance.


15.2. Activate Failover License

Activate Failover License

Step 1: Run License Manager Tool in Start>> Failover Agent file.

Step 2: Select Activate Tool, check the PC in Online network environment.

Step 3: Insert the SN, SN file to activate license.

Step 4: After software license is activated successfully, please restart Mainconsole.

Note: Please refer to Utilities>> License Management Tool for advanced settings.


15.3. Start and Stop Failover Agent

Start and Stop Failover Agent

To start Failover Agent:

Click start button | All Programs | Failover Agent. Failover Agent will start and show its icon

in the notification area (also “system tray”).

To stop Failover Agent:

1.

Right-Click Failover Agent’s icon in the notification area. A menu will pop up.

2.

Click Exit from the menu.

Note: One OnGuard (Software watchdog) can only connect with one Failover Agent. User cannot use two Failover Agent to monitor one Mainconsole at the same time.

Note: Mainconsole and Failover Agent cannot install on same server.

Note: Failover Agent will start service when in 2 hours the regular recording server becomes unavailable 5 times and each time during 15 minutes.


15.4. Enable and Disable Failover Service

Enable and Disable Failover Service

Failover Agent supports users to enable and disable its service after Failover Agent starts. By default, the Failover Agent’s service is auto-enabled after the start.

If Failover Agent has been manually disabled, its icon in the notification area appears with a red cross on it [image] . To re-enable Failover Agent:

1.

Right-Click Failover Agent’s icon [image] in the notification area. A menu will pop up.

2.

Click Enable from the menu.

To disable Failover Agent:

1.

Right-Click Failover Agent’s icon [image] in the notification area. A menu will pop up.

2.

From the menu, select Disable.


15.5. Run Failover Agent

Run Failover Agent

To run the Failover Agent that runs in the background:

1.

Right-Click the Failover Agent icon in the notification area. A menu will pop up.

2.

Select Run Failover Agent from the menu that opens.

Failover Agent will open by showing its UI onscreen.


15.6. Check Failover Agent Status

Check Failover Agent Status

After the Failover Agent starts, its status can be checked by its icon in the notification area.

Failover Agent’s service is disabled. The icon has a red cross on it.

Failover Agent’s service is enabled.


15.7. View Version Information

View Version Information

Knowing the version of your Failover Agent is helpful when you contact for support. To know your Failover Agent version info:

1.

Right-Click the Failover Agent icon in the notification area. A Menu will pop up.

2.

From the menu that pop up, select About.

A small dialog will pop up to show the version of your Failover Agent.


15.8. General Settings

Failover Agent features a General tabbed page to set the preference using Failover Agent.

1.

Run Failover Agent.

2.

Click General tab. Server tabbed page will pop up.

Make the settings that meet your need by referencing the following:

Startup

Startup group box sets how Failover Agent acts when it starts.

Featured settings are:

Settings | Description | Default
Auto Startup | Sets Failover Agent to auto-start when the failover server re-starts up after accidental shutdown. | Selected (Enabled)
Auto Login | Sets Failover Agent to auto-login to enable failover service when it starts. | Selected (Enabled)

Click OK button to apply the change and quit setting; or click Cancel button to quit setting without saving the change.

Password

Failover Agent features a password authorization to control whether to enable failover service. Users are requested to set up such password when they installed Failover Agent. If such password should need to change later, it should be changed here in this Password group box.

Featured settings are:

Settings | Description | Default
Old Password | Enters the old password. | --
New Password | Assigns the new password. | --
Password Confirm | Enters the new password again. | --

Click OK button to apply the change and quit setting; or click Cancel button to quit setting without saving the change.

Note: Admin only between Mainconsole and Failover server. Failover operation use ID: Admin only

Note: We recommend if users renew user account, please connect OnGuard to Failover Agent and updates user information again.

Log File

Failover Agent supports recording its operation history into a log file for necessary data analysis. The log file is created in .txt format with “FailoverAgent” for the filename.

To access log file setting:

Setting | Description | Default
Save Log | Enables recording Failover Agent’s operation history to a log file. | Selected (Enabled)
Field | Sets where to save the log file. | The storage where Failover Agent is installed to, for example C:\program files\

The log file is created in .txt format. Take a closer observation of such log file:

❶ Failover Agent launches.

❷ One or more changes are written to Failover Agent settings.

❸

Failover service is performed. The failover server takes over the recording server named “192.168.2.114” at IP address 192.168.2.114.

❹

Failover service stops. The failover server stops taking over the original recording server named “192.168.2.114” at 192.168.2.114 and returns the recording work to it.

Storage

Storage group box assigns the storage to store the recorded videos and manages storage-related settings.

Featured settings are:

Settings | Description | Default
Location | Adds new storage. | --
 | Deletes the selected storage. | --
 | Raises the selected storage to higher priority. | --
 | Brings the selected storage to lower priority. | --
Enable Disk Load Balance | Evenly distributes recording to multiple drives, which will increase system efficiency. | Deselected (Disabled)

Note: Keep video in failover server, not collect back to recording server.

Recycle Setup

Recycle Setup group box encloses the settings to delete the outdated data to save storage space. Featured settings are:

Settings | Element | Description | Default
Recycle when disk space is less than | Radio button | Enables the system to recycle. | Selected (Enabled)
 | Field | Sets the lowest remaining disk space for the system to start to recycle. | 10%
Only keep video for | Radio button | Enables the system to delete older videos. | Deselected (Disabled)
 | Field | Assigns a number of days to keep the recorded videos. | 7 (by unit of day)


15.9. Server Settings

Server Settings

To access the server settings:

1.

Run Failover Agent.

2.

Click Server tab. Server tabbed page will open.

Make the settings that meet your need by referencing the following:

Note: Support up to 8 Mainconsole servers to 1 Failover server and recommend to use 3 Mainconsole servers to 1 Failover server.

Setup a Server

To set up the regular recording server to take over when necessary:

1.

In Server Name, Address and Port fields, enter the name, address and port number of the regular recording server to take over.

2.

In User Name and Password fields, enter the user name and password to log in the regular recording server to take over.

3.

In Priority field, enter the number (1-8) of the recording server priority. Priority 1 for the highest priority.

4.

Press Test Server button to check if the server is available.

5.

Press Add button to apply the setup. The recording server will be added to the server

Note: Share same port (NUSP/NUPP) and support LAN only.

Change Server Setting

To make any change to an existing server setting:

1.

On the server list, select the server to change.

2.

Make change to the setting as described in 12.8.1. Setup.

3.

Press Update button to apply the change.

Note: In this status, OnGuard and Failover Agent need to connect again to get Mainconsole server information.

Delete a Recording Server

To remove a server:

1.

On the server list, select the server to delete.

2.

Press Delete button to remove the selected server.

Server List

1.

OnGuard have linked to Failover Agent but not connected yet.

2.

OnGuard connects to Failover Agent

3.

Failover Agent disconnect with Mainconsole

4.

Failover Agent is taking over Mainconsole now

Note: Failover Agent not support Web client, MSAD and DDNS.


15.10 Remote Live viewer and Remote playback

Remote Live viewer and Remote playback

Remote Live Viewer

Display a complete list of the server(s), group(s) and camera(s) that are added to the system.

Server View: Cameras are listed according to recording server.

And pop up message with Failover is running.

Note: Failover agent needs to connect remote live viewer or playback first then Failover agent will automatically connect to live viewer/playback and get failover recording.

Note: For Failover agent recording, user still login original Mainconsole server and will automatically transfer to Failover agent.

Remote Playback

Go to Date/Time Panel and Click the

icon on the top of the display window to access the Remote Playback Site

Video records are displayed as a thin line on the time table. Check Show Recording Schedule to show the defined period for scheduled recording. It is shown as a thick line in light blue color for Failover recording mode.


16. OnGuard

OnGuard

OnGuard is the software watchdog attached to Mainconsole to watch over Mainconsole’s service on a regular recording server. OnGuard starts when Mainconsole launches and stops when Mainconsole quits.


16.1. Using OnGuard

Using OnGuard

Once the Mainconsole (the regular recording server) stops responding, OnGuard will prompt to restart the recording server by showing a dialog. Click OK to confirm to restart or click Cancel to quit Mainconsole for later manual restart.

Note the failover server (Failover Agent) won’t take over the recording server (Mainconsole) unless the recording server stops responding for 5 times within one hour.


16.2. Run OnGuard

Run OnGuard

To see OnGuard on screen, minimize Mainconsole by click [image] button at the lower-left on Mainconsole screen. If OnGuard is minimized and therefore isn’t viewable, run it by taking the following action:

1.

Right-Click its icon [image] in the notification area. A menu will pop up.

2.

From the menu, select Open OnGuard.


16.3. Quit OnGuard

Quit OnGuard

If it is necessary to exit OnGuard, take the following action:

1.

Right-Click its icon [image] in the notification area. A menu will pop up.

2.

From the menu that pop up, select Exit.

OnGuard then quits.a


16.4. Version Information

16.4. Version Information

Knowing the version of your OnGuard is helpful when you contact for support. To know your OnGuard version info:

1.

Right-Click the OnGuard icon [image] in the notification area. A Menu will pop up.

2.

From the menu, select About.

A small dialog will opens showing the exact version of your Failover Agent.


16.5. Check Connection Status

Check Connection Status

To check OnGuard’s connection status with the remote Failover Agent:

1.

Run OnGuard as described in Run OnGuard. OnGuard will pop up on screen.

2.

Check the connection status in the Status box.

The information provided are:

Element | Description
Type | Type of the service connected to, which is Failover Agent.
IP | Delivers the IP address of the Failover Agent connected to.
Description | Delivers the connection status with the Failover Agent.


16.6. Log File

Log File

OnGuard supports recording its operation history into a log file for necessary data analysis.

To General Setting file log setting:

1.

Run OnGuard.

2.

Find the Service box.

3.

Select Save Log to enable log file and browse for a desire folder to save the log file; or deselect Save Log if log file isn’t needed.

The log file is created in .txt format with the filename “OnGuard”. The log file helps users to know the exact time when the recording server stops responding.

Take a closer observation of such log file:

OnGuard Starts

OnGuard’s Failover Agent service starts. See 13.7. Failover Agent Service to know how to start it.

Mainconsole quits.

Note: Mainconsole abnormal quit then will log.

Mainconsole launches.

OnGuard becomes connected with the remote Failover Agent. The connection is initiated by the Failover Agent.

OnGuard is disconnected from the remote Failover Agent.


16.7. Failover Agent Service

Failover Agent Service

The Failover Agent Service box delivers the status of OnGuard’s Failover Agent service. This box also features a setting to manage the port number of the Failover Agent.

Featured settings are:

Element | Description | Default
Server Status label | This label delivers the status of OnGuard’s service for the Failover Agent. When the service is running it shows “Running”; otherwise it shows “Stopped”. | --
Start button | Press this button to start OnGuard’s Failover Agent service. | --
Stop button | Press this button to stop OnGuard’s Failover Agent service. | --
Port setting | Sets the port number of the remote failover server (Failover Agent) for communication. | 5220 (Note)

Note: 5220 is the default port number which the recording server and failover server communicate with each

other. The failover server relies on this port to gets the General Setting of the recording server taken over.


16.8. Failover Agent and OnGuard Scenario

Failover Agent and OnGuard Scenario

Scenario | OnGuard mechanism | Failover Agent mechanism | After manually restart Mainconsole
Generate dump file | Auto recover and Mainconsole automaticlly login | When Mainconsole generate 5th dump file within one hour, Failover Agent will start to take over Mainconsole | Same with the setting before restart
Electricity off line | Restart and with startup setting | Failover Agent starts to take over Mainconsole | Same with startup setting
Network connection lost |  | Failover Agent starts to take over Mainconsole |
OS with close AP message | Auto recover and Mainconsole automaticlly login | When Mainconsole 5th close within one hour, Failover Agent will start to take over Mainconsole | Same with the setting before restart
Virtual memory exceed limitation | Auto recover and Mainconsole automaticlly login | When Mainconsole 5th virtual memory exceed limitation within one hour, Failover Agent will start to take over Mainconsole | Same with the setting before restart
Process delete | Auto recover and Mainconsole automaticlly login | When Mainconsole 5th process cancel within one hour, Failover Agent will start to take over Mainconsole | Same with the setting before restart
BSOD | Restart and with startup setting | Failover Agent start to take over Mainconsole | Same with startup setting
Process hang over 15 minutes | Auto recover and Mainconsole automaticlly login | When Mainconsole 5th process hang over 15 minutes within two hours, Failover Agent will start to take over Mainconsole | Same with the setting before restart


17. Appendix


17.1 Appendix A - Smart Phone Client Smart Phone Client Overview

Appendix A – Smart Phone Client

See the sections below to find how to install and execute SP Client.

Note:

1.

The different between Smart Phone Client is navigation of operation, user can only control client with phone buttons.

2.

The resolution of SP Client is limited in 240*320 (QVGA).

Install Smart Phone Client

Step 1: Connect mobile device to the PC.

Step 2: Insert the installation CD and Click Smart Phone Client Installation to install application in device.

Step 3: Check the client application is installed completely in the mobile device.

Mainconsole setting

Step 1: Go to General Setting and select Network Service

Step 2: Select “Live Streaming”, and then click “Start”.

Note: The “Port” selected here will be the same with the one in Smart Phone.

Execute and Login

Step 1: Make sure your Smart Phone device is connected to network, and then go to Start - Programs - Smart Phone Client to execute application.

Step 2: Insert Address, Port, Name and Password of the server and Click [image] to login.

There are 3 main pages of Client application: Monitor Preview, I/O Control and System Info. Switch between these buttons to adjust overall General Setting.

Select “I/O Control” button to monitor status of DI/DO devices, and control DO devices.

I/O Device list:

Select and monitor the device connected with Server.

DI/DO status:

Monitor the DI/DO status synchronized with Server, and then click Output button to trigger the DO action.

Gray icon indicates the normal status of DI/DO devices.

Red icon indicates the alarm status of DI/DO devices.

Green icon indicates the synchronization process.

Camera List:

Displays all “snapshots” of channels connected to server as camera list. Click indicated snapshot to get the channel information, and then Click [image] to display live video.

Note: The Screen Division and Refresh option could help to quick find the channel.

Live Video Display:

Live View panel could display “live video”, control PTZ, and snapshot. Click [image] to go back camera list.

PTZ Control: Click PT Control Panel and Zoom Out/In to control physical PTZ camera or adjust digital PTZ under digital PTZ mode.

Note: To switch between “Digital PTZ” and “Physical PTZ”, simply Click [image] button.

Preset Go: Click [image] to select indicated preset point.

Snapshot: Click [image] to take the snapshot and save it to default folder.

Full Screen: Click [image] to toggle to the “Full Screen Mode”, right Click screen to obtain the PT control panel and disable full screen display.

Enable Audio: Click [image] to enable the audio of current channel.

1.3.2 I/O Control

1.3.3 System Info

Display the server and client information. Server information includes address, post, and version. Client information includes login user, count of camera and I/O device with access authority and version.

For ’s latest release of Android application based client iViewer, please visit http://www..com/ProductNode.php?node=11 for more information and product demo videos.


17.2 Appendix B - iPhone Browser

Appendix B - iPhone Browser

Live Streaming service can handle requests from iPhone’s Safari browser. This section will guide you how to use this feature with iPhone devices.

General Setting from server

Step 1: Go to “General Setting” and select “Network Service”

Step 2: Select “Live Streaming”, and then click “Start”.

Note: The “Port” selected here will be the same as the web live view and web playback.

Connect to server

Step 1: Make sure the I-phone is connected to the internet. Run Safari browser and enter the IP address or DDNS “name” of the server followed by the connecting port.

Example: http://192.168.1.16:8080/

Note: 192.168.1.16 is the IP address of the server.

8080 is the port specified in “Use Default Web Server” in Network Service.

Step 2: Enter user name and password to login MainConsole Server, select camera to view live video.

Live Display

To view live video, select camera from list, use touch panel to zoom in the video.

To switch video, please click [image] to back to list and select another camera to view the video.

PTZ Control

With cameras that support PTZ function, the PTZ panel will show as picture. User can control camera to pan, tile and zoom in/zoom out manually, or move to pre-set location by select PTZ preset point from drop down list.

For ’s latest release of iPhone / iPad application based client iViewer, please visit http://www..com/ProductNode.php?node=11 for more information and product demo videos.


17.3 Appendix C - Remote Desktop Tool

Appendix C - Remote Desktop Tool

Install Remote Desktop Tool

Step 1: Insert the Installation CD.

Step 2: Go to Remote Desktop Viewer directly and Run Setup.exe file.

Start Remote Desktop Tool

Step 1: Start - All Programs - Remote Desktop Viewer - Remote Desktop Viewer.

Step 2: Enter address, Port, Password of server. Enable the option to use 8 bits color level to show steadier screen.

Step 3: Click OK to Start Remote Desktop.


17.4 Appendix D - IP Bridge

 Top Previous

Appendix D - IP Bridge

Top Previous

Activate IP Bridge License

Step1. Activate the IP+ Bridge license in IP Bridge Server.

Step2. Activate the IP+ license in IP Bridge Server.

Note:1 IP+ license must be added on Mainconsole server first.

Step3. Go to Mainconsole server, and Click "General Setting" button then select "Network Service".

Step4. Select "Live Streaming" page, setup the "Port"(default live streaming port is 5150), and click "Start" button to enable Live Streaming Service.

Step5. Back to IP Bridge Server, Click "General Setting" button then selects General Setting àSettingàSystem Setting".

Step6. Go to "Camera" page, then click "Insert" button.

Step7. Key in the "Name, IP Address, Port, Username and Password", Device Vendor select "IP Bridge", model select "IP bridge".

Step8. Select which Main Server's channel you want add in to IP Bridge Server.

IP Address：MainServer's IP Address

Port：MainServer's Live Streaming Port (default 5150)

Username：admin

Password：MainServer's admin account password

Step9. Select the Camera is from Main Server, you may click "Camera Settings" button, to select which Streaming Profile you wants to received from Main Server.

Step10. Back to "Setting" and click Ok to save the settings.

Step11. After above steps, you can see the Main Server's video in IP Bridge Server now